import { defineComponent as A, resolveComponent as k, createElementBlock as _, openBlock as c, createElementVNode as m, toDisplayString as V, unref as t, Fragment as j, renderList as Q, createVNode as s, computed as C, withDirectives as M, vShow as W, createBlock as q, createCommentVNode as K, ref as N, onMounted as te, withCtx as U, createTextVNode as le } from "vue";
import { useI18n as R } from "@feedmepos/mf-common";
import { F as $, c as P } from "./queue.do-zk6sqriQ.js";
import { _ as ie, u as de } from "./index-BXsnV_eO.js";
import { useSnackbar as oe } from "@feedmepos/ui-library";
function se(v, g) {
  let e = v.toString(), n = g - e.length;
  return n > 0 && (e = Array(n + 1).join("0") + e), e;
}
const ue = {
  applyPadDigits: se
}, re = { class: "border p-[1.5rem] fm-corner-radius-lg flex flex-col gap-2 my-5 w-11/12" }, pe = { class: "fm-typo-en-title-sm-600" }, G = /* @__PURE__ */ A({
  __name: "KioskInstructionSection",
  props: {
    fields: {}
  },
  emits: ["update:field"],
  setup(v, { emit: g }) {
    const { t: e } = R(), n = v, p = g;
    function b(l, y) {
      p("update:field", l, y);
    }
    return (l, y) => {
      const i = k("FmTextField");
      return c(), _("div", re, [
        m("span", pe, V(t(e)("order.submitOrderInstruction")), 1),
        (c(!0), _(j, null, Q(n.fields, (u) => (c(), _("div", {
          class: "flex flex-col gap-10",
          key: u.title
        }, [
          s(i, {
            "model-value": u.value,
            label: u.title,
            placeholder: u.defaultValue,
            "onUpdate:modelValue": (S) => b(u.id, S)
          }, null, 8, ["model-value", "label", "placeholder", "onUpdate:modelValue"])
        ]))), 128))
      ]);
    };
  }
}), me = { class: "border p-[1.5rem] fm-corner-radius-lg flex flex-col gap-2 my-5 w-11/12" }, ce = { class: "fm-typo-en-title-sm-600" }, ye = { class: "flex flex-col gap-10" }, fe = { class: "flex flex-row gap-2" }, ve = /* @__PURE__ */ A({
  __name: "KioskDisplayStandSection",
  props: {
    displayStand: {}
  },
  emits: ["updateDisplayStand"],
  setup(v, { emit: g }) {
    const { t: e } = R(), n = v, p = g, b = C(() => {
      const o = n.displayStand.submitOrderInstruction;
      return [
        {
          id: "payAtCounter",
          value: o.payAtCounter ?? void 0,
          title: e("order.payAtCounter"),
          defaultValue: "Collect your transaction slip below and present it to the cashier"
        },
        {
          id: "paid",
          value: o.paid ?? void 0,
          title: e("order.paid"),
          defaultValue: "Please collect your receipt and we'll bring your food to your table once it's ready."
        }
      ];
    });
    function l(o, a) {
      p("updateDisplayStand", {
        ...n.displayStand,
        submitOrderInstruction: {
          ...n.displayStand.submitOrderInstruction,
          [o]: a
        }
      });
    }
    const y = (o) => o < 0 ? e("order.nonNegativeRule") : !0, i = (o) => o <= (n.displayStand.standSlotRange.min ?? 0) ? e("order.greaterThanMinRule") : !0, u = C(() => [y]), S = C(() => [y]), I = C(() => [y, i]);
    C(() => {
      const a = ue.applyPadDigits(5, n.displayStand.padDigit ?? 0);
      return `Preview: ${n.displayStand.prefix}${a}`;
    });
    function x(o) {
      p("updateDisplayStand", {
        ...n.displayStand,
        enabled: o
      });
    }
    function w(o) {
      o && p("updateDisplayStand", {
        ...n.displayStand,
        standSlotRange: {
          ...n.displayStand.standSlotRange,
          min: o
        }
      });
    }
    function T(o) {
      o && p("updateDisplayStand", {
        ...n.displayStand,
        standSlotRange: {
          ...n.displayStand.standSlotRange,
          max: o
        }
      });
    }
    function Y(o) {
      p("updateDisplayStand", {
        ...n.displayStand,
        prefix: o
      });
    }
    function B(o) {
      o && p("updateDisplayStand", {
        ...n.displayStand,
        padDigit: o
      });
    }
    return (o, a) => {
      const f = k("FmSwitch"), E = k("FmTextField"), F = k("FmStepperField");
      return c(), _("div", null, [
        s(f, {
          "model-value": o.displayStand.enabled,
          label: t(e)("order.displayStand"),
          "label-placement": "right",
          "onUpdate:modelValue": x
        }, null, 8, ["model-value", "label"]),
        M(m("div", me, [
          m("span", ce, V(t(e)("order.tableServiceSetting")), 1),
          m("div", ye, [
            s(E, {
              "model-value": o.displayStand.prefix,
              label: t(e)("order.prefix"),
              placeholder: t(e)("order.prefix"),
              "onUpdate:modelValue": Y
            }, null, 8, ["model-value", "label", "placeholder"])
          ]),
          m("div", fe, [
            s(F, {
              class: "w-1/2",
              "model-value": o.displayStand.standSlotRange.min,
              label: t(e)("order.start"),
              labelMark: "required",
              rules: S.value,
              placeholder: t(e)("order.enterANumber"),
              "onUpdate:modelValue": w
            }, null, 8, ["model-value", "label", "rules", "placeholder"]),
            s(F, {
              class: "w-1/2",
              "model-value": o.displayStand.standSlotRange.max,
              label: t(e)("order.end"),
              labelMark: "required",
              rules: I.value,
              placeholder: t(e)("order.enterANumber"),
              "onUpdate:modelValue": T
            }, null, 8, ["model-value", "label", "rules", "placeholder"])
          ]),
          m("div", null, [
            s(F, {
              "model-value": o.displayStand.padDigit,
              label: t(e)("order.padDigit"),
              labelMark: "required",
              rules: u.value,
              placeholder: t(e)("order.padDigit"),
              "onUpdate:modelValue": B
            }, null, 8, ["model-value", "label", "rules", "placeholder"])
          ])
        ], 512), [
          [W, o.displayStand.enabled]
        ]),
        M(s(G, {
          fields: b.value,
          "onUpdate:field": l
        }, null, 8, ["fields"]), [
          [W, o.displayStand.enabled]
        ])
      ]);
    };
  }
}), be = /* @__PURE__ */ A({
  __name: "KioskPickAtCounterSection",
  props: {
    form: {}
  },
  emits: ["update-pick-up"],
  setup(v, { emit: g }) {
    const { t: e } = R(), n = v, p = g, b = C(() => [
      {
        id: "payAtCounter",
        value: n.form.submitOrderInstruction.payAtCounter ?? void 0,
        title: e("order.payAtCounter"),
        defaultValue: "Collect your transaction slip below and present it to the cashier"
      },
      {
        id: "paid",
        value: n.form.submitOrderInstruction.paid ?? void 0,
        title: e("order.paid"),
        defaultValue: "Please wait as we prepare your food. We'll call your number when it's ready."
      }
    ]);
    function l(i) {
      p("update-pick-up", {
        ...n.form,
        enabled: i
      });
    }
    function y(i, u) {
      p("update-pick-up", {
        ...n.form,
        submitOrderInstruction: {
          ...n.form.submitOrderInstruction,
          [i]: u
        }
      });
    }
    return (i, u) => {
      const S = k("FmSwitch");
      return c(), _("div", null, [
        s(S, {
          "model-value": i.form.enabled,
          label: t(e)("order.pickAtCounter"),
          "label-placement": "right",
          "onUpdate:modelValue": l
        }, null, 8, ["model-value", "label"]),
        M(s(G, {
          fields: b.value,
          "onUpdate:field": y
        }, null, 8, ["fields"]), [
          [W, i.form.enabled]
        ])
      ]);
    };
  }
}), Se = { class: "flex flex-col gap-5" }, ge = { class: "flex flex-col gap-16" }, Pe = { class: "flex flex-col gap-16" }, _e = /* @__PURE__ */ A({
  __name: "KioskDineInSection",
  props: {
    v: {}
  },
  emits: ["updateDineIn"],
  setup(v, { emit: g }) {
    const { t: e } = R();
    function n(i) {
      y("updateDineIn", {
        ...l.v,
        pickUp: i
      });
    }
    function p(i) {
      y("updateDineIn", {
        ...l.v,
        displayStand: i
      });
    }
    function b(i) {
      y("updateDineIn", {
        ...l.v,
        enabled: i
      });
    }
    const l = v, y = g;
    return (i, u) => {
      const S = k("FmSwitch");
      return c(), _("div", Se, [
        m("div", ge, [
          s(S, {
            "model-value": i.v.enabled,
            label: t(e)("order.dineIn"),
            "label-placement": "right",
            "onUpdate:modelValue": b
          }, null, 8, ["model-value", "label"]),
          M(m("div", Pe, [
            i.v.pickUp ? (c(), q(be, {
              key: 0,
              form: i.v.pickUp,
              onUpdatePickUp: n
            }, null, 8, ["form"])) : K("", !0),
            i.v.displayStand ? (c(), q(ve, {
              key: 1,
              "display-stand": i.v.displayStand,
              onUpdateDisplayStand: p
            }, null, 8, ["display-stand"])) : K("", !0)
          ], 512), [
            [W, i.v.enabled]
          ])
        ])
      ]);
    };
  }
}), he = /* @__PURE__ */ A({
  __name: "KioskTakeawaySection",
  props: {
    v: {}
  },
  emits: ["updateTakeaway"],
  setup(v, { emit: g }) {
    const { t: e } = R(), n = v, p = g, b = C(() => [
      {
        id: "payAtCounter",
        value: n.v.submitOrderInstruction.payAtCounter ?? void 0,
        title: e("order.payAtCounter"),
        defaultValue: "Collect your transaction slip below and present it to the cashier"
      },
      {
        id: "paid",
        value: n.v.submitOrderInstruction.paid ?? void 0,
        title: e("order.paid"),
        defaultValue: "Please wait as we prepare your food. We'll call your number when it's ready."
      }
    ]);
    function l(i) {
      p("updateTakeaway", { ...n.v, enabled: i });
    }
    function y(i, u) {
      p("updateTakeaway", {
        ...n.v,
        submitOrderInstruction: {
          ...n.v.submitOrderInstruction,
          [i]: u
        }
      });
    }
    return (i, u) => {
      const S = k("FmSwitch");
      return c(), _("div", null, [
        s(S, {
          "model-value": i.v.enabled,
          label: t(e)("order.takeaway"),
          "label-placement": "right",
          "onUpdate:modelValue": l,
          class: "mb-5"
        }, null, 8, ["model-value", "label"]),
        M(s(G, {
          fields: b.value,
          "onUpdate:field": y
        }, null, 8, ["fields"]), [
          [W, i.v.enabled]
        ])
      ]);
    };
  }
}), Ie = { class: "flex flex-row items-center" }, ke = { key: 0 }, Te = {
  key: 1,
  class: "ml-7"
}, xe = { key: 0 }, we = { class: "font-bold" }, De = {
  key: 2,
  class: "ml-7"
}, Ve = { class: "ml-7" }, Ce = { class: "ml-7" }, Fe = { class: "flex flex-row gap-9" }, Ue = /* @__PURE__ */ A({
  __name: "KioskPaymentTypeSection",
  props: {
    paymentTypes: {
      type: Array,
      required: !0
    },
    offlinePaymentTypes: {
      type: Array,
      required: !0
    },
    allowEPayment: {
      type: [Boolean, String],
      required: !0
    },
    ePaymentTypes: {
      type: Object,
      required: !0
    }
  },
  emits: ["update:paymentTypes", "update:offlinePaymentTypes", "update:ePaymentTypes"],
  setup(v, { emit: g }) {
    const { t: e } = R(), n = v, p = g;
    async function b(r) {
      p(
        "update:offlinePaymentTypes",
        n.offlinePaymentTypes.filter((d, D) => D !== r)
      );
    }
    const l = C(() => (n.paymentTypes || []).includes($.enum.ePayment)), y = C(() => {
      const r = n.paymentTypes || [], d = n.offlinePaymentTypes || [];
      return r.includes($.enum.cash) || d.length > 0;
    }), i = N(!1), u = N([]), S = N(), I = N([]), x = N(!1), w = N(!1), T = [
      { label: e("order.offlinePayment"), value: "offline" },
      { label: e("order.ePayment"), value: "e-payment" }
    ], Y = () => {
      const r = [];
      y.value && r.push("offline"), l.value && r.push("e-payment"), u.value = r, i.value = r.length === T.length, Object.keys(n.ePaymentTypes).length !== 0 && (n.ePaymentTypes.card.terminal ? (S.value = P.enum.TERMINAL, x.value = !0) : n.ePaymentTypes.card.nfc && (S.value = P.enum.NFC, x.value = !0), n.ePaymentTypes.eWallet.qrPay && (I.value.push(P.enum.QRPAY), w.value = !0), n.ePaymentTypes.eWallet.scanPay && (I.value.push(P.enum.SCANPAY), w.value = !0));
    };
    Y();
    const B = (r) => {
      u.value = r ? T.map((O) => O.value) : [], i.value = r;
      const d = [], D = r ? n.offlinePaymentTypes || [] : [];
      u.value.includes("e-payment") && (d.push($.enum.ePayment), x.value = !0, w.value = !0), u.value.includes("offline") && d.push($.enum.cash), p("update:paymentTypes", d), p("update:offlinePaymentTypes", D), E(x.value), F(w.value);
    }, o = (r) => {
      const d = u.value;
      u.value = r, i.value = r.length === T.length;
      const D = [], O = r.includes("offline") ? n.offlinePaymentTypes || [] : [];
      r.includes("e-payment") && D.push($.enum.ePayment), r.includes("offline") && D.push($.enum.cash), d.includes("e-payment") || (x.value = !0, w.value = !0, E(x.value), F(w.value)), p("update:paymentTypes", D), p("update:offlinePaymentTypes", O);
    }, a = (r) => {
      const d = {
        card: {
          terminal: !1,
          nfc: !1
        },
        eWallet: {
          qrPay: !1,
          scanPay: !1
        }
      };
      u.value.includes("e-payment") && (r == P.enum.TERMINAL && (d.card.terminal = !0), r == P.enum.NFC && (d.card.nfc = !0), I.value.length > 0 && (I.value.includes(P.enum.QRPAY) && (d.eWallet.qrPay = !0), I.value.includes(P.enum.SCANPAY) && (d.eWallet.scanPay = !0))), p("update:ePaymentTypes", d);
    }, f = () => {
      const r = {
        card: {
          terminal: !1,
          nfc: !1
        },
        eWallet: {
          qrPay: !1,
          scanPay: !1
        }
      };
      u.value.includes("e-payment") && (S.value && (S.value === P.enum.TERMINAL && (r.card.terminal = !0), S.value === P.enum.NFC && (r.card.nfc = !0)), I.value.includes(P.enum.QRPAY) && (r.eWallet.qrPay = !0), I.value.includes(P.enum.SCANPAY) && (r.eWallet.scanPay = !0)), p("update:ePaymentTypes", r);
    }, E = (r) => {
      S.value = "", r && (S.value = P.enum.TERMINAL), f();
    }, F = (r) => {
      I.value = [], r && (I.value = [
        P.enum.QRPAY,
        P.enum.SCANPAY
      ]), f();
    };
    return te(() => {
      Y();
    }), (r, d) => {
      var J, X;
      const D = k("FmCheckbox"), O = k("FmCardSection"), L = k("FmCard"), ee = k("FmButton"), z = k("FmSwitch"), H = k("FmRadio"), ae = k("FmRadioGroup");
      return c(), _(j, null, [
        s(D, {
          value: "",
          "model-value": i.value,
          label: t(e)("order.all"),
          indeterminate: u.value.length > 0 && u.value.length < T.length,
          "onUpdate:modelValue": B
        }, null, 8, ["model-value", "label", "indeterminate"]),
        m("div", Ie, [
          s(D, {
            modelValue: u.value,
            "onUpdate:modelValue": [
              d[0] || (d[0] = (h) => u.value = h),
              o
            ],
            label: T[0].label,
            value: T[0].value
          }, null, 8, ["modelValue", "label", "value"])
        ]),
        u.value.includes(T[0].value) && ((J = v.offlinePaymentTypes) == null ? void 0 : J.length) === 0 ? (c(), _("div", ke, [
          s(ie, {
            "onUpdate:offlinePaymentTypes": d[1] || (d[1] = (h) => p("update:offlinePaymentTypes", h))
          })
        ])) : K("", !0),
        u.value.includes("offline") ? (c(), _("div", Te, [
          ((X = v.offlinePaymentTypes) == null ? void 0 : X.length) === 0 ? (c(), _("div", xe, [
            s(L, { variant: "outlined" }, {
              default: U(() => [
                s(O, null, {
                  default: U(() => [
                    le(V(t(e)("order.payAtCounter")), 1)
                  ]),
                  _: 1
                })
              ]),
              _: 1
            })
          ])) : K("", !0),
          (c(!0), _(j, null, Q(v.offlinePaymentTypes, (h, ne) => (c(), _("p", { key: ne }, [
            s(L, { variant: "outlined" }, {
              default: U(() => [
                s(O, { class: "flex items-center justify-between" }, {
                  default: U(() => [
                    m("div", null, [
                      m("span", we, V(h.name), 1),
                      d[8] || (d[8] = m("br", null, null, -1)),
                      m("span", null, V(h.instruction), 1)
                    ]),
                    (c(!0), _(j, null, Q(v.offlinePaymentTypes, (Ge, Z) => (c(), _("div", { key: Z }, [
                      s(ee, {
                        "append-icon": "delete",
                        variant: "tertiary",
                        onClick: (ze) => b(Z)
                      }, null, 8, ["onClick"])
                    ]))), 128))
                  ]),
                  _: 2
                }, 1024)
              ]),
              _: 2
            }, 1024)
          ]))), 128))
        ])) : K("", !0),
        s(D, {
          modelValue: u.value,
          "onUpdate:modelValue": [
            d[2] || (d[2] = (h) => u.value = h),
            o
          ],
          label: T[1].label,
          value: T[1].value
        }, null, 8, ["modelValue", "label", "value"]),
        u.value.includes(T[1].value) ? (c(), _("div", De, [
          s(L, { variant: "outlined" }, {
            default: U(() => [
              s(O, null, {
                default: U(() => [
                  s(z, {
                    label: t(e)("order.bankCard"),
                    sublabel: t(e)("order.cardPaymentDescription"),
                    "label-placement": "right",
                    modelValue: x.value,
                    "onUpdate:modelValue": [
                      d[3] || (d[3] = (h) => x.value = h),
                      E
                    ]
                  }, null, 8, ["label", "sublabel", "modelValue"]),
                  d[9] || (d[9] = m("br", null, null, -1)),
                  M(m("div", Ve, [
                    s(ae, {
                      modelValue: S.value,
                      "onUpdate:modelValue": [
                        d[4] || (d[4] = (h) => S.value = h),
                        a
                      ],
                      inline: ""
                    }, {
                      default: U(() => [
                        s(H, {
                          label: t(e)("order.terminal"),
                          value: t(P).enum.TERMINAL
                        }, null, 8, ["label", "value"]),
                        s(H, {
                          label: t(e)("order.nfc"),
                          value: t(P).enum.NFC
                        }, null, 8, ["label", "value"])
                      ]),
                      _: 1
                    }, 8, ["modelValue"])
                  ], 512), [
                    [W, x.value]
                  ])
                ]),
                _: 1
              })
            ]),
            _: 1
          }),
          s(L, {
            variant: "outlined",
            class: "mt-2"
          }, {
            default: U(() => [
              s(O, null, {
                default: U(() => [
                  s(z, {
                    label: t(e)("order.eWallet"),
                    sublabel: t(e)("order.eWalletDescription"),
                    "label-placement": "right",
                    modelValue: w.value,
                    "onUpdate:modelValue": [
                      d[5] || (d[5] = (h) => w.value = h),
                      F
                    ]
                  }, null, 8, ["label", "sublabel", "modelValue"]),
                  d[10] || (d[10] = m("br", null, null, -1)),
                  M(m("div", Ce, [
                    m("div", Fe, [
                      s(D, {
                        modelValue: I.value,
                        "onUpdate:modelValue": [
                          d[6] || (d[6] = (h) => I.value = h),
                          f
                        ],
                        label: t(e)("order.qrPay"),
                        value: t(P).enum.QRPAY
                      }, null, 8, ["modelValue", "label", "value"]),
                      s(D, {
                        modelValue: I.value,
                        "onUpdate:modelValue": [
                          d[7] || (d[7] = (h) => I.value = h),
                          f
                        ],
                        label: t(e)("order.scanPay"),
                        value: t(P).enum.SCANPAY
                      }, null, 8, ["modelValue", "label", "value"])
                    ])
                  ], 512), [
                    [W, w.value]
                  ])
                ]),
                _: 1
              })
            ]),
            _: 1
          })
        ])) : K("", !0)
      ], 64);
    };
  }
}), Ae = /* @__PURE__ */ A({
  __name: "KioskMenuItemSection",
  props: {
    v: { type: Boolean }
  },
  emits: ["update:modelValue"],
  setup(v, { emit: g }) {
    const { t: e } = R(), n = g, p = (b) => {
      n("update:modelValue", b);
    };
    return (b, l) => {
      const y = k("FmSwitch");
      return c(), q(y, {
        "model-value": b.v,
        label: `${t(e)("order.hideNotAvailableMenuItem")}`,
        "label-placement": "right",
        "onUpdate:modelValue": p,
        class: "mb-5"
      }, null, 8, ["model-value", "label"]);
    };
  }
}), Re = /* @__PURE__ */ A({
  __name: "KioskEnablePaxDialogSection",
  props: {
    v: { type: Boolean }
  },
  emits: ["updateEnablePaxDialog"],
  setup(v, { emit: g }) {
    const { t: e } = R(), n = g;
    function p(b) {
      n("updateEnablePaxDialog", b);
    }
    return (b, l) => {
      const y = k("FmSwitch");
      return c(), _("div", null, [
        s(y, {
          "model-value": b.v,
          label: t(e)("order.displayPaxDialogDescription"),
          "label-placement": "right",
          "onUpdate:modelValue": p,
          class: "mb-5"
        }, null, 8, ["model-value", "label"])
      ]);
    };
  }
}), Oe = {
  key: 0,
  class: "flex flex-col gap-32"
}, Ee = { class: "flex flex-col gap-2" }, Ne = { class: "fm-typo-en-title-sm-600" }, $e = { class: "flex flex-col gap-2" }, qe = { class: "fm-typo-en-title-sm-600" }, Me = { class: "flex flex-col gap-2" }, We = { class: "fm-typo-en-title-sm-600" }, Ye = { class: "flex flex-col gap-2" }, Ke = { class: "fm-typo-en-title-sm-600" }, Be = { class: "flex flex-col gap-2" }, Le = { class: "fm-typo-en-title-sm-600" }, je = { class: "fm-typo-en-title-sm-400 font-bold" }, Qe = { key: 1 }, aa = /* @__PURE__ */ A({
  __name: "KioskSettingView",
  props: {
    restaurantId: {},
    form: {}
  },
  emits: ["updateKioskOrderSetting"],
  setup(v, { emit: g }) {
    const { t: e } = R(), n = v, p = oe(), b = g, l = N(n.form), y = C(() => {
      const a = l.value;
      if (!a.dineIn.enabled)
        return {
          ...a,
          dineIn: {
            enabled: a.dineIn.enabled,
            sequenceNumber: a.dineIn.sequenceNumber,
            pickUp: a.dineIn.pickUp,
            displayStand: {
              enabled: !1,
              padDigit: a.dineIn.displayStand.padDigit ?? 0,
              standSlotRange: {
                min: a.dineIn.displayStand.standSlotRange.min ?? 0,
                max: a.dineIn.displayStand.standSlotRange.max ?? 10
              },
              prefix: a.dineIn.displayStand.prefix ?? "",
              enablePaxDialog: a.dineIn.displayStand.enablePaxDialog,
              submitOrderInstruction: {
                payAtCounter: a.dineIn.displayStand.submitOrderInstruction.payAtCounter ?? null,
                paid: a.dineIn.displayStand.submitOrderInstruction.paid ?? null
              }
            }
          }
        };
      if (a.dineIn.enabled && a.dineIn.displayStand.enabled) {
        const f = a.dineIn.displayStand;
        return f.padDigit != null && f.padDigit >= 0 && f.standSlotRange.min && f.standSlotRange.max && f.standSlotRange.min <= f.standSlotRange.max ? {
          ...a,
          dineIn: {
            enabled: a.dineIn.enabled,
            sequenceNumber: a.dineIn.sequenceNumber,
            pickUp: a.dineIn.pickUp,
            displayStand: {
              enabled: f.enabled,
              padDigit: f.padDigit,
              standSlotRange: {
                min: f.standSlotRange.min,
                max: f.standSlotRange.max
              },
              prefix: f.prefix ?? "",
              enablePaxDialog: f.enablePaxDialog,
              submitOrderInstruction: {
                payAtCounter: f.submitOrderInstruction.payAtCounter ?? null,
                paid: f.submitOrderInstruction.paid ?? null
              }
            }
          }
        } : null;
      }
      return {
        ...a,
        dineIn: {
          enabled: a.dineIn.enabled,
          sequenceNumber: a.dineIn.sequenceNumber,
          pickUp: a.dineIn.pickUp,
          displayStand: {
            enabled: !1,
            padDigit: a.dineIn.displayStand.padDigit ?? 0,
            standSlotRange: {
              min: a.dineIn.displayStand.standSlotRange.min ?? 0,
              max: a.dineIn.displayStand.standSlotRange.max ?? 10
            },
            prefix: a.dineIn.displayStand.prefix ?? "",
            enablePaxDialog: a.dineIn.displayStand.enablePaxDialog,
            submitOrderInstruction: {
              payAtCounter: a.dineIn.displayStand.submitOrderInstruction.payAtCounter ?? null,
              paid: a.dineIn.displayStand.submitOrderInstruction.paid ?? null
            }
          }
        }
      };
    }), { startAsyncCall: i } = de();
    async function u(a) {
      l.value.dineIn = a;
    }
    async function S(a) {
      l.value.takeaway = a;
    }
    async function I(a) {
      l.value.menuItem.showAllOnly = a;
    }
    async function x(a) {
      l.value.paymentSetting.paymentTypes = a;
    }
    async function w(a) {
      l.value.paymentSetting.ePaymentTypes = a;
    }
    const T = C(() => (l.value.paymentSetting.paymentTypes || []).includes($.enum.ePayment));
    async function Y(a) {
      l.value.dineIn.displayStand.enablePaxDialog = a, l.value.dineIn.pickUp.enablePaxDialog = a;
    }
    const B = C(() => (l.value.dineIn.displayStand.enabled && l.value.dineIn.displayStand.enablePaxDialog || l.value.dineIn.pickUp.enablePaxDialog) ?? !1);
    async function o() {
      if (y.value) {
        const a = y.value;
        i(async () => {
          await b("updateKioskOrderSetting", a);
        });
      } else
        p.open({
          title: e("order.failedToUpdateSetting"),
          type: "error"
        });
    }
    return (a, f) => {
      const E = k("FmButton");
      return l.value ? (c(), _("div", Oe, [
        m("div", Ee, [
          m("span", Ne, V(t(e)("order.dineIn")), 1),
          (c(), q(_e, {
            key: "dine-in-" + a.restaurantId,
            v: l.value.dineIn,
            onUpdateDineIn: u
          }, null, 8, ["v"]))
        ]),
        m("div", $e, [
          m("span", qe, V(t(e)("order.takeawayTitle")), 1),
          (c(), q(he, {
            key: "takeaway-" + a.restaurantId,
            v: l.value.takeaway,
            onUpdateTakeaway: S
          }, null, 8, ["v"]))
        ]),
        m("div", Me, [
          m("span", We, V(t(e)("order.menuItem")), 1),
          (c(), q(Ae, {
            key: "menu-item-" + a.restaurantId,
            v: l.value.menuItem.showAllOnly,
            "onUpdate:modelValue": I
          }, null, 8, ["v"]))
        ]),
        m("div", Ye, [
          m("span", Ke, V(t(e)("order.displayPaxDialogTitle")), 1),
          (c(), q(Re, {
            key: "enable-pax-dialog-" + a.restaurantId,
            v: B.value,
            onUpdateEnablePaxDialog: Y
          }, null, 8, ["v"]))
        ]),
        m("div", Be, [
          m("span", Le, V(t(e)("order.acceptedPayment")), 1),
          m("span", je, V(t(e)("order.configuration")), 1),
          s(Ue, {
            "payment-types": l.value.paymentSetting.paymentTypes ?? [],
            "allow-e-payment": T.value,
            "offline-payment-types": l.value.paymentSetting.offlinePaymentTypes ?? [],
            ePaymentTypes: l.value.paymentSetting.ePaymentTypes ?? {},
            "onUpdate:paymentTypes": x,
            "onUpdate:offlinePaymentTypes": f[0] || (f[0] = (F) => l.value.paymentSetting.offlinePaymentTypes = F),
            "onUpdate:ePaymentTypes": w
          }, null, 8, ["payment-types", "allow-e-payment", "offline-payment-types", "ePaymentTypes"])
        ]),
        s(E, {
          class: "w-1/4 mb-10",
          variant: "primary",
          label: t(e)("order.updateSetting"),
          disabled: !y.value,
          onClick: o
        }, null, 8, ["label", "disabled"])
      ])) : (c(), _("div", Qe, V(t(e)("order.pleaseSelectRestaurant")), 1));
    };
  }
});
export {
  aa as default
};
