import { ref as g, defineComponent as S, onMounted as f, resolveComponent as h, createElementBlock as b, openBlock as P, createVNode as D } from "vue";
import "vue-router";
const k = {
  accept: "accept",
  acceptedPayment: "Accepted Payment",
  acceptQueue: "Accept queue",
  acceptQueueSublabel: "Customer can use queue in FeedMe app",
  actiavteFeedmeExpress: "Activate FeedMe Express",
  activated: "Activated",
  activatedDate: "Activated date",
  activateDeliveryCompany: "Activate {company} Delivery",
  activateFeedmeExpressSublabel: "Customer can select FeedMe express to delivery their meal",
  activateIntegration: "Activate {integrationType} Integration",
  activateLocation: "Activate location",
  active: "Active",
  add: "Add",
  addCampaign: "Add campaign",
  addCustomPayment: "Add custom payment",
  addDeliveryZone: "Add Delivery Zone",
  addNewCampaign: "Add new campaign",
  addOfflinePayment: "Add offline payment",
  addPickupPoint: "Add pickup Point",
  address: "Address",
  addServiceCharge: "Add service charge",
  addTimeSlot: "Add Time Slot",
  afterBillDiscount: "After bill discount",
  all: "All",
  allowedAutoAcceptOrder: "Allowed auto accept order",
  allowedAutoCloseBill: "Allowed auto closed bill",
  allowMultiplePickupSublabel: "Allow customer pickup at multiple address instead of restaurant only",
  anonymousOrder: "Anonymous Order",
  anonymousOrderSublabel: "Customer can order without login",
  apply: "Apply",
  applyFor: "Apply for",
  asap: "ASAP",
  auto: "Auto",
  autoIntegration: "Auto Integration",
  autoIntegrationWarning: "Auto delivery integration not available, contact our staff for more information. Reason: {reason}",
  autoSendKitchen: "Auto Send Kitchen",
  autoSendKitchenSublabel: "Required POS version 7 or above",
  balance: "Balance",
  bankCard: "Card",
  beforeBillDiscount: "Before bill discount",
  billRounding: "Bill Rounding",
  bindDevice: "Bind device",
  bindDeviceMessage: "Enter this code to your kiosk device to bind.",
  cancel: "Cancel",
  cardPaymentDescription: "Make payment by tapping or inserting card",
  cash: "Cash",
  catalog: "Catalog",
  chargeWhen: "Charge When",
  commission: "Commission",
  company: "Company",
  configuration: "Configuration",
  confirm: "Confirm",
  contact: "contact",
  create: "Create",
  createTestOrder: "Create Test Order",
  credit: "Credit",
  customerItemRemark: "Customer item remark",
  customerItemRemarkSublabel: "Customer can attach remark to item",
  customOfflinePayment: "Custom Offline Payment",
  customOfflinePaymentHeader: "Custom offline payments",
  customServiceCharge: "Custom Service Charge",
  customTime: "Custom time",
  day: "Day",
  days: "days",
  daysTo: "days to",
  deactivated: "Deactivated",
  default: "Default",
  delete: "delete",
  delivery: "Delivery",
  deliveryCompany: "Delivery Company",
  deliveryDescription: "We integrated with these deliveries with your POS system. You can deliver meal to your customers in faster and more secure way.",
  deliveryFee: "Delivery Fee",
  deliveryInstruction: "Delivery Instruction",
  deliveryOrder: "Delivery order",
  deliveryTerm: "Delivery term",
  deliveryTime: "Delivery Time",
  deliveryTitle: "{company} delivery",
  deliveryZone: "Delivery Zone",
  deviceBinding: "Device Binding",
  deviceDetails: "Device Details",
  dineIn: "Dine In",
  dineInCanTakeaway: "Allow Takeaway",
  dineInType: "Dine In Type",
  discountCampaign: "Discount Campaign",
  displayStand: "Display Stand",
  displayPaxDialogTitle: "Display Pax Dialog",
  displayPaxDialogDescription: "Display pax dialog in kiosk",
  edit: "Edit",
  editOfflinePayment: "Edit offline payment",
  editPickupPoint: "Edit pickup Point",
  enableServiceCharge: "Enable Service Charge",
  end: "End",
  enterAddress: "Enter Address",
  enterANumber: "Enter a number",
  enterName: "Enter Name",
  enterPaymentInstruction: "Enter payment instruction",
  enterPaymentName: "Enter payment name",
  ePayment: "E-Payment",
  eWallet: "E-Wallet",
  eWalletDescription: "Scan QR Code to make payment with phone",
  exclusive: "Exclulsive",
  failed: "FAILED",
  failedToUpdateSetting: "Failed to update setting",
  feedMeExpress: "FeedMe express",
  feedmeExpressNotApproved: "Your payout account is under review. Please contact our staff for further assistant.",
  feedmeExpressPayoutAccIssue: "Payout account is required to enable FeedMe Express",
  feedmeExpressPosVersionIssue: "Min POS version {minVersion} required for FeedMe Express",
  feedmeExpressTitle: "Update FeedMe express",
  fieldCannotBeEmpty: "Field cannot be empty",
  fixedTime: "Fixed time",
  friday: "Friday",
  general: "General",
  generalInfo: "General Info",
  generalSetting: "General setting",
  greaterThanMinRule: "Max should be exceed to Min",
  hideNotAvailableMenuItem: "Hide not available menu item",
  ignoreDiscount: "Ignore Discount",
  ignoreStock: "Ignore stock",
  ignoreStockSublabel: "Customer can order even product out of stocks",
  inactive: "Inactive",
  inclusive: "Inclusive",
  inHouseDelivery: "In house delivery",
  inhouseDeliveryInputLabel: "(applicable if restaurant profile SST is set)",
  inhouseDeliveryTaxCalculation: "Tax calculation",
  inhouseDeliveryTaxLabel: "Delivery fee charge tax",
  inhouseDeliveryTaxSublabel: "Accecpt In house Delivery with POS",
  inhouseDeliveryTitle: "Manage in-house delivery",
  inhouseSwitchSublabel: "Accept In house Delivery with POS",
  instruction: "Instruction",
  integratedDeliveryCompany: "Integrated delivery company",
  integrationDescription: "POS system can add delivery order with {name} company",
  invalidPosVersion: "Invalid POS version",
  invalidRestaurant: "Invalid restaurant",
  item: "Item",
  kiosk: "Kiosk",
  kioskDisplay: "Kiosk Display",
  kioskDisplayDescription: 'Click "Bind device" to receive a special code for device binding.',
  kioskSettingFailed: "Failed to update kiosk order setting",
  kioskSettingSuccess: "Kiosk order setting updated",
  kioskSummary: "Kiosk Summary",
  lastOrderBeforeClosing: "Last order before closing",
  lastOrderBeforeClosingDescription: "Orders must be placed before the designated closing time",
  lastOrderMinutesBeforeCloseRule: "Cannot be less than 0 minutes",
  lastSync: "Last synchronize",
  loadingMenu: "Loading Menu",
  loadingTable: "Loading table",
  localDeliveryCompany: "Local delivery company",
  localDeliveryDescription: "Activate the delivery companise to create new order at POS system.",
  manageDelivery: "Manage {company} delivery",
  manual: "Manual",
  menuItem: "Menu Item",
  minPurchase: "Min Purchase",
  minSpendForFreeDelivery: "Min spend for free Delivery",
  minutes: "Minutes",
  monday: "Monday",
  multiplePickupPoint: "Multiple Pickup Point",
  name: "Name",
  nfc: "NFC",
  noAvailableItem: "No available item",
  noAvailableTable: "No available table",
  nonNegativeRule: "Value should be positive value",
  noRestaurantSelected: "No Restaurant Selected",
  notAllowed: "Not allowed",
  offlinePayment: "Offline Payment",
  offlinePaymentName: "Offline Payment Name",
  online: "Online",
  operatingHour: "Operating hour",
  orderFrom: "Order from",
  orderSetting: "Order Setting",
  orderType: "Order Type",
  padDigit: "Pad Digit",
  paid: "Paid",
  payAtCounter: "Pay at Counter",
  paymentMethod: "Payment Method",
  paymentType: "Payment Type",
  payoutAccountIsRequired: "Payout account is required",
  payoutAccountUnderReview: "Payout account under review",
  payoutPosVersion: "For POS {version} or above",
  pickAtCounter: "Pick at counter",
  pickup: "Pickup",
  pickupPoint: "Pickup point",
  pleaseCompleteProfile: "please complete your restaurant profile to enable FeedMe Express",
  pleaseSelectRestaurant: "Please select a restaurant.",
  prefix: "Prefix",
  preOrder: "Pre-order",
  preOrderHint: "Order on {today}, Customer can order between {start} and {end}. Max 7 days.",
  pricePerMessage: "Price per message",
  processing: "PROCESSING",
  productSelected: "product(s) selected",
  promptAnonymousLoginDialog: "Prompt Login Dialog For Anonymous Order",
  qrPay: "QR Pay",
  rate: "Rate",
  remoteId: "Remote ID",
  restaurant: "Restaurant",
  restaurantAsPickupPoint: "Restaurant as pickup point",
  restaurantHaveNotPurchase: "Restaurant have not purchase {featureKey} feature",
  saturday: "Saturday",
  save: "Save",
  saveSetting: "Save Setting",
  scanPay: "Scan Pay",
  search: "Search",
  searchRestaurant: "Search restaurants",
  selectAllItemsIncludeCustomItem: "All (Including custom item)",
  selectItem: "Select item",
  selectRestaurant: "Select Restaurant",
  selectServiceChargeType: "Select service charge type",
  selectTable: "Select table",
  selfServeActivation: {
    title: "Self Serve Activation",
    subTitle: "New to the flow? Click here to",
    learnMore: "learn more"
  },
  serve: "serve",
  serviceCharge: "Service Charge",
  serviceChargeRule: "* Service Charge required POS version 4.0.0 or higher",
  serviceChargeSublabel: "Make your own rules to omit change based on different conditions such as restaurant, dining option, items, slot, etc.",
  setting: "Setting",
  settings: "Settings",
  showNotAvailable: "Show not available",
  sms: "SMS",
  sstInclusive: "SST Inclusive",
  start: "Start",
  staticQRcode: "Static QR code",
  staticQRcodeSublabel: "Customer can order with static QR code",
  status: "Status",
  subItemDisplayModeListView: "Sub Item List View",
  submitOrderInstruction: "Submit order instruction",
  success: "SUCCESS",
  sunday: "Sunday",
  syncMenu: "Sync Menu",
  syncMenuSuccess: "Sync menu successfully",
  table: "Table",
  tableSelected: "table(s) selected",
  tableService: "Table Service",
  tableServiceSetting: "Table service setting",
  takeaway: "Takeaway",
  takeawayTitle: "Take Away",
  taxExclusive: "Exclusive",
  taxInclusive: "Inclusive",
  taxSetting: "Tax settings",
  taxSettingTerm: "(Tax setting only applicable for POS after {validatePosVersion})",
  term: "Term",
  terminal: "Terminal",
  thursday: "Thursday",
  timeSlot: "Time Slots",
  to: "to",
  tuesday: "Tuesday",
  unbind: "Unbind",
  unbindKioskDevice: "Unbind Kiosk Device",
  unbindKioskDeviceWarning: "Are you sure want to unbind device? If yes, please enter {machineId} inside the textfield",
  unbindSuccess: "Kiosk display successfully unbinded.",
  unbindWarning: "Please enter the machine ID to confirm unbind.",
  unknown: "Unknown",
  update: "Update",
  updatedAt: "Updated at",
  updateDeliveryCompany: "Update Delivery Company",
  updateFeedMeExpressSetting: "Update FeedMe Express Setting",
  updateNow: "Update now",
  updatePayoutAccount: "Update payout account",
  updatePickupSetting: "Update Pickup Setting",
  updateSetting: "Update setting",
  vendorBearPercentage: "Vendor bear percentage",
  wednesday: "Wednesday",
  externalDelivery: "External Delivery",
  manageExternalDelivery: "Manage external delivery",
  deliveryCatalog: "Delivery catalog",
  pickupCatalog: "Pickup catalog",
  DeliverySettingUpdated: "Delivery setting updated.",
  selectPlatform: "Select Platform",
  platform: "Platform",
  discountRule: {
    add: "Add discount rule",
    description: "Define how the discount is applied to the bill. Require POS version {minPosVersion} or above.",
    effect: "Promotion/Vouchers",
    effectSelected: "{count} selected",
    effectUsedInOtherGroup: "Used in another rule",
    forceSync: "Force sync",
    latest: "Latest",
    loadingRestaurants: "Loading restaurants",
    maxTotalUses: "Max total uses",
    maxTotalUsesSublabel: "Maximum times promotions/vouchers can be used per bill",
    outdated: "Outdated",
    restaurantName: "Restaurant Name",
    restaurants: "Restaurants",
    restaurantsDescription: "Sync status of the discount rule across all restaurants",
    selectAllEffects: "Select all promotions/vouchers",
    selectEffects: "Select promotions/vouchers",
    status: "Status",
    syncSuccess: "Discount rule setting synced to all restaurants",
    title: "Discount Rule",
    updateSuccess: "Discount rule setting updated",
    version: "Version",
    promotion: "Promotion",
    voucher: "Voucher"
  }
}, C = {
  order: k
}, A = {
  accept: "接受",
  acceptedPayment: "可接受付款方式",
  acceptQueue: "接受队列",
  acceptQueueSublabel: "客户可以在FeedMe应用中使用排队功能",
  actiavteFeedmeExpress: "激活FeedMe外卖配送",
  activated: "已激活",
  activatedDate: "激活日期",
  activateDeliveryCompany: "激活{company}配送",
  activateFeedmeExpressSublabel: "客户可以选择FeedMe外卖快递来配送他们的餐点",
  activateIntegration: "激活{integrationType}对接",
  activateLocation: "启用定位",
  active: "激活",
  add: "添加",
  addCampaign: "添加促销活动",
  addCustomPayment: "添加自定义付款方式",
  addDeliveryZone: "添加配送区域",
  addNewCampaign: "添加新的促销活动",
  addOfflinePayment: "添加线下付款方式",
  addPickupPoint: "添加取货地点",
  address: "地址",
  addServiceCharge: "添加服务费",
  addTimeSlot: "添加时间段",
  afterBillDiscount: "账单折扣后",
  all: "所有",
  allowedAutoAcceptOrder: "允许自动接受订单",
  allowedAutoCloseBill: "允许自动结算账单",
  allowMultiplePickupSublabel: "允许客户在不同的取货地点自取，不限于餐厅",
  anonymousOrder: "匿名订单",
  anonymousOrderSublabel: "客户无需登录即可下单",
  apply: "应用",
  applyFor: "应用于",
  asap: "尽快配送",
  auto: "自动",
  autoIntegration: "自动对接",
  autoIntegrationWarning: "自动配送对接不可用， 请联络我们的工作人员了解更多信息。 原因: {reason}",
  autoSendKitchen: "自动发送至厨房",
  autoSendKitchenSublabel: "需要POS版本7或以上",
  balance: "余额",
  bankCard: "银行卡",
  beforeBillDiscount: "账单折扣前",
  billRounding: "账单四舍五入",
  bindDevice: "绑定设备",
  bindDeviceMessage: "请输入此代码到您的自助点餐设备以进行绑定",
  c: "支付账户正在审查中",
  cancel: "取消",
  cardPaymentDescription: "通过刷卡或插卡进行支付",
  cash: "现金",
  catalog: "目录",
  chargeWhen: "满足条件时收费",
  commission: "佣金",
  company: "平台",
  configuration: "配置",
  confirm: "确认",
  contact: "联络",
  create: "创建",
  createTestOrder: "创建测试订单",
  credit: "可用余额",
  customerItemRemark: "客户商品备注",
  customerItemRemarkSublabel: "客户可以为商品添加备注",
  customOfflinePayment: "自定义线下付款方式",
  customOfflinePaymentHeader: "自定义线下付款方式",
  customServiceCharge: "自定义服务收费",
  customTime: "自定义时间",
  day: "天",
  days: "天",
  daysTo: "天到",
  deactivated: "已停用",
  default: "默认",
  delete: "删除",
  delivery: "配送",
  deliveryCompany: "配送公司",
  deliveryDescription: "我们将以下配送服务与您的POS系统进行结合，让您能够更加快速且安全地将餐点送到客户手中。",
  deliveryFee: "配送费",
  deliveryInstruction: "配送说明",
  deliveryOrder: "配送订单",
  deliveryTerm: "配送条款",
  deliveryTime: "配送时间",
  deliveryTitle: "{company} 配送",
  deliveryZone: "配送区域",
  deviceBinding: "设备绑定",
  deviceDetails: "设备详情",
  dineIn: "堂食",
  dineInCanTakeaway: "允许外带",
  dineInType: "堂食类型",
  discountCampaign: "促销活动",
  displayStand: "桌牌",
  displayPaxDialogTitle: "显示人数弹窗",
  displayPaxDialogDescription: "在自助点餐设备显示人数弹窗",
  edit: "编辑",
  editOfflinePayment: "编辑线下支付方式",
  editPickupPoint: "编辑取货地点",
  effectSelected: "已选择效果",
  enableServiceCharge: "启用服务费",
  end: "结束",
  enterAddress: "输入地址",
  enterANumber: "输入一个号码",
  enterName: "输入名称",
  enterPaymentInstruction: "输入付款说明",
  enterPaymentName: "输入付款名称",
  ePayment: "电子支付",
  eWallet: "电子钱包",
  eWalletDescription: "使用手机扫描二维码进行支付",
  exclusive: "不包括",
  failed: "失败",
  failedToUpdateSetting: "设置更新失败",
  feedMeExpress: "FeedMe 外卖快递",
  feedmeExpressNotApproved: "您的支付账户正在审核中，请联系我们的工作人员获取进一步的帮助。",
  feedmeExpressPayoutAccIssue: "需要设置支付账户才能启用FeedMe外卖快递",
  feedmeExpressPosVersionIssue: "需要最低{minVersion}版本的POS系统才能使用FeedMe外卖快递",
  feedmeExpressTitle: "更新 Feedme 外卖快递",
  fieldCannotBeEmpty: "字段不可为空",
  fixedTime: "固定时间",
  friday: "星期五",
  general: "通用",
  generalInfo: "通用信息",
  generalSetting: "通用设置",
  greaterThanMinRule: "最大值应大于等于最小值",
  hideNotAvailableMenuItem: "隐藏无可用菜单项目",
  ignoreDiscount: "不适用折扣",
  ignoreStock: "忽略库存",
  ignoreStockSublabel: "客户依然可以下单，即使商品缺货",
  inactive: "未激活",
  inclusive: "包括",
  inHouseDelivery: "In house 配送",
  inhouseDeliveryInputLabel: "(仅在餐厅档案已设置SST时方可适用)",
  inhouseDeliveryTaxCalculation: "税务计算",
  inhouseDeliveryTaxLabel: "配送费附加税",
  inhouseDeliveryTaxSublabel: "通过POS系统接受In house配送",
  inhouseDeliveryTitle: "管理 in house 配送",
  inhouseSwitchSublabel: "通过POS系统接受In house配送",
  instruction: "付款说明",
  integratedDeliveryCompany: "已对接配送平台",
  integrationDescription: "POS系统可以添加与{name}公司合作的配送订单",
  invalidPosVersion: "POS版本不适用",
  invalidRestaurant: "无效的餐厅",
  item: "商品",
  kiosk: "自助点餐设备",
  kioskDisplay: "自助点餐设备显示",
  kioskDisplayDescription: "点击“绑定设备”以获取绑定设备的专用代码",
  kioskSettingFailed: "自助点餐设备订单设置更新失败",
  kioskSettingSuccess: "自助点餐设备订单设置更新成功",
  kioskSummary: "自助点餐设备概览",
  lastOrderBeforeClosing: "关闭前最后点餐时间",
  lastOrderBeforeClosingDescription: "订单必须在指定的关闭时间前提交",
  lastOrderMinutesBeforeCloseRule: "不能少过0分钟",
  lastSync: "上次同步",
  loadingMenu: "加载菜单",
  loadingTable: "加载餐桌",
  localDeliveryCompany: "本地配送平台",
  localDeliveryDescription: "激活配送平台以在POS系统中创建新的订单。",
  manageDelivery: "管理 {company} 配送",
  manual: "手动",
  menuItem: "菜单项目",
  minPurchase: "最低购买金额",
  minSpendForFreeDelivery: "免费配送的最低消费金额",
  minutes: "分钟",
  monday: "星期一",
  multiplePickupPoint: "多个取货地点",
  name: "名称",
  nfc: "NFC",
  noAvailableItem: "无可用商品",
  noAvailableTable: "无可用餐桌",
  nonNegativeRule: "该值必须为正数",
  noRestaurantSelected: "未选择餐厅",
  notAllowed: "没有权限",
  offlinePayment: "线下支付",
  offlinePaymentName: "付款名称",
  online: "在线",
  operatingHour: "营业时间",
  orderFrom: "预订从",
  orderSetting: "订单设置",
  orderType: "订单类型",
  padDigit: "位数",
  paid: "已付款",
  payAtCounter: "在柜台付款",
  paymentMethod: "付款方式",
  paymentType: "交易类型",
  payoutAccountIsRequired: "需要支付账户",
  payoutPosVersion: "需要POS{version}或以上",
  pickAtCounter: "在柜台取餐",
  pickup: "自取",
  pickupPoint: "自取地点",
  pleaseCompleteProfile: "请完善您的餐厅资料以启用FeedMe外卖快递",
  pleaseSelectRestaurant: "请选择一个餐厅",
  prefix: "前缀",
  preOrder: "预订",
  preOrderHint: "于今日 {today} 下单，客户可以在 {start} 和 {end} 之间预订。最多 7 天。",
  pricePerMessage: "每条短信的价格",
  processing: "处理中",
  productSelected: "已选择商品",
  promptAnonymousLoginDialog: "为匿名用户弹出登入对话框",
  qrPay: "二维码支付",
  rate: "费率",
  remoteId: "平台注册ID",
  restaurant: "餐厅",
  restaurantAsPickupPoint: "餐厅为取货地点",
  restaurantHaveNotPurchase: "餐厅尚未购买{featureKey}功能",
  saturday: "星期六",
  save: "保存",
  saveSetting: "保存设置",
  scanPay: "扫码支付",
  search: "搜索",
  searchRestaurant: "搜索餐厅",
  selectAllItemsIncludeCustomItem: "全部 （包括自定义商品）",
  selectEffects: "选择效果",
  selectAllEffects: "选择所有效果",
  selectItem: "请选择",
  selectRestaurant: "选择餐厅",
  selectServiceChargeType: "选择服务费类型",
  selectTable: "选择餐桌",
  selfServeActivation: {
    title: "自助激活对接",
    subTitle: "第一次使用这个流程？点击此处",
    learnMore: "了解更多"
  },
  serve: "服务",
  serviceCharge: "服务费",
  serviceChargeRule: "* 服务费功能仅适用于POS版本4.0.0或更高版本。",
  serviceChargeSublabel: "根据不同的情况，如餐厅，就餐选项，商品，时间段等，自定义规则。",
  setting: "设置",
  settings: "设置",
  showNotAvailable: "显示无可用",
  sms: "短信",
  sstInclusive: "包含SST",
  start: "开始",
  staticQRcode: "静态二维码",
  staticQRcodeSublabel: "客户可以通过静态二维码下单",
  status: "状态",
  subItemDisplayModeListView: "附加产品列表模式",
  submitOrderInstruction: "提交订单文本",
  success: "成功",
  sunday: "星期日",
  syncMenu: "同步菜单",
  syncMenuSuccess: "同步菜单成功",
  table: "餐桌",
  tableSelected: "已选择餐桌",
  tableService: "餐桌服务",
  tableServiceSetting: "餐桌服务设置",
  takeaway: "外带",
  takeawayTitle: "外带",
  taxExclusive: "不含税",
  taxInclusive: "含税",
  taxSetting: "税务设置",
  taxSettingTerm: "（税务设置仅适用于{validatePosVersion}版本后的POS系统）",
  term: "条款",
  terminal: "支付终端",
  thursday: "星期四",
  timeSlot: "时间段",
  to: "至",
  tuesday: "星期二",
  unbind: "解除绑定",
  unbindKioskDevice: "解除自助点餐设备绑定",
  unbindKioskDeviceWarning: "你确定要解除绑定设备吗？如果是，请在文本框中输入{machineId}",
  unbindSuccess: "自助点餐设备成功解除绑定",
  unbindWarning: "请输入设备ID以确认解除绑定",
  unknown: "未知",
  update: "更新",
  updatedAt: "更新于",
  updateDeliveryCompany: "更新配送公司",
  updateFeedMeExpressSetting: "更新FeedMe外卖快递设置",
  updateNow: "立即更新",
  updatePayoutAccount: "更新支付账户",
  updatePickupSetting: "更新自取设置",
  updateSetting: "更新设置",
  vendorBearPercentage: "供应商承担百分比",
  wednesday: "星期三",
  externalDelivery: "External 配送",
  manageExternalDelivery: "管理外部配送",
  deliveryCatalog: "配送目录",
  pickupCatalog: "自取目录",
  DeliverySettingUpdated: "配送设置已更新",
  selectPlatform: "选择平台",
  platform: "平台",
  discountRule: {
    add: "添加折扣规则",
    description: "定义折扣在账单中如何应用。仅适用于POS版本{minPosVersion}或更高版本。",
    effect: "促销/代金券",
    effectSelected: "已选择{count}个",
    effectUsedInOtherGroup: "已在其他规则中使用",
    forceSync: "强制同步",
    latest: "已发布",
    loadingRestaurants: "正在加载餐厅",
    maxTotalUses: "最大使用次数",
    maxTotalUsesSublabel: "每张账单最多可使用促销/代金券次数",
    outdated: "过时",
    restaurantName: "餐厅名称",
    restaurants: "餐厅",
    restaurantsDescription: "所有餐厅的折扣规则同步状态",
    selectAllEffects: "选择所有促销/代金券",
    selectEffects: "选择促销/代金券",
    status: "状态",
    syncSuccess: "折扣规则设置已同步到所有餐厅",
    title: "折扣规则",
    updateSuccess: "折扣规则设置已更新",
    version: "版本",
    promotion: "促销",
    voucher: "代金券"
  }
}, I = {
  order: A
}, x = {
  accept: "ยอมรับ",
  acceptedPayment: "ยอมรับการชำระเงิน",
  acceptQueue: "ยอมรับคิว",
  acceptQueueSublabel: "ลูกค้าสามารถใช้คิวในแอป FeedMe",
  actiavteFeedmeExpress: "เปิดใช้งาน FeedMe Express",
  activated: "เปิดใช้งานแล้ว",
  activatedDate: "วันที่เปิดใช้งาน",
  activateDeliveryCompany: "เปิดใช้งาน {company} การจัดส่ง",
  activateFeedmeExpressSublabel: "ลูกค้าสามารถเลือก FeedMe express เพื่อจัดส่งอาหารได้",
  activateIntegration: "เปิดใช้งาน {integrationType} การรวม",
  activateLocation: "เปิดใช้งานตำแหน่ง",
  active: "ใช้งานอยู่",
  add: "เพิ่ม",
  addCampaign: "เพิ่มแคมเปญ",
  addCustomPayment: "เพิ่มการชำระเงินแบบกำหนดเอง",
  addDeliveryZone: "เพิ่มโซนการจัดส่ง",
  addNewCampaign: "เพิ่มแคมเปญใหม่",
  addOfflinePayment: "เพิ่มการชำระเงินแบบออฟไลน์",
  addPickupPoint: "เพิ่มจุดรับสินค้า",
  address: "ที่อยู่",
  addServiceCharge: "เพิ่มค่าบริการ",
  addTimeSlot: "เพิ่มช่องเวลา",
  afterBillDiscount: "หลังจากหักส่วนลดแล้ว",
  all: "ทั้งหมด",
  allowedAutoAcceptOrder: "อนุญาตให้รับออเดอร์อัตโนมัติ",
  allowedAutoCloseBill: "อนุญาตให้ปิดบิลอัตโนมัติ",
  allowMultiplePickupSublabel: "อนุญาตให้ลูกค้ารับสินค้าได้หลายที่อยู่แทนที่จะเป็นร้านอาหารเท่านั้น",
  anonymousOrder: "ออเดอร์แบบไม่เปิดเผยตัวตน",
  anonymousOrderSublabel: "ลูกค้าสามารถสั่งอาหารได้โดยไม่ต้องเข้าสู่ระบบ",
  apply: "สมัคร",
  applyFor: "สมัครด่วน",
  asap: "ทันที",
  auto: "อัตโนมัติ",
  autoIntegration: "รวมอัตโนมัติ",
  autoIntegrationWarning: "การรวมระบบการจัดส่งอัตโนมัติไม่พร้อมใช้งาน โปรดติดต่อเจ้าหน้าที่ของเราเพื่อขอข้อมูลเพิ่มเติม เหตุผล:  {reason}",
  autoSendKitchen: "ส่งอัตโนมัติครัว",
  autoSendKitchenSublabel: "ต้องใช้ POS เวอร์ชัน 7 ขึ้นไป",
  balance: "ยอดคงเหลือ",
  bankCard: "บัตร",
  beforeBillDiscount: "ก่อนหักส่วนลดบิล",
  billRounding: "ปัดเศษบิล",
  bindDevice: "ผูกอุปกรณ์",
  bindDeviceMessage: "ป้อนรหัสนี้ในอุปกรณ์คีออสก์ของคุณเพื่อผูก",
  cancel: "ยกเลิก",
  cardPaymentDescription: "ชำระเงินโดยแตะหรือเสียบบัตร",
  cash: "เงินสด",
  catalog: "แคตตาล็อก",
  chargeWhen: "ค่าบริการเมื่อ",
  commission: "ค่าคอมมิชชั่น",
  company: "บริษัท",
  configuration: "การกำหนดค่า",
  confirm: "ยืนยัน",
  contact: "ติดต่อ",
  create: "สร้าง",
  createTestOrder: "สร้างคำสั่งซื้อทดสอบ",
  credit: "เครดิต",
  customerItemRemark: "หมายเหตุรายการลูกค้า",
  customerItemRemarkSublabel: "ลูกค้าสามารถแนบหมายเหตุกับรายการได้",
  customOfflinePayment: "การชำระเงินออฟไลน์แบบกำหนดเอง",
  customOfflinePaymentHeader: "การชำระเงินออฟไลน์แบบกำหนดเอง",
  customServiceCharge: "ค่าบริการแบบกำหนดเอง",
  customTime: "เวลาแบบกำหนดเอง",
  day: "วัน",
  days: "วัน",
  daysTo: "วันถึง",
  deactivated: "ปิดใช้งาน",
  default: "ค่าเริ่มต้น",
  delete: "ลบ",
  delivery: "การจัดส่ง",
  deliveryCompany: "บริษัทจัดส่ง",
  deliveryDescription: "เราบูรณาการการจัดส่งเหล่านี้กับระบบ POS ของคุณ คุณสามารถจัดส่งอาหารให้กับลูกค้าของคุณได้รวดเร็วและปลอดภัยยิ่งขึ้น",
  deliveryFee: "ค่าบริการจัดส่ง",
  deliveryInstruction: "คำแนะนำการจัดส่ง",
  deliveryOrder: "ใบสั่งจัดส่ง",
  deliveryTerm: "ระยะเวลาการจัดส่ง",
  deliveryTime: "เวลาจัดส่ง",
  deliveryTitle: "การจัดส่ง {company}",
  deliveryZone: "โซนการจัดส่ง",
  deviceBinding: "การผูกอุปกรณ์",
  deviceDetails: "รายละเอียดอุปกรณ์",
  dineIn: "รับประทานอาหารที่ร้าน",
  dineInCanTakeaway: "อนุญาตให้นำกลับบ้าน",
  dineInType: "ประเภทรับประทานอาหารที่ร้าน",
  discountCampaign: "แคมเปญส่วนลด",
  displayStand: "แท่นวางสินค้า",
  edit: "แก้ไข",
  editOfflinePayment: "แก้ไขการชำระเงินแบบออฟไลน์",
  editPickupPoint: "แก้ไขจุดรับสินค้า",
  enableServiceCharge: "เปิดใช้งานค่าบริการ",
  end: "สิ้นสุด",
  enterAddress: "ป้อนที่อยู่",
  enterANumber: "ป้อนหมายเลข",
  enterName: "ป้อนชื่อ",
  enterPaymentInstruction: "ป้อนคำสั่งการชำระเงิน",
  enterPaymentName: "ป้อนชื่อการชำระเงิน",
  ePayment: "การชำระเงินทางอิเล็กทรอนิกส์",
  eWallet: "กระเป๋าสตางค์อิเล็กทรอนิกส์",
  eWalletDescription: "สแกนรหัส QR เพื่อชำระเงินด้วยโทรศัพท์",
  exclusive: "พิเศษ",
  failed: "ล้มเหลว",
  failedToUpdateSetting: "ไม่สามารถอัปเดตการตั้งค่า",
  feedMeExpress: "FeedMe express",
  feedmeExpressNotApproved: "บัญชีการจ่ายเงินของคุณอยู่ระหว่างการตรวจสอบ โปรดติดต่อเจ้าหน้าที่ของเราเพื่อรับความช่วยเหลือเพิ่มเติม",
  feedmeExpressPayoutAccIssue: "จำเป็นต้องมีบัญชีการจ่ายเงินเพื่อเปิดใช้งาน FeedMe Express",
  feedmeExpressPosVersionIssue: "จำเป็นต้องมีเวอร์ชัน POS ขั้นต่ำ {minVersion} สำหรับ FeedMe Express",
  feedmeExpressTitle: "อัปเดต FeedMe express",
  fieldCannotBeEmpty: "ไม่สามารถเว้นช่องได้",
  fixedTime: "เวลาที่กำหนด",
  friday: "วันศุกร์",
  general: "ข้อมูลทั่วไป",
  generalInfo: "การตั้งค่าทั่วไป",
  generalSetting: "ค่าสูงสุดควรเกินค่าต่ำสุด",
  greaterThanMinRule: "ซ่อนรายการเมนูที่ไม่พร้อมใช้งาน",
  hideNotAvailableMenuItem: "ละเว้นส่วนลด",
  ignoreDiscount: "ละเว้นสต็อก",
  ignoreStock: "ลูกค้าสามารถสั่งซื้อได้แม้ว่าสินค้าจะหมดสต็อกแล้ว",
  ignoreStockSublabel: "ไม่ใช้งาน",
  inactive: "รวม",
  inclusive: "จัดส่งถึงบ้าน",
  inHouseDelivery: "จัดส่งถึงบ้าน",
  inhouseDeliveryInputLabel: "(ใช้ได้หากตั้งค่า SST ของโปรไฟล์ร้านอาหารไว้)",
  inhouseDeliveryTaxCalculation: "การคำนวณภาษี",
  inhouseDeliveryTaxLabel: "ค่าธรรมเนียมการจัดส่งที่เรียกเก็บภาษี",
  inhouseDeliveryTaxSublabel: "ยอมรับการจัดส่งถึงบ้านด้วย POS",
  inhouseDeliveryTitle: "จัดการการจัดส่งถึงบ้าน",
  inhouseSwitchSublabel: "ยอมรับการจัดส่งถึงบ้านด้วย POS",
  instruction: "คำแนะนำ",
  integratedDeliveryCompany: "บริษัทจัดส่งแบบบูรณาการ",
  integrationDescription: "ระบบ POS สามารถเพิ่มคำสั่งซื้อการจัดส่งกับบริษัท {name} ได้",
  invalidPosVersion: "เวอร์ชัน POS ไม่ถูกต้อง",
  invalidRestaurant: "ร้านอาหารไม่ถูกต้อง",
  item: "รายการ",
  kiosk: "คีออสก์",
  kioskDisplay: "จอแสดงคีออสก์",
  kioskDisplayDescription: 'คลิก "ผูกอุปกรณ์" เพื่อรับรหัสพิเศษสำหรับผูกอุปกรณ์',
  kioskSettingFailed: "อัปเดตการตั้งค่าคำสั่งซื้อคีออสก์ล้มเหลว",
  kioskSettingSuccess: "อัปเดตการตั้งค่าคำสั่งซื้อคีออสก์แล้ว",
  kioskSummary: "สรุปคีออสก์",
  lastOrderBeforeClosing: "เวลาสั่งอาหารครั้งสุดท้ายก่อนปิดร้าน",
  lastOrderBeforeClosingDescription: "ต้องทำรายการสั่งซื้อก่อนเวลาปิดที่กำหนด",
  lastOrderMinutesBeforeCloseRule: "ไม่สามารถน้อยกว่า 0 นาทีได้",
  lastSync: "ซิงโครไนซ์ล่าสุด",
  loadingMenu: "กำลังโหลดเมนู",
  loadingTable: "กำลังโหลดตาราง",
  localDeliveryCompany: "บริษัทจัดส่งในพื้นที่",
  localDeliveryDescription: "เปิดใช้งานบริษัทจัดส่งเพื่อสร้างคำสั่งซื้อใหม่ในระบบ POS",
  manageDelivery: "จัดการการจัดส่ง {company}",
  manual: "คู่มือ",
  menuItem: "รายการเมนู",
  minPurchase: "การซื้อขั้นต่ำ",
  minSpendForFreeDelivery: "ใช้จ่ายขั้นต่ำสำหรับการจัดส่งฟรี",
  minutes: "นาที",
  monday: "วันจันทร์",
  multiplePickupPoint: "จุดรับสินค้าหลายจุด",
  name: "ชื่อ",
  nfc: "NFC",
  noAvailableItem: "ไม่มีรายการที่ใช้ได้",
  noAvailableTable: "ไม่มีตารางที่ใช้ได้",
  nonNegativeRule: "ค่าควรเป็นค่าบวก",
  noRestaurantSelected: "ไม่มีร้านอาหารที่เลือก",
  notAllowed: "ไม่อนุญาต",
  offlinePayment: "การชำระเงินแบบออฟไลน์",
  offlinePaymentName: "ชื่อการชำระเงินแบบออฟไลน์",
  online: "ออนไลน์",
  operatingHour: "เวลาทำการ",
  orderFrom: "คำสั่งซื้อจาก",
  orderSetting: "การตั้งค่าคำสั่งซื้อ",
  orderType: "ประเภทคำสั่งซื้อ",
  padDigit: "ตัวเลขบนแป้น",
  payAtCounter: "ชำระเงินที่เคาน์เตอร์",
  paymentMethod: "วิธีการชำระเงิน",
  paymentType: "ประเภทการชำระเงิน",
  payoutAccountIsRequired: "จำเป็นต้องมีบัญชีการชำระเงิน",
  payoutAccountUnderReview: "บัญชีการชำระเงินอยู่ระหว่างการพิจารณา",
  payoutPosVersion: "สำหรับ POS {version} ขึ้นไป",
  pickAtCounter: "รับสินค้าที่เคาน์เตอร์",
  pickup: "รับสินค้า",
  pickupPoint: "จุดรับสินค้า",
  pleaseCompleteProfile: "โปรดกรอกโปรไฟล์ร้านอาหารของคุณเพื่อเปิดใช้งาน FeedMe Express",
  pleaseSelectRestaurant: "โปรดเลือกร้านอาหาร",
  prefix: "คำนำหน้า",
  preOrder: "สั่งซื้อล่วงหน้า",
  preOrderHint: "สั่งซื้อในวันที่ {today} ลูกค้าสามารถสั่งซื้อได้ระหว่าง  {start} และ {end} สูงสุด 7 วัน",
  pricePerMessage: "ราคาต่อข้อความ",
  processing: "กำลังประมวลผล",
  productSelected: "ผลิตภัณฑ์ที่เลือก",
  promptAnonymousLoginDialog: "กล่องโต้ตอบพร้อมท์เข้าสู่ระบบสำหรับคำสั่งซื้อแบบไม่เปิดเผยตัวตน",
  qrPay: "ชำระเงินด้วย QR",
  rate: "อัตรา",
  remoteId: "รหัสประจำตัวระยะไกล",
  restaurant: "ร้านอาหาร",
  restaurantAsPickupPoint: "ร้านอาหารเป็นจุดรับสินค้า",
  restaurantHaveNotPurchase: "ร้านอาหารยังไม่ได้ซื้อฟีเจอร์ {featureKey}",
  saturday: "วันเสาร์",
  save: "บันทึก",
  saveSetting: "บันทึกการตั้งค่า",
  scanPay: "สแกนชำระเงิน",
  search: "ค้นหา",
  searchRestaurant: "ค้นหาร้านอาหาร",
  selectItem: "เลือกรายการ",
  selectRestaurant: "เลือกร้านอาหาร",
  selectServiceChargeType: "เลือกประเภทค่าบริการ",
  selectTable: "เลือกโต๊ะ",
  selfServeActivation: {
    title: "เปิดใช้งานการบริการตนเอง",
    subTitle: "เปิดใช้งานการบริการตนเองเพื่อให้ลูกค้าสามารถสั่งซื้อได้ด้วยตนเอง",
    learnMore: "เรียนรู้เพิ่มเติม"
  },
  serve: "เสิร์ฟ",
  serviceCharge: "ค่าบริการ",
  serviceChargeRule: "* ค่าบริการจำเป็นต้องใช้ POS เวอร์ชัน 4.0.0 ขึ้นไป",
  serviceChargeSublabel: "สร้างกฎเกณฑ์ของคุณเองเพื่อหลีกเลี่ยงการเปลี่ยนแปลงตามเงื่อนไขที่แตกต่างกัน เช่น ร้านอาหาร ตัวเลือกการรับประทานอาหาร รายการ ช่อง ฯลฯ",
  setting: "การตั้งค่า",
  settings: "การตั้งค่า",
  showNotAvailable: "ไม่แสดงข้อมูล",
  sms: "SMS",
  sstInclusive: "SST รวม",
  start: "เริ่มต้น",
  staticQRcode: "รหัส QR แบบคงที่",
  staticQRcodeSublabel: "ลูกค้าสามารถสั่งซื้อโดยใช้รหัส QR แบบคงที่",
  status: "สถานะ",
  subItemDisplayModeListView: "โหมดรายการผลิตภัณฑ์เพิ่มเติม",
  submitOrderInstruction: "ส่งข้อความสั่งซื้อ",
  success: "สำเร็จ",
  sunday: "วันอาทิตย์",
  syncMenu: "เมนูการซิงค์",
  table: "โต๊ะ",
  tableSelected: "โต๊ะที่เลือก",
  tableService: "บริการโต๊ะ",
  tableServiceSetting: "การตั้งค่าบริการโต๊ะ",
  takeaway: "ซื้อกลับบ้าน",
  takeawayTitle: "ซื้อกลับบ้าน",
  taxExclusive: "พิเศษ",
  taxInclusive: "รวม",
  taxSetting: "การตั้งค่าภาษี",
  taxSettingTerm: "(การตั้งค่าภาษีมีผลใช้กับ POS หลังจาก {validatePosVersion} เท่านั้น)",
  term: "เทอม",
  terminal: "เทอร์มินัล",
  thursday: "วันพฤหัสบดี",
  timeSlot: "ช่องเวลา",
  to: "ถึง",
  tuesday: "วันอังคาร",
  unbind: "ยกเลิกการเชื่อมโยง",
  unbindKioskDevice: "ยกเลิกการเชื่อมโยงอุปกรณ์ Kiosk",
  unbindKioskDeviceWarning: "คุณแน่ใจว่าต้องการยกเลิกการเชื่อมโยงอุปกรณ์หรือไม่ หากใช่ โปรดป้อน {machineId} ในช่องข้อความ",
  unbindSuccess: "ยกเลิกการเชื่อมโยงจอแสดงผล Kiosk สำเร็จแล้ว",
  unbindWarning: "โปรดป้อน ID เครื่องเพื่อยืนยันการยกเลิกการเชื่อมโยง",
  unknown: "ไม่ทราบ",
  update: "อัปเดต",
  updatedAt: "อัปเดตเมื่อ",
  updateDeliveryCompany: "อัปเดตบริษัทจัดส่ง",
  updateFeedMeExpressSetting: "อัปเดตการตั้งค่า FeedMe Express",
  updateNow: "อัปเดตทันที",
  updatePayoutAccount: "อัปเดตบัญชีการจ่ายเงิน",
  updatePickupSetting: "อัปเดตการตั้งค่าการรับสินค้า",
  updateSetting: "อัปเดตการตั้งค่า",
  vendorBearPercentage: "เปอร์เซ็นต์ที่ผู้ขายรับผิดชอบ",
  wednesday: "วันพุธ",
  externalDelivery: "จัดการการจัดส่ง External",
  manageExternalDelivery: "จัดการการจัดส่งภายนอก",
  deliveryCatalog: "แคตตาล็อกการจัดส่ง",
  pickupCatalog: "แคตตาล็อกการรับสินค้า",
  DeliverySettingUpdated: "อัปเดตการตั้งค่าการจัดส่งแล้ว",
  selectPlatform: "เลือกแพลตฟอร์ม",
  platform: "แพลตฟอร์ม",
  discountRule: {
    add: "เพิ่มกฎส่วนลด",
    description: "กำหนดวิธีการใช้ส่วนลดในบิล ใช้ได้กับ POS เวอร์ชัน {minPosVersion} หรือใหม่กว่าเท่านั้น",
    effect: "โปรโมชั่น/บัตรกำนัล",
    effectSelected: "เลือกแล้ว {count} รายการ",
    effectUsedInOtherGroup: "ถูกใช้ในกฎอื่น",
    forceSync: "ซิงค์ข้อมูลแบบบังคับ",
    latest: "เผยแพร่ล่าสุด",
    loadingRestaurants: "กำลังโหลดร้านอาหาร",
    maxTotalUses: "จำนวนการใช้งานสูงสุด",
    maxTotalUsesSublabel: "จำนวนครั้งสูงสุดที่สามารถใช้โปรโมชั่น/บัตรกำนัลต่อบิล",
    outdated: "ล้าสมัย",
    restaurantName: "ชื่อร้านอาหาร",
    restaurants: "ร้านอาหาร",
    restaurantsDescription: "สถานะการซิงค์กฎส่วนลดของทุกร้านอาหาร",
    selectAllEffects: "เลือกโปรโมชั่น/บัตรกำนัลทั้งหมด",
    selectEffects: "เลือกโปรโมชั่น/บัตรกำนัล",
    status: "สถานะ",
    syncSuccess: "ซิงค์กฎส่วนลดไปยังร้านอาหารทั้งหมดเรียบร้อยแล้ว",
    title: "กฎส่วนลด",
    updateSuccess: "อัปเดตกฎส่วนลดเรียบร้อยแล้ว",
    version: "เวอร์ชัน",
    promotion: "โปรโมชั่น",
    voucher: "บัตรกำนัล"
  }
}, T = {
  order: x
}, m = g(null), v = () => m.value;
function M(t) {
  m.value || (m.value = t);
}
const B = Object.freeze({
  jb: {
    lat: 1.492659,
    lng: 103.7413591
  }
});
function U(t) {
  return [t.lng, t.lat];
}
function y(t) {
  if (t.length !== 2) throw Error("Invalid coordinate array");
  return {
    lat: t[1],
    lng: t[0]
  };
}
function V({
  center: t,
  radius: i
}) {
  const e = [], a = i / 6371 * (180 / Math.PI), r = a / Math.cos(t.lat * (Math.PI / 180));
  for (let o = 0; o < 361; o += 45) {
    const c = o * (Math.PI / 180), n = t.lng + r * Math.cos(c), p = t.lat + a * Math.sin(c), s = v(), l = new s.maps.LatLng(p, n, !0);
    e.push(l);
  }
  return e.map((o) => ({ lat: o.lat(), lng: o.lng() }));
}
function _(t) {
  if (!t.length) return;
  const { lat: i, lng: e } = y(t[0]), { maxLng: a, minLng: r, maxLat: o, minLat: c } = t.reduce((n, p) => {
    const { lng: s, lat: l } = y(p);
    return s > n.maxLng && (n.maxLng = s), s < n.minLng && (n.minLng = s), l > n.maxLat && (n.maxLat = l), l < n.minLat && (n.minLat = l), n;
  }, {
    maxLng: e,
    minLng: e,
    maxLat: i,
    minLat: i
  });
  return {
    lng: r + (a - r) / 2,
    lat: c + (o - c) / 2
  };
}
class d {
  constructor(i = null, e = {}) {
    if (this.apiKey = i, this.options = e, typeof window > "u")
      throw new Error("google-maps is supported only in browser environment");
  }
  load() {
    return typeof this.api < "u" ? Promise.resolve(this.api) : typeof this.loader < "u" ? this.loader : (window[d.CALLBACK_NAME] = () => {
      if (this.api = window.google, typeof this.resolve > "u")
        throw new Error("Should not happen");
      this.resolve(this.api);
    }, window.gm_authFailure = () => {
      if (typeof this.reject > "u")
        throw new Error("Should not happen");
      this.reject(new Error("google-maps: authentication error"));
    }, this.loader = new Promise((i, e) => {
      this.resolve = i, this.reject = e;
      const a = document.createElement("script");
      a.src = this.createUrl(), a.async = !0, a.onerror = (r) => e(r), document.head.appendChild(a);
    }));
  }
  createUrl() {
    const i = [
      `callback=${d.CALLBACK_NAME}`
    ];
    this.apiKey && i.push(`key=${this.apiKey}`);
    for (let e in this.options)
      if (this.options.hasOwnProperty(e)) {
        let a = this.options[e];
        e === "version" && (e = "v"), e === "libraries" && (a = a.join(",")), i.push(`${e}=${a}`);
      }
    return `https://maps.googleapis.com/maps/api/js?${i.join("&")}`;
  }
}
d.CALLBACK_NAME = "_dk_google_maps_loader_cb";
var O = { googleMap: "AIzaSyA_isPR1-9bX7UmRiJIhsIRNNwdn6DdmW4" };
const w = { class: "flex-1 overflow-auto" }, W = /* @__PURE__ */ S({
  __name: "App",
  setup(t) {
    async function i() {
      if (v()) return;
      const a = await new d(O.googleMap, {
        libraries: ["places"]
      }).load();
      M(a);
    }
    return f(async () => {
      await i();
    }), (e, a) => {
      const r = h("RouterView");
      return P(), b("div", w, [
        D(r)
      ]);
    };
  }
}), R = "/kiosk", E = "/kiosk/device", F = "/kiosk/order-setting", N = "/order-settings", u = {
  KioskRoute: R,
  KioskDeviceRoute: E,
  KioskOrderSettingRoute: F,
  OrderSettingView: N
}, Q = [
  {
    path: u.KioskRoute,
    name: "Kiosk",
    component: () => import("./KioskView-v8Yl4x4R.js")
  },
  {
    path: u.KioskDeviceRoute,
    name: "Kiosk Device",
    component: () => import("./KioskDevicesView-Dvr4RUmt.js")
  },
  {
    path: u.KioskOrderSettingRoute,
    name: "Kiosk Order Setting",
    component: () => import("./KioskSettingView-DaJz8ZZi.js")
  },
  {
    path: u.OrderSettingView,
    name: "Order Setting View",
    component: () => import("./OrderSettingsView-CN1PFwX_.js")
  }
], H = {
  "en-US": C,
  "zh-CN": I,
  "th-TH": T
};
export {
  W as _,
  y as a,
  V as b,
  B as c,
  U as d,
  _ as e,
  v as g,
  H as i,
  Q as r
};
