export declare enum F_BANK_NAME {
    dbsBank = "DBS_BANK",
    ocbcBank = "OCBC_BANK",
    maybank = "MAYBANK",
    hsbcBank = "HSBC_BANK",
    unitedOverseasBank = "UNITED_OVERSEAS_BANK",
    cimbBank = "CIMB_BANK",
    rhbBank = "RHB_BANK",
    standardCharteredBank = "STANDARD_CHARTERED_BANK"
}
declare function readSwiftCode(bank: F_BANK_NAME): string;
declare function readName(bank: F_BANK_NAME): string;
export declare const Singapore: {
    F_BANK_NAME: typeof F_BANK_NAME;
    name: {
        DBS_BANK: string;
        OCBC_BANK: string;
        MAYBANK: string;
        HSBC_BANK: string;
        UNITED_OVERSEAS_BANK: string;
        CIMB_BANK: string;
        RHB_BANK: string;
        STANDARD_CHARTERED_BANK: string;
    };
    swiftCode: {
        DBS_BANK: string;
        OCBC_BANK: string;
        MAYBANK: string;
        HSBC_BANK: string;
        UNITED_OVERSEAS_BANK: string;
        CIMB_BANK: string;
        RHB_BANK: string;
        STANDARD_CHARTERED_BANK: string;
    };
    readSwiftCode: typeof readSwiftCode;
    readName: typeof readName;
};
export {};
