import { KioskOtpDto, KioskDeviceDto } from '@entity';
declare function requestOtp(): Promise<KioskOtpDto>;
declare function getDevices(): Promise<KioskDeviceDto[]>;
declare function unbind(machineId: string): Promise<void>;
declare function updateDevicePin(pinInfo: string, machineId: string): Promise<void>;
export declare const KioskApi: {
    requestOtp: typeof requestOtp;
    getDevices: typeof getDevices;
    unbind: typeof unbind;
    updateDevicePin: typeof updateDevicePin;
};
export {};
