import type { OrderSettingsDto } from '@entity';
import { FdoRestaurantDineIn, FdoRestaurantPickup, FdoRestaurantSetting, FdoServiceChargeSetting } from '@feedmepos/core/entity';
interface EntityDocument {
    _rev: string;
    _id: string;
    _deleted?: boolean;
}
export type RestaurantSettingDoc = EntityDocument & FdoRestaurantSetting;
export declare const restaurantApi: {
    readRestaurantSetting(restaurantId: string): Promise<RestaurantSettingDoc>;
    updateDineInSetting(setting: FdoRestaurantDineIn): Promise<any>;
    updatePickupSetting(setting: FdoRestaurantPickup): Promise<any>;
    updateServiceCharge(setting: FdoServiceChargeSetting): Promise<any>;
    getMobileOrderSetting(): Promise<OrderSettingsDto>;
};
export {};
