import type { FdoLayout, FdoLayoutSetting, FdoTable } from '@feedmepos/core/entity';
export declare const tableSettingApi: {
    readTables(): Promise<FdoTable[]>;
    createTables(tables: {
        name: string;
    }[]): Promise<FdoTable[]>;
    updateTable(table: FdoTable): Promise<FdoTable>;
    deleteTables(tableIds: string[]): Promise<FdoTable[]>;
    readLayouts(): Promise<FdoLayoutSetting>;
    createLayout(dto: {
        payload: FdoLayout;
        layoutSetting: FdoLayoutSetting;
    }): Promise<FdoLayoutSetting>;
    updateLayout(layout: FdoLayoutSetting): Promise<FdoLayoutSetting>;
    updateSetting(is: boolean): Promise<any>;
};
