import { type PropType } from 'vue';
import type { MarkerChangeEvent, PolygonChangeEvent, MapCoordinate, MapPolygon } from './type';
declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    markers: {
        type: PropType<MapCoordinate[]>;
        default: () => never[];
    };
    polygons: {
        type: PropType<MapPolygon[]>;
        default: () => never[];
    };
    zoom: {
        type: NumberConstructor;
        default: number;
    };
    editable: {
        type: BooleanConstructor;
        default: boolean;
    };
    center: {
        type: PropType<{
            lat: number;
            lng: number;
        }>;
        default: {
            lat: number;
            lng: number;
        };
    };
}>, {
    setCenter: (coordinate: MapCoordinate) => void;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
    "map-click": (ev: MapCoordinate) => any;
    "marker-change": (ev: MarkerChangeEvent) => any;
    "polygon-change": (ev: PolygonChangeEvent) => any;
    "polygon-right-click": (ev: number) => any;
}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    markers: {
        type: PropType<MapCoordinate[]>;
        default: () => never[];
    };
    polygons: {
        type: PropType<MapPolygon[]>;
        default: () => never[];
    };
    zoom: {
        type: NumberConstructor;
        default: number;
    };
    editable: {
        type: BooleanConstructor;
        default: boolean;
    };
    center: {
        type: PropType<{
            lat: number;
            lng: number;
        }>;
        default: {
            lat: number;
            lng: number;
        };
    };
}>> & Readonly<{
    "onMap-click"?: ((ev: MapCoordinate) => any) | undefined;
    "onMarker-change"?: ((ev: MarkerChangeEvent) => any) | undefined;
    "onPolygon-change"?: ((ev: PolygonChangeEvent) => any) | undefined;
    "onPolygon-right-click"?: ((ev: number) => any) | undefined;
}>, {
    center: {
        lat: number;
        lng: number;
    };
    markers: MapCoordinate[];
    polygons: MapPolygon[];
    zoom: number;
    editable: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
