import './assets/main.css';
export declare const i18nMessages: {
    "en-US": {
        order: {
            accept: string;
            acceptedPayment: string;
            acceptQueue: string;
            acceptQueueSublabel: string;
            actiavteFeedmeExpress: string;
            activated: string;
            activatedDate: string;
            activateDeliveryCompany: string;
            activateFeedmeExpressSublabel: string;
            activateIntegration: string;
            activateLocation: string;
            active: string;
            add: string;
            addCampaign: string;
            addCustomPayment: string;
            addDeliveryZone: string;
            addNewCampaign: string;
            addOfflinePayment: string;
            addPickupPoint: string;
            address: string;
            addServiceCharge: string;
            addTimeSlot: string;
            afterBillDiscount: string;
            all: string;
            allowedAutoAcceptOrder: string;
            allowedAutoCloseBill: string;
            allowMultiplePickupSublabel: string;
            anonymousOrder: string;
            anonymousOrderSublabel: string;
            apply: string;
            applyFor: string;
            asap: string;
            auto: string;
            autoIntegration: string;
            autoIntegrationWarning: string;
            autoSendKitchen: string;
            autoSendKitchenSublabel: string;
            balance: string;
            bankCard: string;
            beforeBillDiscount: string;
            billRounding: string;
            bindDevice: string;
            bindDeviceMessage: string;
            cancel: string;
            cardPaymentDescription: string;
            cash: string;
            catalog: string;
            chargeWhen: string;
            commission: string;
            company: string;
            configuration: string;
            confirm: string;
            contact: string;
            create: string;
            createTestOrder: string;
            credit: string;
            customerItemRemark: string;
            customerItemRemarkSublabel: string;
            customOfflinePayment: string;
            customOfflinePaymentHeader: string;
            customServiceCharge: string;
            customTime: string;
            day: string;
            days: string;
            daysTo: string;
            deactivated: string;
            default: string;
            delete: string;
            delivery: string;
            deliveryCompany: string;
            deliveryDescription: string;
            deliveryFee: string;
            deliveryInstruction: string;
            deliveryOrder: string;
            deliveryTerm: string;
            deliveryTime: string;
            deliveryTitle: string;
            deliveryZone: string;
            deviceBinding: string;
            deviceDetails: string;
            dineIn: string;
            dineInCanTakeaway: string;
            dineInType: string;
            discountCampaign: string;
            displayStand: string;
            displayPaxDialogTitle: string;
            displayPaxDialogDescription: string;
            edit: string;
            editOfflinePayment: string;
            editPickupPoint: string;
            enableServiceCharge: string;
            end: string;
            enterAddress: string;
            enterANumber: string;
            enterName: string;
            enterPaymentInstruction: string;
            enterPaymentName: string;
            ePayment: string;
            eWallet: string;
            eWalletDescription: string;
            exclusive: string;
            failed: string;
            failedToUpdateSetting: string;
            feedMeExpress: string;
            feedmeExpressNotApproved: string;
            feedmeExpressPayoutAccIssue: string;
            feedmeExpressPosVersionIssue: string;
            feedmeExpressTitle: string;
            fieldCannotBeEmpty: string;
            fixedTime: string;
            friday: string;
            general: string;
            generalInfo: string;
            generalSetting: string;
            greaterThanMinRule: string;
            hideNotAvailableMenuItem: string;
            ignoreDiscount: string;
            ignoreStock: string;
            ignoreStockSublabel: string;
            inactive: string;
            inclusive: string;
            inHouseDelivery: string;
            inhouseDeliveryInputLabel: string;
            inhouseDeliveryTaxCalculation: string;
            inhouseDeliveryTaxLabel: string;
            inhouseDeliveryTaxSublabel: string;
            inhouseDeliveryTitle: string;
            inhouseSwitchSublabel: string;
            instruction: string;
            integratedDeliveryCompany: string;
            integrationDescription: string;
            invalidPosVersion: string;
            invalidRestaurant: string;
            item: string;
            kiosk: string;
            kioskDisplay: string;
            kioskDisplayDescription: string;
            kioskSettingFailed: string;
            kioskSettingSuccess: string;
            kioskSummary: string;
            lastOrderBeforeClosing: string;
            lastOrderBeforeClosingDescription: string;
            lastOrderMinutesBeforeCloseRule: string;
            lastSync: string;
            loadingMenu: string;
            loadingTable: string;
            localDeliveryCompany: string;
            localDeliveryDescription: string;
            manageDelivery: string;
            manual: string;
            menuItem: string;
            minPurchase: string;
            minSpendForFreeDelivery: string;
            minutes: string;
            monday: string;
            multiplePickupPoint: string;
            name: string;
            nfc: string;
            noAvailableItem: string;
            noAvailableTable: string;
            nonNegativeRule: string;
            noRestaurantSelected: string;
            notAllowed: string;
            offlinePayment: string;
            offlinePaymentName: string;
            online: string;
            operatingHour: string;
            orderFrom: string;
            orderSetting: string;
            orderType: string;
            padDigit: string;
            paid: string;
            payAtCounter: string;
            paymentMethod: string;
            paymentType: string;
            payoutAccountIsRequired: string;
            payoutAccountUnderReview: string;
            payoutPosVersion: string;
            pickAtCounter: string;
            pickup: string;
            pickupPoint: string;
            pleaseCompleteProfile: string;
            pleaseSelectRestaurant: string;
            prefix: string;
            preOrder: string;
            preOrderHint: string;
            pricePerMessage: string;
            processing: string;
            productSelected: string;
            promptAnonymousLoginDialog: string;
            qrPay: string;
            rate: string;
            remoteId: string;
            restaurant: string;
            restaurantAsPickupPoint: string;
            restaurantHaveNotPurchase: string;
            saturday: string;
            save: string;
            saveSetting: string;
            scanPay: string;
            search: string;
            searchRestaurant: string;
            selectAllItemsIncludeCustomItem: string;
            selectItem: string;
            selectRestaurant: string;
            selectServiceChargeType: string;
            selectTable: string;
            selfServeActivation: {
                title: string;
                subTitle: string;
                learnMore: string;
            };
            serve: string;
            serviceCharge: string;
            serviceChargeRule: string;
            serviceChargeSublabel: string;
            setting: string;
            settings: string;
            showNotAvailable: string;
            sms: string;
            sstInclusive: string;
            start: string;
            staticQRcode: string;
            staticQRcodeSublabel: string;
            status: string;
            subItemDisplayModeListView: string;
            submitOrderInstruction: string;
            success: string;
            sunday: string;
            syncMenu: string;
            syncMenuSuccess: string;
            table: string;
            tableSelected: string;
            tableService: string;
            tableServiceSetting: string;
            takeaway: string;
            takeawayTitle: string;
            taxExclusive: string;
            taxInclusive: string;
            taxSetting: string;
            taxSettingTerm: string;
            term: string;
            terminal: string;
            thursday: string;
            timeSlot: string;
            to: string;
            tuesday: string;
            unbind: string;
            unbindKioskDevice: string;
            unbindKioskDeviceWarning: string;
            unbindSuccess: string;
            unbindWarning: string;
            unknown: string;
            update: string;
            updatedAt: string;
            updateDeliveryCompany: string;
            updateFeedMeExpressSetting: string;
            updateNow: string;
            updatePayoutAccount: string;
            updatePickupSetting: string;
            updateSetting: string;
            vendorBearPercentage: string;
            wednesday: string;
            externalDelivery: string;
            manageExternalDelivery: string;
            deliveryCatalog: string;
            pickupCatalog: string;
            DeliverySettingUpdated: string;
            selectPlatform: string;
            platform: string;
            discountRule: {
                add: string;
                description: string;
                effect: string;
                effectSelected: string;
                effectUsedInOtherGroup: string;
                forceSync: string;
                latest: string;
                loadingRestaurants: string;
                maxTotalUses: string;
                maxTotalUsesSublabel: string;
                outdated: string;
                restaurantName: string;
                restaurants: string;
                restaurantsDescription: string;
                selectAllEffects: string;
                selectEffects: string;
                status: string;
                syncSuccess: string;
                title: string;
                updateSuccess: string;
                version: string;
                promotion: string;
                voucher: string;
            };
        };
    };
    "zh-CN": {
        order: {
            accept: string;
            acceptedPayment: string;
            acceptQueue: string;
            acceptQueueSublabel: string;
            actiavteFeedmeExpress: string;
            activated: string;
            activatedDate: string;
            activateDeliveryCompany: string;
            activateFeedmeExpressSublabel: string;
            activateIntegration: string;
            activateLocation: string;
            active: string;
            add: string;
            addCampaign: string;
            addCustomPayment: string;
            addDeliveryZone: string;
            addNewCampaign: string;
            addOfflinePayment: string;
            addPickupPoint: string;
            address: string;
            addServiceCharge: string;
            addTimeSlot: string;
            afterBillDiscount: string;
            all: string;
            allowedAutoAcceptOrder: string;
            allowedAutoCloseBill: string;
            allowMultiplePickupSublabel: string;
            anonymousOrder: string;
            anonymousOrderSublabel: string;
            apply: string;
            applyFor: string;
            asap: string;
            auto: string;
            autoIntegration: string;
            autoIntegrationWarning: string;
            autoSendKitchen: string;
            autoSendKitchenSublabel: string;
            balance: string;
            bankCard: string;
            beforeBillDiscount: string;
            billRounding: string;
            bindDevice: string;
            bindDeviceMessage: string;
            c: string;
            cancel: string;
            cardPaymentDescription: string;
            cash: string;
            catalog: string;
            chargeWhen: string;
            commission: string;
            company: string;
            configuration: string;
            confirm: string;
            contact: string;
            create: string;
            createTestOrder: string;
            credit: string;
            customerItemRemark: string;
            customerItemRemarkSublabel: string;
            customOfflinePayment: string;
            customOfflinePaymentHeader: string;
            customServiceCharge: string;
            customTime: string;
            day: string;
            days: string;
            daysTo: string;
            deactivated: string;
            default: string;
            delete: string;
            delivery: string;
            deliveryCompany: string;
            deliveryDescription: string;
            deliveryFee: string;
            deliveryInstruction: string;
            deliveryOrder: string;
            deliveryTerm: string;
            deliveryTime: string;
            deliveryTitle: string;
            deliveryZone: string;
            deviceBinding: string;
            deviceDetails: string;
            dineIn: string;
            dineInCanTakeaway: string;
            dineInType: string;
            discountCampaign: string;
            displayStand: string;
            displayPaxDialogTitle: string;
            displayPaxDialogDescription: string;
            edit: string;
            editOfflinePayment: string;
            editPickupPoint: string;
            effectSelected: string;
            enableServiceCharge: string;
            end: string;
            enterAddress: string;
            enterANumber: string;
            enterName: string;
            enterPaymentInstruction: string;
            enterPaymentName: string;
            ePayment: string;
            eWallet: string;
            eWalletDescription: string;
            exclusive: string;
            failed: string;
            failedToUpdateSetting: string;
            feedMeExpress: string;
            feedmeExpressNotApproved: string;
            feedmeExpressPayoutAccIssue: string;
            feedmeExpressPosVersionIssue: string;
            feedmeExpressTitle: string;
            fieldCannotBeEmpty: string;
            fixedTime: string;
            friday: string;
            general: string;
            generalInfo: string;
            generalSetting: string;
            greaterThanMinRule: string;
            hideNotAvailableMenuItem: string;
            ignoreDiscount: string;
            ignoreStock: string;
            ignoreStockSublabel: string;
            inactive: string;
            inclusive: string;
            inHouseDelivery: string;
            inhouseDeliveryInputLabel: string;
            inhouseDeliveryTaxCalculation: string;
            inhouseDeliveryTaxLabel: string;
            inhouseDeliveryTaxSublabel: string;
            inhouseDeliveryTitle: string;
            inhouseSwitchSublabel: string;
            instruction: string;
            integratedDeliveryCompany: string;
            integrationDescription: string;
            invalidPosVersion: string;
            invalidRestaurant: string;
            item: string;
            kiosk: string;
            kioskDisplay: string;
            kioskDisplayDescription: string;
            kioskSettingFailed: string;
            kioskSettingSuccess: string;
            kioskSummary: string;
            lastOrderBeforeClosing: string;
            lastOrderBeforeClosingDescription: string;
            lastOrderMinutesBeforeCloseRule: string;
            lastSync: string;
            loadingMenu: string;
            loadingTable: string;
            localDeliveryCompany: string;
            localDeliveryDescription: string;
            manageDelivery: string;
            manual: string;
            menuItem: string;
            minPurchase: string;
            minSpendForFreeDelivery: string;
            minutes: string;
            monday: string;
            multiplePickupPoint: string;
            name: string;
            nfc: string;
            noAvailableItem: string;
            noAvailableTable: string;
            nonNegativeRule: string;
            noRestaurantSelected: string;
            notAllowed: string;
            offlinePayment: string;
            offlinePaymentName: string;
            online: string;
            operatingHour: string;
            orderFrom: string;
            orderSetting: string;
            orderType: string;
            padDigit: string;
            paid: string;
            payAtCounter: string;
            paymentMethod: string;
            paymentType: string;
            payoutAccountIsRequired: string;
            payoutPosVersion: string;
            pickAtCounter: string;
            pickup: string;
            pickupPoint: string;
            pleaseCompleteProfile: string;
            pleaseSelectRestaurant: string;
            prefix: string;
            preOrder: string;
            preOrderHint: string;
            pricePerMessage: string;
            processing: string;
            productSelected: string;
            promptAnonymousLoginDialog: string;
            qrPay: string;
            rate: string;
            remoteId: string;
            restaurant: string;
            restaurantAsPickupPoint: string;
            restaurantHaveNotPurchase: string;
            saturday: string;
            save: string;
            saveSetting: string;
            scanPay: string;
            search: string;
            searchRestaurant: string;
            selectAllItemsIncludeCustomItem: string;
            selectEffects: string;
            selectAllEffects: string;
            selectItem: string;
            selectRestaurant: string;
            selectServiceChargeType: string;
            selectTable: string;
            selfServeActivation: {
                title: string;
                subTitle: string;
                learnMore: string;
            };
            serve: string;
            serviceCharge: string;
            serviceChargeRule: string;
            serviceChargeSublabel: string;
            setting: string;
            settings: string;
            showNotAvailable: string;
            sms: string;
            sstInclusive: string;
            start: string;
            staticQRcode: string;
            staticQRcodeSublabel: string;
            status: string;
            subItemDisplayModeListView: string;
            submitOrderInstruction: string;
            success: string;
            sunday: string;
            syncMenu: string;
            syncMenuSuccess: string;
            table: string;
            tableSelected: string;
            tableService: string;
            tableServiceSetting: string;
            takeaway: string;
            takeawayTitle: string;
            taxExclusive: string;
            taxInclusive: string;
            taxSetting: string;
            taxSettingTerm: string;
            term: string;
            terminal: string;
            thursday: string;
            timeSlot: string;
            to: string;
            tuesday: string;
            unbind: string;
            unbindKioskDevice: string;
            unbindKioskDeviceWarning: string;
            unbindSuccess: string;
            unbindWarning: string;
            unknown: string;
            update: string;
            updatedAt: string;
            updateDeliveryCompany: string;
            updateFeedMeExpressSetting: string;
            updateNow: string;
            updatePayoutAccount: string;
            updatePickupSetting: string;
            updateSetting: string;
            vendorBearPercentage: string;
            wednesday: string;
            externalDelivery: string;
            manageExternalDelivery: string;
            deliveryCatalog: string;
            pickupCatalog: string;
            DeliverySettingUpdated: string;
            selectPlatform: string;
            platform: string;
            discountRule: {
                add: string;
                description: string;
                effect: string;
                effectSelected: string;
                effectUsedInOtherGroup: string;
                forceSync: string;
                latest: string;
                loadingRestaurants: string;
                maxTotalUses: string;
                maxTotalUsesSublabel: string;
                outdated: string;
                restaurantName: string;
                restaurants: string;
                restaurantsDescription: string;
                selectAllEffects: string;
                selectEffects: string;
                status: string;
                syncSuccess: string;
                title: string;
                updateSuccess: string;
                version: string;
                promotion: string;
                voucher: string;
            };
        };
    };
    "th-TH": {
        order: {
            accept: string;
            acceptedPayment: string;
            acceptQueue: string;
            acceptQueueSublabel: string;
            actiavteFeedmeExpress: string;
            activated: string;
            activatedDate: string;
            activateDeliveryCompany: string;
            activateFeedmeExpressSublabel: string;
            activateIntegration: string;
            activateLocation: string;
            active: string;
            add: string;
            addCampaign: string;
            addCustomPayment: string;
            addDeliveryZone: string;
            addNewCampaign: string;
            addOfflinePayment: string;
            addPickupPoint: string;
            address: string;
            addServiceCharge: string;
            addTimeSlot: string;
            afterBillDiscount: string;
            all: string;
            allowedAutoAcceptOrder: string;
            allowedAutoCloseBill: string;
            allowMultiplePickupSublabel: string;
            anonymousOrder: string;
            anonymousOrderSublabel: string;
            apply: string;
            applyFor: string;
            asap: string;
            auto: string;
            autoIntegration: string;
            autoIntegrationWarning: string;
            autoSendKitchen: string;
            autoSendKitchenSublabel: string;
            balance: string;
            bankCard: string;
            beforeBillDiscount: string;
            billRounding: string;
            bindDevice: string;
            bindDeviceMessage: string;
            cancel: string;
            cardPaymentDescription: string;
            cash: string;
            catalog: string;
            chargeWhen: string;
            commission: string;
            company: string;
            configuration: string;
            confirm: string;
            contact: string;
            create: string;
            createTestOrder: string;
            credit: string;
            customerItemRemark: string;
            customerItemRemarkSublabel: string;
            customOfflinePayment: string;
            customOfflinePaymentHeader: string;
            customServiceCharge: string;
            customTime: string;
            day: string;
            days: string;
            daysTo: string;
            deactivated: string;
            default: string;
            delete: string;
            delivery: string;
            deliveryCompany: string;
            deliveryDescription: string;
            deliveryFee: string;
            deliveryInstruction: string;
            deliveryOrder: string;
            deliveryTerm: string;
            deliveryTime: string;
            deliveryTitle: string;
            deliveryZone: string;
            deviceBinding: string;
            deviceDetails: string;
            dineIn: string;
            dineInCanTakeaway: string;
            dineInType: string;
            discountCampaign: string;
            displayStand: string;
            edit: string;
            editOfflinePayment: string;
            editPickupPoint: string;
            enableServiceCharge: string;
            end: string;
            enterAddress: string;
            enterANumber: string;
            enterName: string;
            enterPaymentInstruction: string;
            enterPaymentName: string;
            ePayment: string;
            eWallet: string;
            eWalletDescription: string;
            exclusive: string;
            failed: string;
            failedToUpdateSetting: string;
            feedMeExpress: string;
            feedmeExpressNotApproved: string;
            feedmeExpressPayoutAccIssue: string;
            feedmeExpressPosVersionIssue: string;
            feedmeExpressTitle: string;
            fieldCannotBeEmpty: string;
            fixedTime: string;
            friday: string;
            general: string;
            generalInfo: string;
            generalSetting: string;
            greaterThanMinRule: string;
            hideNotAvailableMenuItem: string;
            ignoreDiscount: string;
            ignoreStock: string;
            ignoreStockSublabel: string;
            inactive: string;
            inclusive: string;
            inHouseDelivery: string;
            inhouseDeliveryInputLabel: string;
            inhouseDeliveryTaxCalculation: string;
            inhouseDeliveryTaxLabel: string;
            inhouseDeliveryTaxSublabel: string;
            inhouseDeliveryTitle: string;
            inhouseSwitchSublabel: string;
            instruction: string;
            integratedDeliveryCompany: string;
            integrationDescription: string;
            invalidPosVersion: string;
            invalidRestaurant: string;
            item: string;
            kiosk: string;
            kioskDisplay: string;
            kioskDisplayDescription: string;
            kioskSettingFailed: string;
            kioskSettingSuccess: string;
            kioskSummary: string;
            lastOrderBeforeClosing: string;
            lastOrderBeforeClosingDescription: string;
            lastOrderMinutesBeforeCloseRule: string;
            lastSync: string;
            loadingMenu: string;
            loadingTable: string;
            localDeliveryCompany: string;
            localDeliveryDescription: string;
            manageDelivery: string;
            manual: string;
            menuItem: string;
            minPurchase: string;
            minSpendForFreeDelivery: string;
            minutes: string;
            monday: string;
            multiplePickupPoint: string;
            name: string;
            nfc: string;
            noAvailableItem: string;
            noAvailableTable: string;
            nonNegativeRule: string;
            noRestaurantSelected: string;
            notAllowed: string;
            offlinePayment: string;
            offlinePaymentName: string;
            online: string;
            operatingHour: string;
            orderFrom: string;
            orderSetting: string;
            orderType: string;
            padDigit: string;
            payAtCounter: string;
            paymentMethod: string;
            paymentType: string;
            payoutAccountIsRequired: string;
            payoutAccountUnderReview: string;
            payoutPosVersion: string;
            pickAtCounter: string;
            pickup: string;
            pickupPoint: string;
            pleaseCompleteProfile: string;
            pleaseSelectRestaurant: string;
            prefix: string;
            preOrder: string;
            preOrderHint: string;
            pricePerMessage: string;
            processing: string;
            productSelected: string;
            promptAnonymousLoginDialog: string;
            qrPay: string;
            rate: string;
            remoteId: string;
            restaurant: string;
            restaurantAsPickupPoint: string;
            restaurantHaveNotPurchase: string;
            saturday: string;
            save: string;
            saveSetting: string;
            scanPay: string;
            search: string;
            searchRestaurant: string;
            selectItem: string;
            selectRestaurant: string;
            selectServiceChargeType: string;
            selectTable: string;
            selfServeActivation: {
                title: string;
                subTitle: string;
                learnMore: string;
            };
            serve: string;
            serviceCharge: string;
            serviceChargeRule: string;
            serviceChargeSublabel: string;
            setting: string;
            settings: string;
            showNotAvailable: string;
            sms: string;
            sstInclusive: string;
            start: string;
            staticQRcode: string;
            staticQRcodeSublabel: string;
            status: string;
            subItemDisplayModeListView: string;
            submitOrderInstruction: string;
            success: string;
            sunday: string;
            syncMenu: string;
            table: string;
            tableSelected: string;
            tableService: string;
            tableServiceSetting: string;
            takeaway: string;
            takeawayTitle: string;
            taxExclusive: string;
            taxInclusive: string;
            taxSetting: string;
            taxSettingTerm: string;
            term: string;
            terminal: string;
            thursday: string;
            timeSlot: string;
            to: string;
            tuesday: string;
            unbind: string;
            unbindKioskDevice: string;
            unbindKioskDeviceWarning: string;
            unbindSuccess: string;
            unbindWarning: string;
            unknown: string;
            update: string;
            updatedAt: string;
            updateDeliveryCompany: string;
            updateFeedMeExpressSetting: string;
            updateNow: string;
            updatePayoutAccount: string;
            updatePickupSetting: string;
            updateSetting: string;
            vendorBearPercentage: string;
            wednesday: string;
            externalDelivery: string;
            manageExternalDelivery: string;
            deliveryCatalog: string;
            pickupCatalog: string;
            DeliverySettingUpdated: string;
            selectPlatform: string;
            platform: string;
            discountRule: {
                add: string;
                description: string;
                effect: string;
                effectSelected: string;
                effectUsedInOtherGroup: string;
                forceSync: string;
                latest: string;
                loadingRestaurants: string;
                maxTotalUses: string;
                maxTotalUsesSublabel: string;
                outdated: string;
                restaurantName: string;
                restaurants: string;
                restaurantsDescription: string;
                selectAllEffects: string;
                selectEffects: string;
                status: string;
                syncSuccess: string;
                title: string;
                updateSuccess: string;
                version: string;
                promotion: string;
                voucher: string;
            };
        };
    };
};
