import { FdoCountry, FdoPublicSetting } from '@feedmepos/core/entity';
interface AppState {
    country: FdoCountry;
    publicSetting: FdoPublicSetting;
}
export declare const useAppStore: import("pinia").StoreDefinition<"app", AppState, {}, {
    getPublicSetting(): Promise<{
        delivery: {
            feedMe: {
                operatingHours?: {
                    0: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    2: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    1: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    3: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    4: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    5: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    6: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                } | null | undefined;
                maxDistance: number;
                enable: boolean;
                areas: {
                    polygon: number[][];
                }[];
            };
        };
        assets: {
            groups: {
                key: "pos" | "portal";
                assets: {
                    type: "image" | "lottie";
                    key: "activeMascotDark" | "activeMascotLight" | "inactiveMascotDark" | "inactiveMascotLight" | "odsMascot" | "advertisement";
                    path: string;
                    files: {
                        responsive?: {
                            mobile?: string | null | undefined;
                            tablet?: string | null | undefined;
                            desktop?: string | null | undefined;
                        } | null | undefined;
                        url: string;
                        createdAt: string;
                        config: {
                            useWhen: {
                                end: string;
                                start: string;
                            };
                            recurring: boolean;
                        };
                        lastUpdate: string;
                    }[];
                }[];
            }[];
        };
        sms: {
            firebase: boolean;
        };
    }>;
    updatePublicSetting(setting: Partial<FdoPublicSetting>): Promise<{
        delivery: {
            feedMe: {
                operatingHours?: {
                    0: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    2: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    1: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    3: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    4: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    5: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    6: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                } | null | undefined;
                maxDistance: number;
                enable: boolean;
                areas: {
                    polygon: number[][];
                }[];
            };
        };
        assets: {
            groups: {
                key: "pos" | "portal";
                assets: {
                    type: "image" | "lottie";
                    key: "activeMascotDark" | "activeMascotLight" | "inactiveMascotDark" | "inactiveMascotLight" | "odsMascot" | "advertisement";
                    path: string;
                    files: {
                        responsive?: {
                            mobile?: string | null | undefined;
                            tablet?: string | null | undefined;
                            desktop?: string | null | undefined;
                        } | null | undefined;
                        url: string;
                        createdAt: string;
                        config: {
                            useWhen: {
                                end: string;
                                start: string;
                            };
                            recurring: boolean;
                        };
                        lastUpdate: string;
                    }[];
                }[];
            }[];
        };
        sms: {
            firebase: boolean;
        };
    }>;
}>;
export {};
