import { FdoRestaurant } from '@feedmepos/core/entity';
type __VLS_Props = {
    menuItems: {
        label: string;
        value: FdoRestaurant;
    }[];
};
declare const _default: import("vue").DefineComponent<__VLS_Props, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
    "update:model-value": (payload: {
        platformValue: string | null;
        restaurant: {
            pickup?: {
                catalogId?: string | null | undefined;
                autoAccept?: boolean | null | undefined;
                paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                offlinePaymentTypes?: {
                    name: string;
                    instruction: string;
                }[] | null | undefined;
                autoAcceptPaidOnly?: boolean | null | undefined;
                ignoreStock?: boolean | null | undefined;
                pickupTime?: {
                    day: {
                        max: number;
                        min: number;
                    };
                } | null | undefined;
                pickupPointConfig?: {
                    restaurantEnable: boolean;
                    points: {
                        name: string;
                        address: string;
                        coordinates: number[];
                    }[];
                } | null | undefined;
            } | null | undefined;
            channel?: string | null | undefined;
            machineId?: string | null | undefined;
            catalogId?: string | null | undefined;
            customAttributes?: Record<string, any> | null | undefined;
            takeaway?: {
                catalogId?: string | null | undefined;
            } | null | undefined;
            inHouseDelivery?: {
                taxes?: Record<string, {
                    inclusive: boolean;
                    taxCode: string;
                    systemCode: string;
                }> | null | undefined;
                autoAccept?: boolean | null | undefined;
                deliveryTime?: {
                    time?: string[] | null | undefined;
                    custom?: {
                        0: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        2: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        1: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        3: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        4: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        5: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        6: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                    } | null | undefined;
                    day: {
                        max: number;
                        min: number;
                    };
                } | null | undefined;
                paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                offlinePaymentTypes?: {
                    name: string;
                    instruction: string;
                }[] | null | undefined;
                autoAcceptPaidOnly?: boolean | null | undefined;
                ignoreStock?: boolean | null | undefined;
                catalogId: string | null;
                enable: boolean;
                areas: {
                    minPurchase?: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    freeAfterTotal?: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    polygon: number[][];
                    deliveryFee: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    };
                }[];
                term: string;
            } | null | undefined;
            dineIn?: {
                paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                offlinePaymentTypes?: {
                    name: string;
                    instruction: string;
                }[] | null | undefined;
                ignoreStock?: boolean | null | undefined;
                staticQr?: boolean | null | undefined;
                disableItemRemark?: boolean | null | undefined;
                acceptQueue?: boolean | null | undefined;
                anonymousOrder: boolean;
            } | null | undefined;
            pf_business?: {
                internal?: boolean | null | undefined;
                url?: string | null | undefined;
                expiredAt?: string | null | undefined;
                agentId?: string | null | undefined;
                attributeSettings?: {
                    options?: any[] | null | undefined;
                    type: "string" | "number" | "boolean" | "date";
                    key: string;
                    entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
                }[] | null | undefined;
                pf_agent?: {
                    clickupId?: string | null | undefined;
                    members?: {
                        pf_user?: {
                            email?: string | null | undefined;
                            phoneNumber?: string | null | undefined;
                            birthday?: string | null | undefined;
                            gender?: "MALE" | "FEMALE" | null | undefined;
                            addresses?: {
                                name: string;
                                address: string;
                                coordinates: number[];
                            }[] | null | undefined;
                            photoURL?: string | null | undefined;
                            displayName?: string | null | undefined;
                            imported?: {
                                raw: Record<string, any>;
                                source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                            } | null | undefined;
                            _id: string;
                        } | null | undefined;
                        role: "ADMIN";
                        userId: string;
                    }[] | null | undefined;
                    code: string;
                    name: string;
                    _id: string;
                    isReseller: boolean;
                } | null | undefined;
                thumbnail?: string | null | undefined;
                billingInfos?: {
                    _id?: string | null | undefined;
                    name: string;
                    address: {
                        coordinates?: number[] | null | undefined;
                        line2?: string | null | undefined;
                        state: string;
                        country: string;
                        line1: string;
                        city: string;
                        postcode: string;
                    };
                    email: string;
                    companyName: string;
                    contact: string;
                }[] | null | undefined;
                customerDisplayImages?: {
                    url: string;
                    restaurantIds: string[];
                }[] | null | undefined;
                name: string;
                _id: string;
                ownerId: string;
                restaurantQuota: number;
                warehouseQuota: number;
                menuVersion: string;
            } | null | undefined;
            features?: string[] | null | undefined;
            machineOtp?: string | null | undefined;
            machineOtpExpiredAt?: string | null | undefined;
            posVersion?: string | null | undefined;
            posHeartbeat?: string | null | undefined;
            posVersionHistory?: Record<string, string> | null | undefined;
            additionalCatalogs?: string[] | null | undefined;
            feedmeDelivery?: {
                instruction?: string | null | undefined;
                catalogId?: string | null | undefined;
                autoAccept?: boolean | null | undefined;
                term?: string | null | undefined;
                ignoreStock?: boolean | null | undefined;
                enable: boolean;
            } | null | undefined;
            foodpandaDelivery?: {
                _id?: string | undefined;
                ignoreDiscount?: boolean | null | undefined;
                catalogId?: string | null | undefined;
                commissionRate?: number | null | undefined;
                lastSynchronize?: string | null | undefined;
                showProductAddon?: boolean | null | undefined;
                autoAccept?: boolean | null | undefined;
                reportConfig?: {
                    commissionRate: number;
                    discountCampaigns: {
                        name: string;
                        date: {
                            end: string;
                            start: string;
                        };
                        vendorBearPercentage: number;
                    }[];
                } | null | undefined;
                hasSst?: boolean | null | undefined;
                enable: boolean;
                remoteId: string;
                autoCloseBill: boolean;
            } | null | undefined;
            grabfoodDelivery?: {
                _id?: string | undefined;
                catalogId?: string | null | undefined;
                lastSynchronize?: string | null | undefined;
                showProductAddon?: boolean | null | undefined;
                enable: boolean;
                commissionRate: number;
                autoCloseBill: boolean;
                merchantID: string;
            } | null | undefined;
            shopeefoodDelivery?: {
                _id?: string | undefined;
                catalogId?: string | null | undefined;
                lastSynchronize?: string | null | undefined;
                showProductAddon?: boolean | null | undefined;
                enable: boolean;
                autoCloseBill: boolean;
                reportConfig: {
                    commissionRate: number;
                    discountCampaigns: {
                        name: string;
                        date: {
                            end: string;
                            start: string;
                        };
                        vendorBearPercentage: number;
                    }[];
                };
                storeID: string;
            } | null | undefined;
            couchDbPassword?: string | null | undefined;
            apiToken?: string | null | undefined;
            remoteSupports?: {
                anydeskId?: string | null | undefined;
                anydeskPassword?: string | null | undefined;
                deviceName: string;
            }[] | null | undefined;
            payoutAccount?: Record<string, any> | null | undefined;
            clearCount?: number | null | undefined;
            queueSetting?: {
                duration?: number | null | undefined;
                enableOrder: boolean;
                initialNumber: number;
                endNumber: number;
                currentNumber: number;
                autoCalledLimit: number;
            } | null | undefined;
            tableMappingSetting?: {
                enable?: boolean | null | undefined;
                showSeat?: boolean | null | undefined;
                mapBorderColor?: number | null | undefined;
                mapLineColor?: number | null | undefined;
            } | null | undefined;
            _id: string;
            expiredAt: string;
            businessId: string;
            profile: {
                code?: string | null | undefined;
                url?: string | null | undefined;
                description?: string | null | undefined;
                _id?: string | null | undefined;
                legalName?: string | null | undefined;
                sstRegNo?: string | null | undefined;
                discovery?: boolean | null | undefined;
                coverPhoto?: string | null | undefined;
                thumbnailPhoto?: string | null | undefined;
                photos?: string[] | null | undefined;
                operatingHours?: {
                    0: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    2: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    1: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    3: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    4: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    5: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    6: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                } | null | undefined;
                tags?: string[] | null | undefined;
                name: string;
                address: {
                    coordinates?: number[] | null | undefined;
                    line2?: string | null | undefined;
                    state: string;
                    country: string;
                    line1: string;
                    city: string;
                    postcode: string;
                };
                email: string;
                phoneNo: string;
                regNo: string;
            };
        } | null;
        slot: string;
        formattedDate: string | null;
    }) => any;
}, string, import("vue").PublicProps, Readonly<__VLS_Props> & Readonly<{
    "onUpdate:model-value"?: ((payload: {
        platformValue: string | null;
        restaurant: {
            pickup?: {
                catalogId?: string | null | undefined;
                autoAccept?: boolean | null | undefined;
                paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                offlinePaymentTypes?: {
                    name: string;
                    instruction: string;
                }[] | null | undefined;
                autoAcceptPaidOnly?: boolean | null | undefined;
                ignoreStock?: boolean | null | undefined;
                pickupTime?: {
                    day: {
                        max: number;
                        min: number;
                    };
                } | null | undefined;
                pickupPointConfig?: {
                    restaurantEnable: boolean;
                    points: {
                        name: string;
                        address: string;
                        coordinates: number[];
                    }[];
                } | null | undefined;
            } | null | undefined;
            channel?: string | null | undefined;
            machineId?: string | null | undefined;
            catalogId?: string | null | undefined;
            customAttributes?: Record<string, any> | null | undefined;
            takeaway?: {
                catalogId?: string | null | undefined;
            } | null | undefined;
            inHouseDelivery?: {
                taxes?: Record<string, {
                    inclusive: boolean;
                    taxCode: string;
                    systemCode: string;
                }> | null | undefined;
                autoAccept?: boolean | null | undefined;
                deliveryTime?: {
                    time?: string[] | null | undefined;
                    custom?: {
                        0: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        2: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        1: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        3: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        4: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        5: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        6: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                    } | null | undefined;
                    day: {
                        max: number;
                        min: number;
                    };
                } | null | undefined;
                paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                offlinePaymentTypes?: {
                    name: string;
                    instruction: string;
                }[] | null | undefined;
                autoAcceptPaidOnly?: boolean | null | undefined;
                ignoreStock?: boolean | null | undefined;
                catalogId: string | null;
                enable: boolean;
                areas: {
                    minPurchase?: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    freeAfterTotal?: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    polygon: number[][];
                    deliveryFee: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    };
                }[];
                term: string;
            } | null | undefined;
            dineIn?: {
                paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                offlinePaymentTypes?: {
                    name: string;
                    instruction: string;
                }[] | null | undefined;
                ignoreStock?: boolean | null | undefined;
                staticQr?: boolean | null | undefined;
                disableItemRemark?: boolean | null | undefined;
                acceptQueue?: boolean | null | undefined;
                anonymousOrder: boolean;
            } | null | undefined;
            pf_business?: {
                internal?: boolean | null | undefined;
                url?: string | null | undefined;
                expiredAt?: string | null | undefined;
                agentId?: string | null | undefined;
                attributeSettings?: {
                    options?: any[] | null | undefined;
                    type: "string" | "number" | "boolean" | "date";
                    key: string;
                    entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
                }[] | null | undefined;
                pf_agent?: {
                    clickupId?: string | null | undefined;
                    members?: {
                        pf_user?: {
                            email?: string | null | undefined;
                            phoneNumber?: string | null | undefined;
                            birthday?: string | null | undefined;
                            gender?: "MALE" | "FEMALE" | null | undefined;
                            addresses?: {
                                name: string;
                                address: string;
                                coordinates: number[];
                            }[] | null | undefined;
                            photoURL?: string | null | undefined;
                            displayName?: string | null | undefined;
                            imported?: {
                                raw: Record<string, any>;
                                source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                            } | null | undefined;
                            _id: string;
                        } | null | undefined;
                        role: "ADMIN";
                        userId: string;
                    }[] | null | undefined;
                    code: string;
                    name: string;
                    _id: string;
                    isReseller: boolean;
                } | null | undefined;
                thumbnail?: string | null | undefined;
                billingInfos?: {
                    _id?: string | null | undefined;
                    name: string;
                    address: {
                        coordinates?: number[] | null | undefined;
                        line2?: string | null | undefined;
                        state: string;
                        country: string;
                        line1: string;
                        city: string;
                        postcode: string;
                    };
                    email: string;
                    companyName: string;
                    contact: string;
                }[] | null | undefined;
                customerDisplayImages?: {
                    url: string;
                    restaurantIds: string[];
                }[] | null | undefined;
                name: string;
                _id: string;
                ownerId: string;
                restaurantQuota: number;
                warehouseQuota: number;
                menuVersion: string;
            } | null | undefined;
            features?: string[] | null | undefined;
            machineOtp?: string | null | undefined;
            machineOtpExpiredAt?: string | null | undefined;
            posVersion?: string | null | undefined;
            posHeartbeat?: string | null | undefined;
            posVersionHistory?: Record<string, string> | null | undefined;
            additionalCatalogs?: string[] | null | undefined;
            feedmeDelivery?: {
                instruction?: string | null | undefined;
                catalogId?: string | null | undefined;
                autoAccept?: boolean | null | undefined;
                term?: string | null | undefined;
                ignoreStock?: boolean | null | undefined;
                enable: boolean;
            } | null | undefined;
            foodpandaDelivery?: {
                _id?: string | undefined;
                ignoreDiscount?: boolean | null | undefined;
                catalogId?: string | null | undefined;
                commissionRate?: number | null | undefined;
                lastSynchronize?: string | null | undefined;
                showProductAddon?: boolean | null | undefined;
                autoAccept?: boolean | null | undefined;
                reportConfig?: {
                    commissionRate: number;
                    discountCampaigns: {
                        name: string;
                        date: {
                            end: string;
                            start: string;
                        };
                        vendorBearPercentage: number;
                    }[];
                } | null | undefined;
                hasSst?: boolean | null | undefined;
                enable: boolean;
                remoteId: string;
                autoCloseBill: boolean;
            } | null | undefined;
            grabfoodDelivery?: {
                _id?: string | undefined;
                catalogId?: string | null | undefined;
                lastSynchronize?: string | null | undefined;
                showProductAddon?: boolean | null | undefined;
                enable: boolean;
                commissionRate: number;
                autoCloseBill: boolean;
                merchantID: string;
            } | null | undefined;
            shopeefoodDelivery?: {
                _id?: string | undefined;
                catalogId?: string | null | undefined;
                lastSynchronize?: string | null | undefined;
                showProductAddon?: boolean | null | undefined;
                enable: boolean;
                autoCloseBill: boolean;
                reportConfig: {
                    commissionRate: number;
                    discountCampaigns: {
                        name: string;
                        date: {
                            end: string;
                            start: string;
                        };
                        vendorBearPercentage: number;
                    }[];
                };
                storeID: string;
            } | null | undefined;
            couchDbPassword?: string | null | undefined;
            apiToken?: string | null | undefined;
            remoteSupports?: {
                anydeskId?: string | null | undefined;
                anydeskPassword?: string | null | undefined;
                deviceName: string;
            }[] | null | undefined;
            payoutAccount?: Record<string, any> | null | undefined;
            clearCount?: number | null | undefined;
            queueSetting?: {
                duration?: number | null | undefined;
                enableOrder: boolean;
                initialNumber: number;
                endNumber: number;
                currentNumber: number;
                autoCalledLimit: number;
            } | null | undefined;
            tableMappingSetting?: {
                enable?: boolean | null | undefined;
                showSeat?: boolean | null | undefined;
                mapBorderColor?: number | null | undefined;
                mapLineColor?: number | null | undefined;
            } | null | undefined;
            _id: string;
            expiredAt: string;
            businessId: string;
            profile: {
                code?: string | null | undefined;
                url?: string | null | undefined;
                description?: string | null | undefined;
                _id?: string | null | undefined;
                legalName?: string | null | undefined;
                sstRegNo?: string | null | undefined;
                discovery?: boolean | null | undefined;
                coverPhoto?: string | null | undefined;
                thumbnailPhoto?: string | null | undefined;
                photos?: string[] | null | undefined;
                operatingHours?: {
                    0: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    2: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    1: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    3: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    4: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    5: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    6: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                } | null | undefined;
                tags?: string[] | null | undefined;
                name: string;
                address: {
                    coordinates?: number[] | null | undefined;
                    line2?: string | null | undefined;
                    state: string;
                    country: string;
                    line1: string;
                    city: string;
                    postcode: string;
                };
                email: string;
                phoneNo: string;
                regNo: string;
            };
        } | null;
        slot: string;
        formattedDate: string | null;
    }) => any) | undefined;
}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
export default _default;
