import { type PropType } from 'vue';
declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    paymentTypes: {
        type: PropType<("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[]>;
        required: true;
    };
    offlinePaymentTypes: {
        type: PropType<{
            name: string;
            instruction: string;
        }[]>;
        required: true;
    };
    allowEPayment: {
        type: (BooleanConstructor | StringConstructor)[];
        required: true;
    };
    ePaymentTypes: {
        type: PropType<{
            card: {
                terminal: boolean;
                nfc: boolean;
            };
            eWallet: {
                qrPay: boolean;
                scanPay: boolean;
            };
        }>;
        required: true;
    };
}>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
    "update:offlinePaymentTypes": (v: {
        name: string;
        instruction: string;
    }[]) => any;
    "update:paymentTypes": (v: ("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[]) => any;
    "update:ePaymentTypes": (v: {
        card: {
            terminal: boolean;
            nfc: boolean;
        };
        eWallet: {
            qrPay: boolean;
            scanPay: boolean;
        };
    }) => any;
}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    paymentTypes: {
        type: PropType<("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[]>;
        required: true;
    };
    offlinePaymentTypes: {
        type: PropType<{
            name: string;
            instruction: string;
        }[]>;
        required: true;
    };
    allowEPayment: {
        type: (BooleanConstructor | StringConstructor)[];
        required: true;
    };
    ePaymentTypes: {
        type: PropType<{
            card: {
                terminal: boolean;
                nfc: boolean;
            };
            eWallet: {
                qrPay: boolean;
                scanPay: boolean;
            };
        }>;
        required: true;
    };
}>> & Readonly<{
    "onUpdate:offlinePaymentTypes"?: ((v: {
        name: string;
        instruction: string;
    }[]) => any) | undefined;
    "onUpdate:paymentTypes"?: ((v: ("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[]) => any) | undefined;
    "onUpdate:ePaymentTypes"?: ((v: {
        card: {
            terminal: boolean;
            nfc: boolean;
        };
        eWallet: {
            qrPay: boolean;
            scanPay: boolean;
        };
    }) => any) | undefined;
}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
