import type { FdoExternalSetting, FdoFoodpandaSettings } from '@entity';
import type { FdoRestaurantFeedmeDelivery, FdoRestaurantInHouseDelivery } from '@feedmepos/core/entity';
import { FdoGrabfoodSettings, FdoShopeeFoodSettings } from '@entity';
import { type DeliveryCompany, type LinkedDeliveryDoc } from './delivery';
export interface DeliveryRow {
    id: string;
    key: string;
    catalog: string;
    name: string;
    paymentType: string;
    status: string[];
}
type IntegratedDeliveryCompany = FdoRestaurantInHouseDelivery | FdoRestaurantFeedmeDelivery | FdoFoodpandaSettings | FdoGrabfoodSettings | FdoShopeeFoodSettings | FdoExternalSetting;
export interface IntegratedDeliveryRow extends DeliveryRow {
    setting: IntegratedDeliveryCompany;
    company?: DeliveryCompany;
    doc?: LinkedDeliveryDoc;
    canUseAutoDeliveryIntegration?: string | boolean;
}
export type StatusType = string;
declare const _default: import("vue").DefineComponent<{}, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<{}> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
