import type { FdoLinkedDelivery } from '@feedmepos/core/entity';
import { type PropType } from 'vue';
import type { DeliveryCompany } from '../delivery';
export interface AutoIntegrateData {
    enable: boolean;
    integrationId: string;
    catalogId: string | null;
    autoAccept?: boolean | null;
    autoCloseBill: boolean;
    commissionRate: number;
    lastSynchronize?: string | null;
    ignoreDiscount?: boolean;
    status?: string | null;
    updatedAt?: string | null;
    menuSyncError?: string | null;
    sstInclusive?: boolean | null;
}
export interface IntegratedDeliverySettingData {
    manual: FdoLinkedDelivery | null;
    auto: AutoIntegrateData;
}
export type InputModel = string | number | boolean | null;
declare const _default: __VLS_WithSlots<import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    modelValue: {
        type: PropType<IntegratedDeliverySettingData>;
        required: true;
    };
    company: {
        type: PropType<DeliveryCompany>;
        required: true;
    };
    canUseAutoDeliveryIntegration: {
        type: (BooleanConstructor | StringConstructor)[];
        required: true;
    };
}>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
    "update:model-value": (v: IntegratedDeliverySettingData) => any;
    syncMenu: () => any;
    flowTestOrder: () => any;
    cancelTestOrder: () => any;
}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    modelValue: {
        type: PropType<IntegratedDeliverySettingData>;
        required: true;
    };
    company: {
        type: PropType<DeliveryCompany>;
        required: true;
    };
    canUseAutoDeliveryIntegration: {
        type: (BooleanConstructor | StringConstructor)[];
        required: true;
    };
}>> & Readonly<{
    "onUpdate:model-value"?: ((v: IntegratedDeliverySettingData) => any) | undefined;
    onSyncMenu?: (() => any) | undefined;
    onFlowTestOrder?: (() => any) | undefined;
    onCancelTestOrder?: (() => any) | undefined;
}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>, {
    default?: ((props: {
        editable: boolean;
    }) => any) | undefined;
}>;
export default _default;
type __VLS_WithSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
