import { type PropType } from 'vue';
import type { CategorizedItem } from '@/helpers/menu';
declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    modelValue: {
        type: PropType<{
            inclusive: boolean;
            rate: {
                amount: number;
                precision: number;
            };
            condition: {
                items?: string[] | null | undefined;
                orderType?: ("TAKEAWAY" | "DINE_IN" | "PICKUP" | "IN_HOUSE_DELIVERY" | "DELIVERY_COMPANY")[] | null | undefined;
                tables?: string[] | null | undefined;
            };
        }>;
        required: true;
    };
    inclusive: {
        type: BooleanConstructor;
        required: true;
    };
    chargeBeforeDiscount: {
        type: BooleanConstructor;
        required: true;
    };
    items: {
        type: PropType<CategorizedItem[]>;
        required: true;
    };
    tables: {
        type: PropType<{
            status?: "SHOW" | "DISABLE" | "HIDE" | null | undefined;
            catalogId?: string | null | undefined;
            qrLink?: string | null | undefined;
            interactiveInfo?: {
                angle: number;
                height: number;
                width: number;
                x: number;
                y: number;
            } | null | undefined;
            offlineInteractiveInfo?: {
                angle: number;
                height: number;
                width: number;
                x: number;
                y: number;
            } | null | undefined;
            seatInfo?: {
                leftSideSeats: number;
                rightSideSeats: number;
                topSideSeats: number;
                bottomSideSeats: number;
            } | null | undefined;
            name: string;
            _id: string;
        }[]>;
        required: true;
    };
    isLoadingTable: {
        type: BooleanConstructor;
        required: true;
    };
    isLoadingMenu: {
        type: BooleanConstructor;
        required: true;
    };
}>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
    "update:model-value": (v: {
        inclusive: boolean;
        rate: {
            amount: number;
            precision: number;
        };
        condition: {
            items?: string[] | null | undefined;
            orderType?: ("TAKEAWAY" | "DINE_IN" | "PICKUP" | "IN_HOUSE_DELIVERY" | "DELIVERY_COMPANY")[] | null | undefined;
            tables?: string[] | null | undefined;
        };
    }) => any;
    delete: () => any;
}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    modelValue: {
        type: PropType<{
            inclusive: boolean;
            rate: {
                amount: number;
                precision: number;
            };
            condition: {
                items?: string[] | null | undefined;
                orderType?: ("TAKEAWAY" | "DINE_IN" | "PICKUP" | "IN_HOUSE_DELIVERY" | "DELIVERY_COMPANY")[] | null | undefined;
                tables?: string[] | null | undefined;
            };
        }>;
        required: true;
    };
    inclusive: {
        type: BooleanConstructor;
        required: true;
    };
    chargeBeforeDiscount: {
        type: BooleanConstructor;
        required: true;
    };
    items: {
        type: PropType<CategorizedItem[]>;
        required: true;
    };
    tables: {
        type: PropType<{
            status?: "SHOW" | "DISABLE" | "HIDE" | null | undefined;
            catalogId?: string | null | undefined;
            qrLink?: string | null | undefined;
            interactiveInfo?: {
                angle: number;
                height: number;
                width: number;
                x: number;
                y: number;
            } | null | undefined;
            offlineInteractiveInfo?: {
                angle: number;
                height: number;
                width: number;
                x: number;
                y: number;
            } | null | undefined;
            seatInfo?: {
                leftSideSeats: number;
                rightSideSeats: number;
                topSideSeats: number;
                bottomSideSeats: number;
            } | null | undefined;
            name: string;
            _id: string;
        }[]>;
        required: true;
    };
    isLoadingTable: {
        type: BooleanConstructor;
        required: true;
    };
    isLoadingMenu: {
        type: BooleanConstructor;
        required: true;
    };
}>> & Readonly<{
    "onUpdate:model-value"?: ((v: {
        inclusive: boolean;
        rate: {
            amount: number;
            precision: number;
        };
        condition: {
            items?: string[] | null | undefined;
            orderType?: ("TAKEAWAY" | "DINE_IN" | "PICKUP" | "IN_HOUSE_DELIVERY" | "DELIVERY_COMPANY")[] | null | undefined;
            tables?: string[] | null | undefined;
        };
    }) => any) | undefined;
    onDelete?: (() => any) | undefined;
}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
