import { z } from "zod";
export declare const F_DELIVERY_STATUS: z.ZodEnum<["CREATING", "NEW", "IN_DELIVER", "PICKING_UP", "IN_RETURN", "CANCELED", "RETURNED", "COMPLETE", "FAILED", "REFUSED"]>;
export type F_DELIVERY_STATUS = z.infer<typeof F_DELIVERY_STATUS>;
export declare const F_DELIVERY_PROVIDER_TYPE: z.ZodEnum<["GRAB_EXPRESS", "PANDA_GO", "KOSMO", "MANUAL", "IN_HOUSE"]>;
export type F_DELIVERY_PROVIDER_TYPE = z.infer<typeof F_DELIVERY_PROVIDER_TYPE>;
export declare const F_DELIVERY_QUOTE_STATUS: z.ZodEnum<["SHOW", "HIDDEN", "DISABLED"]>;
export type F_DELIVERY_QUOTE_STATUS = z.infer<typeof F_DELIVERY_QUOTE_STATUS>;
