import { z } from 'zod';
export declare const FdoLinkedDelivery: z.ZodObject<{
    _id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    key: z.ZodString;
    name: z.ZodString;
    slotPrefix: z.ZodString;
    paymentTypeKey: z.ZodString;
    catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    _id?: string | null | undefined;
    catalogId?: string | null | undefined;
    name: string;
    key: string;
    slotPrefix: string;
    paymentTypeKey: string;
}, {
    _id?: string | null | undefined;
    catalogId?: string | null | undefined;
    name: string;
    key: string;
    slotPrefix: string;
    paymentTypeKey: string;
}>;
export type FdoLinkedDelivery = z.infer<typeof FdoLinkedDelivery>;
