import { z } from 'zod';
export declare const LinkedDeliveryDto: z.ZodObject<{
    _id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    key: z.ZodString;
    name: z.ZodString;
    slotPrefix: z.ZodString;
    paymentTypeKey: z.ZodString;
    catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    _id?: string | null | undefined;
    catalogId?: string | null | undefined;
    name: string;
    key: string;
    slotPrefix: string;
    paymentTypeKey: string;
}, {
    _id?: string | null | undefined;
    catalogId?: string | null | undefined;
    name: string;
    key: string;
    slotPrefix: string;
    paymentTypeKey: string;
}>;
export declare const LinkedDeliveryOutputDto: z.ZodEffects<z.ZodObject<{
    _id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    key: z.ZodString;
    name: z.ZodString;
    slotPrefix: z.ZodString;
    paymentTypeKey: z.ZodString;
    catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    _id?: string | null | undefined;
    catalogId?: string | null | undefined;
    name: string;
    key: string;
    slotPrefix: string;
    paymentTypeKey: string;
}, {
    _id?: string | null | undefined;
    catalogId?: string | null | undefined;
    name: string;
    key: string;
    slotPrefix: string;
    paymentTypeKey: string;
}>, {
    id: string | undefined;
    _id?: string | null | undefined;
    catalogId?: string | null | undefined;
    name: string;
    key: string;
    slotPrefix: string;
    paymentTypeKey: string;
}, {
    _id?: string | null | undefined;
    catalogId?: string | null | undefined;
    name: string;
    key: string;
    slotPrefix: string;
    paymentTypeKey: string;
}>;
export type LinkedDeliveryOutputDto = z.infer<typeof LinkedDeliveryOutputDto>;
export declare const LinkedDeliveryUpdateDto: z.ZodObject<Omit<{
    _id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    key: z.ZodString;
    name: z.ZodString;
    slotPrefix: z.ZodString;
    paymentTypeKey: z.ZodString;
    catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}, "_id">, "strip", z.ZodTypeAny, {
    catalogId?: string | null | undefined;
    name: string;
    key: string;
    slotPrefix: string;
    paymentTypeKey: string;
}, {
    catalogId?: string | null | undefined;
    name: string;
    key: string;
    slotPrefix: string;
    paymentTypeKey: string;
}>;
export type LinkedDeliveryUpdateDto = z.infer<typeof LinkedDeliveryUpdateDto>;
