import { z } from 'zod';
export declare const FdtoMinMax: z.ZodEffects<z.ZodObject<{
    min: z.ZodNumber;
    max: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    min: number;
    max: number;
}, {
    min: number;
    max: number;
}>, {
    min: number;
    max: number;
}, {
    min: number;
    max: number;
}>;
export type FdtoMinMax = z.infer<typeof FdtoMinMax>;
