import { z } from 'zod';
export declare const SearchQueryDto: z.ZodObject<{
    keyword: z.ZodDefault<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    keyword: string;
}, {
    keyword?: string | undefined;
}>;
export type SearchQueryDto = z.infer<typeof SearchQueryDto>;
