import { z } from 'zod';
export declare const F_INCOMING_ORDER_STATUS: z.ZodEnum<["PENDING", "PROCESSED", "VOIDED"]>;
export declare const F_INTEGRATION_ORDER_STATUS: z.ZodEnum<["REJECT", "DONE_PREPARED", "ACCEPT", "COLLECTED"]>;
export declare const F_INCOMING_EVENT_TYPE: z.ZodEnum<["DRIVER_INFO_CHANGED", "REFUND"]>;
export type F_INCOMING_ORDER_STATUS = z.infer<typeof F_INCOMING_ORDER_STATUS>;
export type F_INCOMING_EVENT_TYPE = z.infer<typeof F_INCOMING_EVENT_TYPE>;
export type F_INTEGRATION_ORDER_STATUS = z.infer<typeof F_INTEGRATION_ORDER_STATUS>;
