import { z } from 'zod';
export declare const GF_CAMPAIGN_CREATED_BY: z.ZodEnum<["Grab", "Merchant", "Partner"]>;
export declare const GF_REPORT_DELIVERY_FROM_STATE: z.ZodEnum<["FindDriver", "Collected", "Delivered"]>;
export declare const GF_CAMPAIGN_LEVEL: z.ZodEnum<["item", "category", "order", "delivery_fee"]>;
export declare const GF_ORDER_TO_STATE: z.ZodEnum<["Accepted", "Rejected"]>;
export declare const GF_REPORT_DELIVERY_TO_STATE: z.ZodEnum<["Accepted", "FindDriver", "Collected"]>;
export declare const GF_UPDATE_MENU_FIELD_TYPE: z.ZodEnum<["ITEM", "MODIFIER"]>;
export declare const GF_CAMPAIGN_EATER_TYPE: z.ZodEnum<["all", "new"]>;
export declare const GF_CAMPAIGN_DISCOUNT_TYPE: z.ZodEnum<["net", "percentage", "delivery", "freeItem"]>;
export declare const GF_CAMPAIGN_SCOPE_TYPE: z.ZodEnum<["order", "items"]>;
export declare const GF_PUSH_ORDER_STATE: z.ZodEnum<["ACCEPTED", "DRIVER_ALLOCATED", "DRIVER_ARRIVED", "COLLECTED", "DELIVERED", "FAILED", "CANCELLED"]>;
export declare const GF_ORDER_STATUS: z.ZodEnum<["pending", "accepted", "rejected"]>;
export declare const GF_PAYMENT_TYPE: z.ZodEnum<["CASH", "CASHLESS"]>;
export declare const GF_COUNTRY_CODE: z.ZodEnum<["SG", "MY", "ID", "VN", "TH", "PH", "KH", "MM"]>;
export declare const GF_CURRENCY_CODE: z.ZodEnum<["SGD", "MYR", "IDR", "VND", "THB", "PHP", "KHR", "MMK"]>;
export declare const GF_OPEN_PERIOD_TYPE: z.ZodEnum<["OpenPeriod", "OpenAllDay", "CloseAllDay"]>;
export declare const GF_CURRENCY_SYMBOL: z.ZodEnum<["RM", "Rp", "S$", "₫", "฿", "₱", "៛", "K"]>;
export declare const GF_MODIFIER_AVAILABLE_STATUS: z.ZodEnum<["AVAILABLE", "UNAVAILABLE"]>;
export declare const GF_AVAILABLE_STATUS: z.ZodEnum<["AVAILABLE", "UNAVAILABLE", "HIDE"]>;
export declare const GF_SPECIAL_TYPE: z.ZodEnum<["alcohol"]>;
export declare const GF_ACCEPTANCE_TYPE: z.ZodEnum<["AUTO", "MANUAL"]>;
export declare const GF_ORDER_TYPE: z.ZodEnum<["TakeAway", "DeliveredByGrab", "DeliveredByRestaurant"]>;
export declare const GF_CAMPAIGN_TYPE: z.ZodEnum<["percentage", "net", "delivery", "freeItem"]>;
export declare const GF_CAMPAIGN_DEDUCTED_PART: z.ZodEnum<["basket_amount", "delivery_fee"]>;
export declare const GF_POI_SOURCE: z.ZodEnum<["GRAB", "GOOGLE"]>;
export declare const GF_INTEGRATION_STATUS: z.ZodEnum<["INACTIVE", "ACTIVE", "SYNCING", "FAILED"]>;
export declare const GF_MARK_ORDER_STATUS: z.ZodNativeEnum<{
    prepared: number;
}>;
export type GF_INTEGRATION_STATUS = z.infer<typeof GF_INTEGRATION_STATUS>;
export type GF_CAMPAIGN_CREATED_BY = z.infer<typeof GF_CAMPAIGN_CREATED_BY>;
export type GF_REPORT_DELIVERY_FROM_STATE = z.infer<typeof GF_REPORT_DELIVERY_FROM_STATE>;
export type GF_CAMPAIGN_LEVEL = z.infer<typeof GF_CAMPAIGN_LEVEL>;
export type GF_ORDER_TO_STATE = z.infer<typeof GF_ORDER_TO_STATE>;
export type GF_REPORT_DELIVERY_TO_STATE = z.infer<typeof GF_REPORT_DELIVERY_TO_STATE>;
export type GF_UPDATE_MENU_FIELD_TYPE = z.infer<typeof GF_UPDATE_MENU_FIELD_TYPE>;
export type GF_CAMPAIGN_EATER_TYPE = z.infer<typeof GF_CAMPAIGN_EATER_TYPE>;
export type GF_CAMPAIGN_DISCOUNT_TYPE = z.infer<typeof GF_CAMPAIGN_DISCOUNT_TYPE>;
export type GF_CAMPAIGN_SCOPE_TYPE = z.infer<typeof GF_CAMPAIGN_SCOPE_TYPE>;
export type GF_PUSH_ORDER_STATE = z.infer<typeof GF_PUSH_ORDER_STATE>;
export type GF_ORDER_STATUS = z.infer<typeof GF_ORDER_STATUS>;
export type GF_PAYMENT_TYPE = z.infer<typeof GF_PAYMENT_TYPE>;
export type GF_COUNTRY_CODE = z.infer<typeof GF_COUNTRY_CODE>;
export type GF_CURRENCY_CODE = z.infer<typeof GF_CURRENCY_CODE>;
export type GF_OPEN_PERIOD_TYPE = z.infer<typeof GF_OPEN_PERIOD_TYPE>;
export type GF_CURRENCY_SYMBOL = z.infer<typeof GF_CURRENCY_SYMBOL>;
export type GF_MODIFIER_AVAILABLE_STATUS = z.infer<typeof GF_MODIFIER_AVAILABLE_STATUS>;
export type GF_AVAILABLE_STATUS = z.infer<typeof GF_AVAILABLE_STATUS>;
export type GF_SPECIAL_TYPE = z.infer<typeof GF_SPECIAL_TYPE>;
export type GF_ACCEPTANCE_TYPE = z.infer<typeof GF_ACCEPTANCE_TYPE>;
export type GF_ORDER_TYPE = z.infer<typeof GF_ORDER_TYPE>;
export type GF_CAMPAIGN_TYPE = z.infer<typeof GF_CAMPAIGN_TYPE>;
export type GF_CAMPAIGN_DEDUCTED_PART = z.infer<typeof GF_CAMPAIGN_DEDUCTED_PART>;
export type GF_POI_SOURCE = z.infer<typeof GF_POI_SOURCE>;
export type GF_MARK_ORDER_STATUS = z.infer<typeof GF_MARK_ORDER_STATUS>;
