import { z } from 'zod';
export declare const F_ORDER_PLATFORM_ACTION: z.ZodEnum<["SYNC_MENU", "UPDATE_ORDER", "GET_OR_UPDATE_SETTING"]>;
export declare const F_ORDER_PLATFORM: z.ZodEnum<["FOOD_PANDA", "GRAB_FOOD", "SHOPEE_FOOD", "FEEDME", "IN_HOUSE", "ZUS"]>;
export declare const F_MENU_SYNCING_STATUS: z.ZodEnum<["SUCCESS", "FAILED", "PROCESSING"]>;
export declare const F_SF_MENU_SYNCING_STATUS: z.ZodNativeEnum<{
    readonly SUCCESS: 0;
    readonly FAILED: 1;
}>;
export declare const F_GF_MENU_SYNCING_STATUS: z.ZodEnum<["PROCESSING", "QUEUEING", "SUCCESS", "FAILED"]>;
export declare const F_FP_MENU_SYNCING_STATUS: z.ZodEnum<["in_progress", "done", "failed", "done_with_errors"]>;
export type F_ORDER_PLATFORM_ACTION = z.infer<typeof F_ORDER_PLATFORM_ACTION>;
export type F_ORDER_PLATFORM = z.infer<typeof F_ORDER_PLATFORM>;
export type F_MENU_SYNCING_STATUS = z.infer<typeof F_MENU_SYNCING_STATUS>;
export type F_GF_MENU_SYNCING_STATUS = z.infer<typeof F_GF_MENU_SYNCING_STATUS>;
export type F_SF_MENU_SYNCING_STATUS = z.infer<typeof F_SF_MENU_SYNCING_STATUS>;
export type F_FP_MENU_SYNCING_STATUS = z.infer<typeof F_FP_MENU_SYNCING_STATUS>;
