import { z } from 'zod';
export declare const SFUpdateMenuResultDto: z.ZodObject<{
    store_id: z.ZodString;
    result: z.ZodNumber;
    msg: z.ZodString;
    notification_id: z.ZodString;
    notification_time: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    store_id: string;
    result: number;
    msg: string;
    notification_id: string;
    notification_time: number;
}, {
    store_id: string;
    result: number;
    msg: string;
    notification_id: string;
    notification_time: number;
}>;
export type SFUpdateMenuResultDto = z.infer<typeof SFUpdateMenuResultDto>;
