import { z } from 'zod';
export declare const F_SHOPEEFOOD_ORDER_STATUS: z.ZodEnum<["pending", "accepted", "rejected"]>;
export declare const SF_CURRENCY: z.ZodEnum<["MYR"]>;
export declare const SF_REGION: z.ZodEnum<["MY"]>;
export declare const SF_STATUS: z.ZodEnum<["pending", "accepted", "rejected"]>;
export declare const SF_ORDER_STATUS: z.ZodEnum<["DELIVERY_ACCEPTED", "DELIVERY_ARRIVED_STORE", "DELIVERY_PICKED_UP", "DELIVERED", "COMPLETED", "CANCELING", "CANCELED"]>;
export declare const SF_PAYMENT_METHOD: z.ZodEnum<["CASH_ON_DELIVERY", "ONLINE_PAYMENT"]>;
export declare const SF_DELIVERY_MODE: z.ZodNativeEnum<{
    PLATFORM_DELIVERY: number;
    MERCHANT_DELIVERY: number;
    PICKUP: number;
}>;
export type F_SHOPEEFOOD_ORDER_STATUS = z.infer<typeof F_SHOPEEFOOD_ORDER_STATUS>;
export type SF_STATUS = z.infer<typeof SF_STATUS>;
export type SF_CURRENCY = z.infer<typeof SF_CURRENCY>;
export type SF_REGION = z.infer<typeof SF_REGION>;
export type SF_ORDER_STATUS = z.infer<typeof SF_ORDER_STATUS>;
export type SF_PAYMENT_METHOD = z.infer<typeof SF_PAYMENT_METHOD>;
export type SF_DELIVERY_MODE = z.infer<typeof SF_DELIVERY_MODE>;
