import { z } from "zod";
export declare const ReservationChargeDto: z.ZodObject<{
    fixed: z.ZodAny;
    rate: z.ZodOptional<z.ZodNumber>;
}, "strip", z.ZodTypeAny, {
    fixed?: any;
    rate?: number | undefined;
}, {
    fixed?: any;
    rate?: number | undefined;
}>;
export declare const OrderReservationSettingOptionTimeDto: z.ZodObject<{
    start: z.ZodString;
    end: z.ZodString;
}, "strip", z.ZodTypeAny, {
    start: string;
    end: string;
}, {
    start: string;
    end: string;
}>;
export declare const OrderReservationSettingOptionTimesDto: z.ZodObject<{
    0: z.ZodDefault<z.ZodArray<z.ZodObject<{
        start: z.ZodString;
        end: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        start: string;
        end: string;
    }, {
        start: string;
        end: string;
    }>, "many">>;
    1: z.ZodDefault<z.ZodArray<z.ZodObject<{
        start: z.ZodString;
        end: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        start: string;
        end: string;
    }, {
        start: string;
        end: string;
    }>, "many">>;
    2: z.ZodDefault<z.ZodArray<z.ZodObject<{
        start: z.ZodString;
        end: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        start: string;
        end: string;
    }, {
        start: string;
        end: string;
    }>, "many">>;
    3: z.ZodDefault<z.ZodArray<z.ZodObject<{
        start: z.ZodString;
        end: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        start: string;
        end: string;
    }, {
        start: string;
        end: string;
    }>, "many">>;
    4: z.ZodDefault<z.ZodArray<z.ZodObject<{
        start: z.ZodString;
        end: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        start: string;
        end: string;
    }, {
        start: string;
        end: string;
    }>, "many">>;
    5: z.ZodDefault<z.ZodArray<z.ZodObject<{
        start: z.ZodString;
        end: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        start: string;
        end: string;
    }, {
        start: string;
        end: string;
    }>, "many">>;
    6: z.ZodDefault<z.ZodArray<z.ZodObject<{
        start: z.ZodString;
        end: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        start: string;
        end: string;
    }, {
        start: string;
        end: string;
    }>, "many">>;
}, "strip", z.ZodTypeAny, {
    0: {
        start: string;
        end: string;
    }[];
    1: {
        start: string;
        end: string;
    }[];
    2: {
        start: string;
        end: string;
    }[];
    3: {
        start: string;
        end: string;
    }[];
    4: {
        start: string;
        end: string;
    }[];
    5: {
        start: string;
        end: string;
    }[];
    6: {
        start: string;
        end: string;
    }[];
}, {
    0?: {
        start: string;
        end: string;
    }[] | undefined;
    1?: {
        start: string;
        end: string;
    }[] | undefined;
    2?: {
        start: string;
        end: string;
    }[] | undefined;
    3?: {
        start: string;
        end: string;
    }[] | undefined;
    4?: {
        start: string;
        end: string;
    }[] | undefined;
    5?: {
        start: string;
        end: string;
    }[] | undefined;
    6?: {
        start: string;
        end: string;
    }[] | undefined;
}>;
export declare const OrderReservationSettingOptionDto: z.ZodObject<{
    enable: z.ZodBoolean;
    catalogId: z.ZodOptional<z.ZodString>;
    times: z.ZodObject<{
        0: z.ZodDefault<z.ZodArray<z.ZodObject<{
            start: z.ZodString;
            end: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            start: string;
            end: string;
        }, {
            start: string;
            end: string;
        }>, "many">>;
        1: z.ZodDefault<z.ZodArray<z.ZodObject<{
            start: z.ZodString;
            end: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            start: string;
            end: string;
        }, {
            start: string;
            end: string;
        }>, "many">>;
        2: z.ZodDefault<z.ZodArray<z.ZodObject<{
            start: z.ZodString;
            end: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            start: string;
            end: string;
        }, {
            start: string;
            end: string;
        }>, "many">>;
        3: z.ZodDefault<z.ZodArray<z.ZodObject<{
            start: z.ZodString;
            end: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            start: string;
            end: string;
        }, {
            start: string;
            end: string;
        }>, "many">>;
        4: z.ZodDefault<z.ZodArray<z.ZodObject<{
            start: z.ZodString;
            end: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            start: string;
            end: string;
        }, {
            start: string;
            end: string;
        }>, "many">>;
        5: z.ZodDefault<z.ZodArray<z.ZodObject<{
            start: z.ZodString;
            end: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            start: string;
            end: string;
        }, {
            start: string;
            end: string;
        }>, "many">>;
        6: z.ZodDefault<z.ZodArray<z.ZodObject<{
            start: z.ZodString;
            end: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            start: string;
            end: string;
        }, {
            start: string;
            end: string;
        }>, "many">>;
    }, "strip", z.ZodTypeAny, {
        0: {
            start: string;
            end: string;
        }[];
        1: {
            start: string;
            end: string;
        }[];
        2: {
            start: string;
            end: string;
        }[];
        3: {
            start: string;
            end: string;
        }[];
        4: {
            start: string;
            end: string;
        }[];
        5: {
            start: string;
            end: string;
        }[];
        6: {
            start: string;
            end: string;
        }[];
    }, {
        0?: {
            start: string;
            end: string;
        }[] | undefined;
        1?: {
            start: string;
            end: string;
        }[] | undefined;
        2?: {
            start: string;
            end: string;
        }[] | undefined;
        3?: {
            start: string;
            end: string;
        }[] | undefined;
        4?: {
            start: string;
            end: string;
        }[] | undefined;
        5?: {
            start: string;
            end: string;
        }[] | undefined;
        6?: {
            start: string;
            end: string;
        }[] | undefined;
    }>;
    charges: z.ZodObject<{
        deposit: z.ZodObject<{
            fixed: z.ZodAny;
            rate: z.ZodOptional<z.ZodNumber>;
        }, "strip", z.ZodTypeAny, {
            fixed?: any;
            rate?: number | undefined;
        }, {
            fixed?: any;
            rate?: number | undefined;
        }>;
        serviceCharge: z.ZodDefault<z.ZodObject<{
            fixed: z.ZodAny;
            rate: z.ZodOptional<z.ZodNumber>;
        }, "strip", z.ZodTypeAny, {
            fixed?: any;
            rate?: number | undefined;
        }, {
            fixed?: any;
            rate?: number | undefined;
        }>>;
    }, "strip", z.ZodTypeAny, {
        deposit: {
            fixed?: any;
            rate?: number | undefined;
        };
        serviceCharge: {
            fixed?: any;
            rate?: number | undefined;
        };
    }, {
        serviceCharge?: {
            fixed?: any;
            rate?: number | undefined;
        } | undefined;
        deposit: {
            fixed?: any;
            rate?: number | undefined;
        };
    }>;
}, "strip", z.ZodTypeAny, {
    catalogId?: string | undefined;
    enable: boolean;
    charges: {
        deposit: {
            fixed?: any;
            rate?: number | undefined;
        };
        serviceCharge: {
            fixed?: any;
            rate?: number | undefined;
        };
    };
    times: {
        0: {
            start: string;
            end: string;
        }[];
        1: {
            start: string;
            end: string;
        }[];
        2: {
            start: string;
            end: string;
        }[];
        3: {
            start: string;
            end: string;
        }[];
        4: {
            start: string;
            end: string;
        }[];
        5: {
            start: string;
            end: string;
        }[];
        6: {
            start: string;
            end: string;
        }[];
    };
}, {
    catalogId?: string | undefined;
    enable: boolean;
    charges: {
        serviceCharge?: {
            fixed?: any;
            rate?: number | undefined;
        } | undefined;
        deposit: {
            fixed?: any;
            rate?: number | undefined;
        };
    };
    times: {
        0?: {
            start: string;
            end: string;
        }[] | undefined;
        1?: {
            start: string;
            end: string;
        }[] | undefined;
        2?: {
            start: string;
            end: string;
        }[] | undefined;
        3?: {
            start: string;
            end: string;
        }[] | undefined;
        4?: {
            start: string;
            end: string;
        }[] | undefined;
        5?: {
            start: string;
            end: string;
        }[] | undefined;
        6?: {
            start: string;
            end: string;
        }[] | undefined;
    };
}>;
export declare const OrderReservationSettingDto: z.ZodEffects<z.ZodObject<{
    enableIdx: z.ZodOptional<z.ZodNumber>;
    options: z.ZodArray<z.ZodObject<{
        enable: z.ZodBoolean;
        catalogId: z.ZodOptional<z.ZodString>;
        times: z.ZodObject<{
            0: z.ZodDefault<z.ZodArray<z.ZodObject<{
                start: z.ZodString;
                end: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                start: string;
                end: string;
            }, {
                start: string;
                end: string;
            }>, "many">>;
            1: z.ZodDefault<z.ZodArray<z.ZodObject<{
                start: z.ZodString;
                end: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                start: string;
                end: string;
            }, {
                start: string;
                end: string;
            }>, "many">>;
            2: z.ZodDefault<z.ZodArray<z.ZodObject<{
                start: z.ZodString;
                end: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                start: string;
                end: string;
            }, {
                start: string;
                end: string;
            }>, "many">>;
            3: z.ZodDefault<z.ZodArray<z.ZodObject<{
                start: z.ZodString;
                end: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                start: string;
                end: string;
            }, {
                start: string;
                end: string;
            }>, "many">>;
            4: z.ZodDefault<z.ZodArray<z.ZodObject<{
                start: z.ZodString;
                end: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                start: string;
                end: string;
            }, {
                start: string;
                end: string;
            }>, "many">>;
            5: z.ZodDefault<z.ZodArray<z.ZodObject<{
                start: z.ZodString;
                end: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                start: string;
                end: string;
            }, {
                start: string;
                end: string;
            }>, "many">>;
            6: z.ZodDefault<z.ZodArray<z.ZodObject<{
                start: z.ZodString;
                end: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                start: string;
                end: string;
            }, {
                start: string;
                end: string;
            }>, "many">>;
        }, "strip", z.ZodTypeAny, {
            0: {
                start: string;
                end: string;
            }[];
            1: {
                start: string;
                end: string;
            }[];
            2: {
                start: string;
                end: string;
            }[];
            3: {
                start: string;
                end: string;
            }[];
            4: {
                start: string;
                end: string;
            }[];
            5: {
                start: string;
                end: string;
            }[];
            6: {
                start: string;
                end: string;
            }[];
        }, {
            0?: {
                start: string;
                end: string;
            }[] | undefined;
            1?: {
                start: string;
                end: string;
            }[] | undefined;
            2?: {
                start: string;
                end: string;
            }[] | undefined;
            3?: {
                start: string;
                end: string;
            }[] | undefined;
            4?: {
                start: string;
                end: string;
            }[] | undefined;
            5?: {
                start: string;
                end: string;
            }[] | undefined;
            6?: {
                start: string;
                end: string;
            }[] | undefined;
        }>;
        charges: z.ZodObject<{
            deposit: z.ZodObject<{
                fixed: z.ZodAny;
                rate: z.ZodOptional<z.ZodNumber>;
            }, "strip", z.ZodTypeAny, {
                fixed?: any;
                rate?: number | undefined;
            }, {
                fixed?: any;
                rate?: number | undefined;
            }>;
            serviceCharge: z.ZodDefault<z.ZodObject<{
                fixed: z.ZodAny;
                rate: z.ZodOptional<z.ZodNumber>;
            }, "strip", z.ZodTypeAny, {
                fixed?: any;
                rate?: number | undefined;
            }, {
                fixed?: any;
                rate?: number | undefined;
            }>>;
        }, "strip", z.ZodTypeAny, {
            deposit: {
                fixed?: any;
                rate?: number | undefined;
            };
            serviceCharge: {
                fixed?: any;
                rate?: number | undefined;
            };
        }, {
            serviceCharge?: {
                fixed?: any;
                rate?: number | undefined;
            } | undefined;
            deposit: {
                fixed?: any;
                rate?: number | undefined;
            };
        }>;
    }, "strip", z.ZodTypeAny, {
        catalogId?: string | undefined;
        enable: boolean;
        charges: {
            deposit: {
                fixed?: any;
                rate?: number | undefined;
            };
            serviceCharge: {
                fixed?: any;
                rate?: number | undefined;
            };
        };
        times: {
            0: {
                start: string;
                end: string;
            }[];
            1: {
                start: string;
                end: string;
            }[];
            2: {
                start: string;
                end: string;
            }[];
            3: {
                start: string;
                end: string;
            }[];
            4: {
                start: string;
                end: string;
            }[];
            5: {
                start: string;
                end: string;
            }[];
            6: {
                start: string;
                end: string;
            }[];
        };
    }, {
        catalogId?: string | undefined;
        enable: boolean;
        charges: {
            serviceCharge?: {
                fixed?: any;
                rate?: number | undefined;
            } | undefined;
            deposit: {
                fixed?: any;
                rate?: number | undefined;
            };
        };
        times: {
            0?: {
                start: string;
                end: string;
            }[] | undefined;
            1?: {
                start: string;
                end: string;
            }[] | undefined;
            2?: {
                start: string;
                end: string;
            }[] | undefined;
            3?: {
                start: string;
                end: string;
            }[] | undefined;
            4?: {
                start: string;
                end: string;
            }[] | undefined;
            5?: {
                start: string;
                end: string;
            }[] | undefined;
            6?: {
                start: string;
                end: string;
            }[] | undefined;
        };
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    enableIdx?: number | undefined;
    options: {
        catalogId?: string | undefined;
        enable: boolean;
        charges: {
            deposit: {
                fixed?: any;
                rate?: number | undefined;
            };
            serviceCharge: {
                fixed?: any;
                rate?: number | undefined;
            };
        };
        times: {
            0: {
                start: string;
                end: string;
            }[];
            1: {
                start: string;
                end: string;
            }[];
            2: {
                start: string;
                end: string;
            }[];
            3: {
                start: string;
                end: string;
            }[];
            4: {
                start: string;
                end: string;
            }[];
            5: {
                start: string;
                end: string;
            }[];
            6: {
                start: string;
                end: string;
            }[];
        };
    }[];
}, {
    enableIdx?: number | undefined;
    options: {
        catalogId?: string | undefined;
        enable: boolean;
        charges: {
            serviceCharge?: {
                fixed?: any;
                rate?: number | undefined;
            } | undefined;
            deposit: {
                fixed?: any;
                rate?: number | undefined;
            };
        };
        times: {
            0?: {
                start: string;
                end: string;
            }[] | undefined;
            1?: {
                start: string;
                end: string;
            }[] | undefined;
            2?: {
                start: string;
                end: string;
            }[] | undefined;
            3?: {
                start: string;
                end: string;
            }[] | undefined;
            4?: {
                start: string;
                end: string;
            }[] | undefined;
            5?: {
                start: string;
                end: string;
            }[] | undefined;
            6?: {
                start: string;
                end: string;
            }[] | undefined;
        };
    }[];
}>, {
    enable: boolean;
    enableIdx?: number | undefined;
    options: {
        catalogId?: string | undefined;
        enable: boolean;
        charges: {
            deposit: {
                fixed?: any;
                rate?: number | undefined;
            };
            serviceCharge: {
                fixed?: any;
                rate?: number | undefined;
            };
        };
        times: {
            0: {
                start: string;
                end: string;
            }[];
            1: {
                start: string;
                end: string;
            }[];
            2: {
                start: string;
                end: string;
            }[];
            3: {
                start: string;
                end: string;
            }[];
            4: {
                start: string;
                end: string;
            }[];
            5: {
                start: string;
                end: string;
            }[];
            6: {
                start: string;
                end: string;
            }[];
        };
    }[];
}, {
    enableIdx?: number | undefined;
    options: {
        catalogId?: string | undefined;
        enable: boolean;
        charges: {
            serviceCharge?: {
                fixed?: any;
                rate?: number | undefined;
            } | undefined;
            deposit: {
                fixed?: any;
                rate?: number | undefined;
            };
        };
        times: {
            0?: {
                start: string;
                end: string;
            }[] | undefined;
            1?: {
                start: string;
                end: string;
            }[] | undefined;
            2?: {
                start: string;
                end: string;
            }[] | undefined;
            3?: {
                start: string;
                end: string;
            }[] | undefined;
            4?: {
                start: string;
                end: string;
            }[] | undefined;
            5?: {
                start: string;
                end: string;
            }[] | undefined;
            6?: {
                start: string;
                end: string;
            }[] | undefined;
        };
    }[];
}>;
export type ReservationChargeDto = z.infer<typeof ReservationChargeDto>;
export type OrderReservationSettingOptionTimeDto = z.infer<typeof OrderReservationSettingOptionTimeDto>;
export type OrderReservationSettingOptionTimesDto = z.infer<typeof OrderReservationSettingOptionTimesDto>;
export type OrderReservationSettingOptionDto = z.infer<typeof OrderReservationSettingOptionDto>;
export type OrderReservationSettingDto = z.infer<typeof OrderReservationSettingDto>;
