import { z } from 'zod';
export declare const FdoOrderUpsellingSettings: z.ZodObject<{
    recommandation: z.ZodBoolean;
    item: z.ZodBoolean;
    checkout: z.ZodBoolean;
}, "strip", z.ZodTypeAny, {
    recommandation: boolean;
    item: boolean;
    checkout: boolean;
}, {
    recommandation: boolean;
    item: boolean;
    checkout: boolean;
}>;
export type FdoOrderUpsellingSettings = z.infer<typeof FdoOrderUpsellingSettings>;
