import { z } from 'zod';
export declare const FdoOrderV3Settings: z.ZodObject<{
    dineInCanTakeaway: z.ZodBoolean;
    anonymousLoginDialog: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
    subItemDisplayMode: z.ZodNullable<z.ZodOptional<z.ZodEnum<["LIST"]>>>;
}, "strip", z.ZodTypeAny, {
    anonymousLoginDialog?: boolean | null | undefined;
    subItemDisplayMode?: "LIST" | null | undefined;
    dineInCanTakeaway: boolean;
}, {
    anonymousLoginDialog?: boolean | null | undefined;
    subItemDisplayMode?: "LIST" | null | undefined;
    dineInCanTakeaway: boolean;
}>;
export type FdoOrderV3Settings = z.infer<typeof FdoOrderV3Settings>;
