import { z } from 'zod';
export declare const OrderV3Settings: z.ZodDefault<z.ZodObject<{
    dineInCanTakeaway: z.ZodBoolean;
    anonymousLoginDialog: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
    subItemDisplayMode: z.ZodNullable<z.ZodOptional<z.ZodEnum<["LIST"]>>>;
}, "strip", z.ZodTypeAny, {
    anonymousLoginDialog?: boolean | null | undefined;
    subItemDisplayMode?: "LIST" | null | undefined;
    dineInCanTakeaway: boolean;
}, {
    anonymousLoginDialog?: boolean | null | undefined;
    subItemDisplayMode?: "LIST" | null | undefined;
    dineInCanTakeaway: boolean;
}>>;
export type OrderV3Settings = z.infer<typeof OrderV3Settings>;
