import { z } from 'zod';
export declare const FdoDeliveryOptionInfo: z.ZodObject<{
    deliveryType: z.ZodNullable<z.ZodOptional<z.ZodLazy<z.ZodEnum<["IN_HOUSE", "FEEDME"]>>>>;
    deliveryRemark: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    deliveryType?: "IN_HOUSE" | "FEEDME" | null | undefined;
    deliveryRemark?: string | null | undefined;
}, {
    deliveryType?: "IN_HOUSE" | "FEEDME" | null | undefined;
    deliveryRemark?: string | null | undefined;
}>;
export type FdoDeliveryOptionInfo = z.infer<typeof FdoDeliveryOptionInfo>;
