import { z } from "zod";
export declare const F_CAN_SUBMIT_ORDER_ERROR_TYPE: z.ZodEnum<["INSUFFICIENT_STOCK", "INVALID_ORDER_STATUS", "MIN_PURCHASE_REQUIRED", "ORDER_TYPE_UNSUPPORT", "SESSION_EXPIRED", "POS_OFFLINE", "POS_VERSION_UNSUPPORT", "PREORDER_UNSUPPORT", "ORDER_TIME_EXPIRED", "OUT_OF_PAYMENT_PERIOD", "PAYMENT_TYPE_UNSUPPORT"]>;
export declare const F_MIN_PURCHASE_REQUIRED_TYPE: z.ZodEnum<["BILL_DISCOUNT", "DELIVERY"]>;
export declare const F_CAN_SUBMIT_ORDER_ERROR_UNSUPPORT_ORDER_TYPE: z.ZodEnum<["DINE_IN", "PICKUP", "DELIVERY", "IN_HOUSE", "FEEDME", "STATIC_QR"]>;
export type F_CAN_SUBMIT_ORDER_ERROR_ORDER_TYPE = z.infer<typeof F_CAN_SUBMIT_ORDER_ERROR_UNSUPPORT_ORDER_TYPE>;
export type F_CAN_SUBMIT_ORDER_ERROR_TYPE = z.infer<typeof F_CAN_SUBMIT_ORDER_ERROR_TYPE>;
export type F_MIN_PURCHASE_REQUIRED_TYPE = z.infer<typeof F_MIN_PURCHASE_REQUIRED_TYPE>;
