import { z } from 'zod';
export declare const F_ORDER_PAYMENT_TYPE: z.ZodEnum<["cash", "ePayment", "ePaymentNonPayout", "credit", "ePaymentSandbox"]>;
export declare const F_ORDER_STATUS: z.ZodEnum<["DRAFT", "PENDING_PAYMENT", "ALLOCATING_DELIVERY", "NEW", "ACCEPTED", "DECLINED"]>;
export declare const F_ORDER_DINE_IN_TYPE: z.ZodEnum<["QR", "QUEUE", "RESERVATION", "TAKEAWAY"]>;
export declare const F_ORDER_OFFLINE_PAYMENT_TYPE: z.ZodEnum<["QRPAY", "SCANPAY", "SOFTPOS", "TERMINAL"]>;
export declare const F_ORDER_E_PAYMENT_TYPE: z.ZodEnum<["SCANPAY", "QRPAY", "TERMINAL", "NFC"]>;
export declare const F_ORDER_DELIVERY_TYPE: z.ZodEnum<["IN_HOUSE", "FEEDME"]>;
export declare const F_ORDER_TYPE: z.ZodEnum<["DINE_IN", "PICKUP", "DELIVERY"]>;
export declare const F_ORDER_APP_FROM: z.ZodEnum<["CUSTOMER", "KIOSK", "TABLET"]>;
export declare const F_ORDER_PLATFORM_TYPE: z.ZodEnum<["WEB_V2_APP", "WEB_V3_APP", "KIOSK_APP", "TABLET_APP", "UNKNOWN"]>;
export type F_ORDER_DELIVERY_TYPE = z.infer<typeof F_ORDER_DELIVERY_TYPE>;
export type F_ORDER_DINE_IN_TYPE = z.infer<typeof F_ORDER_DINE_IN_TYPE>;
export type F_ORDER_PAYMENT_TYPE = z.infer<typeof F_ORDER_PAYMENT_TYPE>;
export type F_ORDER_OFFLINE_PAYMENT_TYPE = z.infer<typeof F_ORDER_OFFLINE_PAYMENT_TYPE>;
export type F_ORDER_STATUS = z.infer<typeof F_ORDER_STATUS>;
export type F_ORDER_TYPE = z.infer<typeof F_ORDER_TYPE>;
export type F_ORDER_APP_FROM = z.infer<typeof F_ORDER_APP_FROM>;
export type F_ORDER_E_PAYMENT_TYPE = z.infer<typeof F_ORDER_E_PAYMENT_TYPE>;
export type F_ORDER_PLATFORM_TYPE = z.infer<typeof F_ORDER_PLATFORM_TYPE>;
