import { z } from 'zod';
export declare const FdoPickupPoint: z.ZodObject<{
    name: z.ZodString;
    address: z.ZodString;
    coordinates: z.ZodArray<z.ZodNumber, "many">;
}, "strip", z.ZodTypeAny, {
    name: string;
    address: string;
    coordinates: number[];
}, {
    name: string;
    address: string;
    coordinates: number[];
}>;
export type FdoPickupPoint = z.infer<typeof FdoPickupPoint>;
