import { z } from 'zod';
export declare const PaginationMetaDto: z.ZodObject<{
    searchKey: z.ZodOptional<z.ZodString>;
    limit: z.ZodDefault<z.ZodNumber>;
    page: z.ZodDefault<z.ZodNumber>;
    sortBy: z.ZodDefault<z.ZodString>;
    descending: z.ZodDefault<z.ZodBoolean>;
}, "strip", z.ZodTypeAny, {
    searchKey?: string | undefined;
    limit: number;
    page: number;
    sortBy: string;
    descending: boolean;
}, {
    limit?: number | undefined;
    searchKey?: string | undefined;
    page?: number | undefined;
    sortBy?: string | undefined;
    descending?: boolean | undefined;
}>;
export type PaginationMetaDto = z.infer<typeof PaginationMetaDto>;
