import { F_COUNTRY } from "@feedmepos/core/entity";
export declare const Bank: (country?: F_COUNTRY) => {
    F_BANK_NAME: typeof import("./malaysia").F_BANK_NAME;
    name: {
        MAYBANK: string;
        CIMB_BANK: string;
        RHB_BANK: string;
        BANK_ISLAM: string;
        BANK_MUAMALAT: string;
        BANK_RAKYAT: string;
        BANK_SIMPANAN_NASIONAL: string;
        CITIBANK: string;
        HONG_LEONG_BANK: string;
        HSBC_BANK: string;
        OCBC_BANK: string;
        PUBLIC_BANK: string;
        AFFIN_BANK: string;
        AMBANK: string;
        AGRO_BANK: string;
        ALLIANCE_BANK: string;
        AL_RAJHI_BANK: string;
        BANK_OF_CHINA: string;
        BANK_OF_AMERICA: string;
        BANK_OF_TOKYO_MITSUBISHI_UFJ: string;
        BNP_PARIBAS: string;
        DEUTSCHE_BANK: string;
        INDUSTRIAL_COMMERCIAL_BANK_OF_CHINA: string;
        JP_MORGAN_CHASE_BANK: string;
        KUWAIT_FINANCE_HOUSE: string;
        MIZUHO_BANK: string;
        STANDARD_CHARTERED_BANK: string;
        SUMITOMO_MITSUI_BANKING_CORPORATION: string;
        THE_ROYAL_BANK_OF_SCOTLAND: string;
        UNITED_OVERSEAS_BANK: string;
        MBSB_BANK_BERHAD: string;
    };
    swiftCode: {
        MAYBANK: string;
        CIMB_BANK: string;
        RHB_BANK: string;
        BANK_ISLAM: string;
        BANK_MUAMALAT: string;
        BANK_RAKYAT: string;
        BANK_SIMPANAN_NASIONAL: string;
        CITIBANK: string;
        HONG_LEONG_BANK: string;
        HSBC_BANK: string;
        OCBC_BANK: string;
        PUBLIC_BANK: string;
        AFFIN_BANK: string;
        AMBANK: string;
        AGRO_BANK: string;
        ALLIANCE_BANK: string;
        AL_RAJHI_BANK: string;
        BANK_OF_CHINA: string;
        BANK_OF_AMERICA: string;
        BANK_OF_TOKYO_MITSUBISHI_UFJ: string;
        BNP_PARIBAS: string;
        DEUTSCHE_BANK: string;
        INDUSTRIAL_COMMERCIAL_BANK_OF_CHINA: string;
        JP_MORGAN_CHASE_BANK: string;
        KUWAIT_FINANCE_HOUSE: string;
        MIZUHO_BANK: string;
        STANDARD_CHARTERED_BANK: string;
        SUMITOMO_MITSUI_BANKING_CORPORATION: string;
        THE_ROYAL_BANK_OF_SCOTLAND: string;
        UNITED_OVERSEAS_BANK: string;
        MBSB_BANK_BERHAD: string;
    };
    readSwiftCode: (bank: import("./malaysia").F_BANK_NAME) => string;
    readName: (bank: import("./malaysia").F_BANK_NAME) => string;
} | {
    F_BANK_NAME: typeof import("./singapore").F_BANK_NAME;
    name: {
        DBS_BANK: string;
        OCBC_BANK: string;
        MAYBANK: string;
        HSBC_BANK: string;
        UNITED_OVERSEAS_BANK: string;
        CIMB_BANK: string;
        RHB_BANK: string;
        STANDARD_CHARTERED_BANK: string;
    };
    swiftCode: {
        DBS_BANK: string;
        OCBC_BANK: string;
        MAYBANK: string;
        HSBC_BANK: string;
        UNITED_OVERSEAS_BANK: string;
        CIMB_BANK: string;
        RHB_BANK: string;
        STANDARD_CHARTERED_BANK: string;
    };
    readSwiftCode: (bank: import("./singapore").F_BANK_NAME) => string;
    readName: (bank: import("./singapore").F_BANK_NAME) => string;
};
