export declare enum F_BANK_NAME {
    maybank = "MAYBANK",
    cimbBank = "CIMB_BANK",
    rhbBank = "RHB_BANK",
    bankIslam = "BANK_ISLAM",
    bankMuamalat = "BANK_MUAMALAT",
    bankRakyat = "BANK_RAKYAT",
    bankSimpananNasional = "BANK_SIMPANAN_NASIONAL",
    citiBank = "CITIBANK",
    hongLeongBank = "HONG_LEONG_BANK",
    hsbcBank = "HSBC_BANK",
    ocbcBank = "OCBC_BANK",
    publicBank = "PUBLIC_BANK",
    affinBank = "AFFIN_BANK",
    amBank = "AMBANK",
    agroBank = "AGRO_BANK",
    allianceBank = "ALLIANCE_BANK",
    alRajhiBank = "AL_RAJHI_BANK",
    bankOfChina = "BANK_OF_CHINA",
    bankOfAmerica = "BANK_OF_AMERICA",
    bankOfTokyoMitsubishiUFJ = "BANK_OF_TOKYO_MITSUBISHI_UFJ",
    bnpParibas = "BNP_PARIBAS",
    deutscheBank = "DEUTSCHE_BANK",
    industrialCommercialBankOfChina = "INDUSTRIAL_COMMERCIAL_BANK_OF_CHINA",
    jpMorganChaseBank = "JP_MORGAN_CHASE_BANK",
    kuwaitFinanceHouse = "KUWAIT_FINANCE_HOUSE",
    mizuhoBank = "MIZUHO_BANK",
    standardCharteredBank = "STANDARD_CHARTERED_BANK",
    sumitomoMitsuiBankingCorporation = "SUMITOMO_MITSUI_BANKING_CORPORATION",
    theRoyalBankOfScotland = "THE_ROYAL_BANK_OF_SCOTLAND",
    unitedOverseasBank = "UNITED_OVERSEAS_BANK",
    mbsbBankBerhad = "MBSB_BANK_BERHAD"
}
declare function readSwiftCode(bank: F_BANK_NAME): string;
declare function readName(bank: F_BANK_NAME): string;
export declare const Malaysia: {
    F_BANK_NAME: typeof F_BANK_NAME;
    name: {
        MAYBANK: string;
        CIMB_BANK: string;
        RHB_BANK: string;
        BANK_ISLAM: string;
        BANK_MUAMALAT: string;
        BANK_RAKYAT: string;
        BANK_SIMPANAN_NASIONAL: string;
        CITIBANK: string;
        HONG_LEONG_BANK: string;
        HSBC_BANK: string;
        OCBC_BANK: string;
        PUBLIC_BANK: string;
        AFFIN_BANK: string;
        AMBANK: string;
        AGRO_BANK: string;
        ALLIANCE_BANK: string;
        AL_RAJHI_BANK: string;
        BANK_OF_CHINA: string;
        BANK_OF_AMERICA: string;
        BANK_OF_TOKYO_MITSUBISHI_UFJ: string;
        BNP_PARIBAS: string;
        DEUTSCHE_BANK: string;
        INDUSTRIAL_COMMERCIAL_BANK_OF_CHINA: string;
        JP_MORGAN_CHASE_BANK: string;
        KUWAIT_FINANCE_HOUSE: string;
        MIZUHO_BANK: string;
        STANDARD_CHARTERED_BANK: string;
        SUMITOMO_MITSUI_BANKING_CORPORATION: string;
        THE_ROYAL_BANK_OF_SCOTLAND: string;
        UNITED_OVERSEAS_BANK: string;
        MBSB_BANK_BERHAD: string;
    };
    swiftCode: {
        MAYBANK: string;
        CIMB_BANK: string;
        RHB_BANK: string;
        BANK_ISLAM: string;
        BANK_MUAMALAT: string;
        BANK_RAKYAT: string;
        BANK_SIMPANAN_NASIONAL: string;
        CITIBANK: string;
        HONG_LEONG_BANK: string;
        HSBC_BANK: string;
        OCBC_BANK: string;
        PUBLIC_BANK: string;
        AFFIN_BANK: string;
        AMBANK: string;
        AGRO_BANK: string;
        ALLIANCE_BANK: string;
        AL_RAJHI_BANK: string;
        BANK_OF_CHINA: string;
        BANK_OF_AMERICA: string;
        BANK_OF_TOKYO_MITSUBISHI_UFJ: string;
        BNP_PARIBAS: string;
        DEUTSCHE_BANK: string;
        INDUSTRIAL_COMMERCIAL_BANK_OF_CHINA: string;
        JP_MORGAN_CHASE_BANK: string;
        KUWAIT_FINANCE_HOUSE: string;
        MIZUHO_BANK: string;
        STANDARD_CHARTERED_BANK: string;
        SUMITOMO_MITSUI_BANKING_CORPORATION: string;
        THE_ROYAL_BANK_OF_SCOTLAND: string;
        UNITED_OVERSEAS_BANK: string;
        MBSB_BANK_BERHAD: string;
    };
    readSwiftCode: typeof readSwiftCode;
    readName: typeof readName;
};
export {};
