import { Printer, ScannerInfoDto, KioskTerminalInfoDto, F_ORDER_PLATFORM_TYPE } from '@entity';
export interface MfKioskDeviceConfigs {
    printerInfo?: Printer;
    scannerInfo?: ScannerInfoDto;
    terminalInfo?: KioskTerminalInfoDto;
}
export interface MfKioskDevice {
    name: string;
    machineId: string;
    config: MfKioskDeviceConfigs;
    activatedAt: Date;
    deviceAppType?: F_ORDER_PLATFORM_TYPE;
    slotInfo?: string;
    pinInfo?: string;
    deviceAppVersion?: string;
}
