import { FdtoDiscountRuleRes, FdoDiscountRule } from '@feedmepos/core/entity';
export declare const useBusinessStore: import("pinia").StoreDefinition<"business", Pick<{
    state: {
        discountRule?: {
            lastUpdatedAt?: string | null | undefined;
            discountRule?: {
                effectGroups: {
                    maxApplicableEffects: number;
                    effectIds: string[];
                }[];
                lastUpdatedAt: string;
            } | null | undefined;
            restaurants: {
                lastUpdatedAt?: string | null | undefined;
                name: string;
                id: string;
            }[];
        } | undefined;
    };
    readDiscountRule: () => Promise<FdtoDiscountRuleRes>;
    updateDiscountRule: (discountRule: FdoDiscountRule) => Promise<FdtoDiscountRuleRes>;
}, "state">, Pick<{
    state: {
        discountRule?: {
            lastUpdatedAt?: string | null | undefined;
            discountRule?: {
                effectGroups: {
                    maxApplicableEffects: number;
                    effectIds: string[];
                }[];
                lastUpdatedAt: string;
            } | null | undefined;
            restaurants: {
                lastUpdatedAt?: string | null | undefined;
                name: string;
                id: string;
            }[];
        } | undefined;
    };
    readDiscountRule: () => Promise<FdtoDiscountRuleRes>;
    updateDiscountRule: (discountRule: FdoDiscountRule) => Promise<FdtoDiscountRuleRes>;
}, never>, Pick<{
    state: {
        discountRule?: {
            lastUpdatedAt?: string | null | undefined;
            discountRule?: {
                effectGroups: {
                    maxApplicableEffects: number;
                    effectIds: string[];
                }[];
                lastUpdatedAt: string;
            } | null | undefined;
            restaurants: {
                lastUpdatedAt?: string | null | undefined;
                name: string;
                id: string;
            }[];
        } | undefined;
    };
    readDiscountRule: () => Promise<FdtoDiscountRuleRes>;
    updateDiscountRule: (discountRule: FdoDiscountRule) => Promise<FdtoDiscountRuleRes>;
}, "readDiscountRule" | "updateDiscountRule">>;
