import { OrderSettingsDto, OrderKioskDineInSequenceDto } from "@entity";
import type { MfKioskOrderSetting, MfDisplayStandSetting, KioskTakeawaySettingForm, MfKioskOrderSettingForm, MfKioskSubmitOrderInstruction, KioskPickAtCounterSettingForm } from '@/modules/order-setting/kiosk/interface';
import type { MfOrderSetting } from "@/modules/order-setting/interface";
import type { OrderKioskSettings } from "@entity";
export declare const defaultDisplayStand: MfDisplayStandSetting;
export declare const defaultTakeaway: KioskTakeawaySettingForm;
export declare const defaultPickUp: KioskPickAtCounterSettingForm;
export declare const defaultKioskOrderSetting: MfKioskOrderSettingForm;
export declare const defaultSubmitOrderInstruction: MfKioskSubmitOrderInstruction;
export declare const OrderSettingMapper: {
    convertOrderSettingDto: (dto: OrderSettingsDto) => MfOrderSetting;
    toOrderKioskSettingsDto: (kioskSetting: MfKioskOrderSetting) => {
        kioskSettings: OrderKioskSettings;
        kioskDineIn?: OrderKioskDineInSequenceDto;
    };
};
