import { type PropType } from 'vue';
import { F_MANUAL_AVAILABLE_SERVICE, DeliveryProviderDto } from '@feedmepos/ordering/package/entity';
export interface DeliveryInfo {
    delivery: {
        label: string;
        value: string;
    }[];
    items: {
        id: string | undefined | null;
        name: string;
        quantity: number;
    }[];
}
export type Delivery = DeliveryProviderDto & {
    choosenService?: F_MANUAL_AVAILABLE_SERVICE;
    remark?: string;
};
export interface DeliveryProviderOption {
    key: string;
    delivery: Delivery;
}
declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    initialValue: {
        type: PropType<DeliveryProviderOption[]>;
        required: true;
    };
    info: {
        type: PropType<DeliveryInfo>;
        required: true;
    };
}>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
    cancel: () => any;
    ok: (value: Delivery) => any;
}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    initialValue: {
        type: PropType<DeliveryProviderOption[]>;
        required: true;
    };
    info: {
        type: PropType<DeliveryInfo>;
        required: true;
    };
}>> & Readonly<{
    onCancel?: (() => any) | undefined;
    onOk?: ((value: Delivery) => any) | undefined;
}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
