import { type PropType } from 'vue';
import type { FdoLinkedDelivery } from '@feedmepos/core/entity';
import { FdoGrabfoodSettings } from '@entity';
import type { DeliveryCompany } from '../delivery';
export interface GrabfoodDeliveryData {
    manual: FdoLinkedDelivery | null;
    integrated: FdoGrabfoodSettings;
}
declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    initialValue: {
        type: PropType<GrabfoodDeliveryData>;
        required: true;
    };
    company: {
        type: PropType<DeliveryCompany>;
        required: true;
    };
    canUseAutoDeliveryIntegration: {
        type: (BooleanConstructor | StringConstructor)[];
        required: true;
    };
}>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
    "update:model-value": (payload: {
        manual: any;
        auto: any;
    }) => any;
}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    initialValue: {
        type: PropType<GrabfoodDeliveryData>;
        required: true;
    };
    company: {
        type: PropType<DeliveryCompany>;
        required: true;
    };
    canUseAutoDeliveryIntegration: {
        type: (BooleanConstructor | StringConstructor)[];
        required: true;
    };
}>> & Readonly<{
    "onUpdate:model-value"?: ((payload: {
        manual: any;
        auto: any;
    }) => any) | undefined;
}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
