import { defineComponent as V, ref as m, resolveComponent as y, createElementBlock as g, openBlock as P, createElementVNode as f, createVNode as _, toDisplayString as v, unref as c, createBlock as h } from "vue";
import { useDialog as x, useSnackbar as C } from "@feedmepos/ui-library";
import { useI18n as T } from "@feedmepos/mf-common";
const k = /* @__PURE__ */ V({
  __name: "OfflinePaymentTypeDialogContent",
  props: {
    name: {},
    instruction: {}
  },
  emits: ["update:nameValue", "update:instructionValue"],
  setup(l, { emit: s }) {
    const { t: e } = T(), n = l, a = s, r = m("");
    function t(i) {
      a("update:nameValue", i);
    }
    function u(i) {
      a("update:instructionValue", i);
    }
    return (i, o) => {
      const p = y("FmTextField"), d = y("FmTextarea");
      return P(), g("div", null, [
        f("span", null, v(n.name), 1),
        _(p, {
          "model-value": r.value,
          "onUpdate:modelValue": t,
          placeholder: c(e)("order.enterPaymentName"),
          rules: [(b) => !!b || c(e)("order.fieldCannotBeEmpty")]
        }, null, 8, ["model-value", "placeholder", "rules"]),
        o[0] || (o[0] = f("div", { class: "mb-12" }, null, -1)),
        f("span", null, v(n.instruction), 1),
        _(d, {
          "model-value": r.value,
          "onUpdate:modelValue": u,
          placeholder: c(e)("order.enterPaymentInstruction")
        }, null, 8, ["model-value", "placeholder"])
      ]);
    };
  }
}), L = /* @__PURE__ */ V({
  __name: "OfflinePaymentTypeDialog",
  emits: ["update:offlinePaymentTypes"],
  setup(l, { emit: s }) {
    const { t: e } = T(), n = x(), a = m(""), r = m(""), t = () => {
      a.value = "", r.value = "", n.open({
        title: e("order.addCustomPayment"),
        contentComponent: k,
        contentComponentProps: {
          name: e("order.name"),
          instruction: e("order.instruction"),
          "onUpdate:nameValue": (o) => {
            a.value = o;
          },
          "onUpdate:instructionValue": (o) => {
            r.value = o;
          }
        },
        primaryActions: { text: e("order.add"), close: !0 },
        secondaryActions: { text: e("order.cancel"), close: !0 }
      }).onPrimary(async () => {
        const o = {
          name: a.value,
          instruction: r.value
        };
        await u(o);
      });
    };
    async function u(o) {
      i("update:offlinePaymentTypes", [o]);
    }
    const i = s;
    return (o, p) => {
      const d = y("FmButton");
      return P(), h(d, {
        label: c(e)("order.editOfflinePayment"),
        onClick: t,
        variant: "plain"
      }, null, 8, ["label"]);
    };
  }
});
function w() {
  const l = C();
  function s(t) {
    l.open({
      type: "success",
      message: t,
      position: "bottom"
    });
  }
  function e(t) {
    l.open({
      type: "error",
      message: t,
      position: "bottom"
    });
  }
  let n = null;
  function a(t) {
    return n = l.open({
      type: "neutral",
      spinner: !0,
      message: t,
      position: "bottom",
      persistent: !0
      // Ensure the snackbar stays visible until manually closed
    }), n;
  }
  function r() {
    n && (l.close(n), n = null);
  }
  return { showSuccess: s, showError: e, showLoading: a, closeLoadingSnackbar: r };
}
const O = () => {
  const { showError: l } = w(), s = m(!1);
  function e() {
    s.value = !0;
  }
  function n() {
    s.value = !1;
  }
  async function a(t) {
    try {
      return e(), await t();
    } finally {
      n();
    }
  }
  async function r(t) {
    try {
      return e(), await t();
    } catch (u) {
      throw l(`${u}`), u;
    } finally {
      n();
    }
  }
  return {
    isLoading: s,
    startLoading: e,
    stopLoading: n,
    startAsyncCall: a,
    startAsyncCallWithErr: r
  };
};
export {
  L as _,
  w as a,
  k as b,
  O as u
};
