import { z } from 'zod';
export declare const BusinessDto: z.ZodObject<{
    _id: z.ZodString;
    name: z.ZodString;
    thumbnail: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    thumbnail?: string | null | undefined;
    name: string;
    _id: string;
}, {
    thumbnail?: string | null | undefined;
    name: string;
    _id: string;
}>;
export type BusinessDto = z.infer<typeof BusinessDto>;
