import { z } from 'zod';
declare const FdtoClickUpTaskBody: z.ZodObject<{
    name: z.ZodString;
    description: z.ZodString;
}, "strip", z.ZodTypeAny, {
    name: string;
    description: string;
}, {
    name: string;
    description: string;
}>;
declare const FdtoClickUpCreateTask: z.ZodObject<{
    listId: z.ZodString;
    body: z.ZodObject<{
        name: z.ZodString;
        description: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        name: string;
        description: string;
    }, {
        name: string;
        description: string;
    }>;
    attachment: z.ZodNullable<z.ZodOptional<z.ZodType<ArrayBuffer, z.ZodTypeDef, ArrayBuffer>>>;
}, "strip", z.ZodTypeAny, {
    attachment?: ArrayBuffer | null | undefined;
    body: {
        name: string;
        description: string;
    };
    listId: string;
}, {
    attachment?: ArrayBuffer | null | undefined;
    body: {
        name: string;
        description: string;
    };
    listId: string;
}>;
declare const FdtoClickUpUploadAttachment: z.ZodObject<{
    taskId: z.ZodString;
    attachment: z.ZodNullable<z.ZodOptional<z.ZodType<ArrayBuffer, z.ZodTypeDef, ArrayBuffer>>>;
}, "strip", z.ZodTypeAny, {
    attachment?: ArrayBuffer | null | undefined;
    taskId: string;
}, {
    attachment?: ArrayBuffer | null | undefined;
    taskId: string;
}>;
export type FdtoClickUpTaskBody = z.infer<typeof FdtoClickUpTaskBody>;
export type FdtoClickUpCreateTask = z.infer<typeof FdtoClickUpCreateTask>;
export type FdtoClickUpUploadAttachment = z.infer<typeof FdtoClickUpUploadAttachment>;
export {};
