import { z } from "zod";
declare const FdtoCursor: z.ZodObject<{
    limit: z.ZodOptional<z.ZodNumber>;
    skip: z.ZodOptional<z.ZodNumber>;
    search: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    search?: string | undefined;
    limit?: number | undefined;
    skip?: number | undefined;
}, {
    search?: string | undefined;
    limit?: number | undefined;
    skip?: number | undefined;
}>;
export type FdtoCursor = z.infer<typeof FdtoCursor>;
export {};
