import z from 'zod';
declare const FdtoEffectValidationResult: z.ZodObject<{
    id: z.ZodString;
    valid: z.ZodBoolean;
    reason: z.ZodString;
}, "strip", z.ZodTypeAny, {
    id: string;
    valid: boolean;
    reason: string;
}, {
    id: string;
    valid: boolean;
    reason: string;
}>;
export type FdtoEffectValidationResult = z.infer<typeof FdtoEffectValidationResult>;
export {};
