import { z } from 'zod';
export declare const FdtoGrabfoodCampaignQuota: z.ZodObject<{
    totalCount: z.ZodNumber;
    totalCountPerUser: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    totalCount: number;
    totalCountPerUser: number;
}, {
    totalCount: number;
    totalCountPerUser: number;
}>;
export declare const FdtoGrabfoodCampaignWorkingPeriod: z.ZodObject<{
    startTime: z.ZodString;
    endTime: z.ZodString;
}, "strip", z.ZodTypeAny, {
    startTime: string;
    endTime: string;
}, {
    startTime: string;
    endTime: string;
}>;
export declare const FdtoGrabfoodCampaignWorkingHour: z.ZodObject<{
    sun: z.ZodArray<z.ZodObject<{
        startTime: z.ZodString;
        endTime: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        startTime: string;
        endTime: string;
    }, {
        startTime: string;
        endTime: string;
    }>, "many">;
    mon: z.ZodArray<z.ZodObject<{
        startTime: z.ZodString;
        endTime: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        startTime: string;
        endTime: string;
    }, {
        startTime: string;
        endTime: string;
    }>, "many">;
    tue: z.ZodArray<z.ZodObject<{
        startTime: z.ZodString;
        endTime: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        startTime: string;
        endTime: string;
    }, {
        startTime: string;
        endTime: string;
    }>, "many">;
    wed: z.ZodArray<z.ZodObject<{
        startTime: z.ZodString;
        endTime: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        startTime: string;
        endTime: string;
    }, {
        startTime: string;
        endTime: string;
    }>, "many">;
    thu: z.ZodArray<z.ZodObject<{
        startTime: z.ZodString;
        endTime: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        startTime: string;
        endTime: string;
    }, {
        startTime: string;
        endTime: string;
    }>, "many">;
    fri: z.ZodArray<z.ZodObject<{
        startTime: z.ZodString;
        endTime: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        startTime: string;
        endTime: string;
    }, {
        startTime: string;
        endTime: string;
    }>, "many">;
    sat: z.ZodArray<z.ZodObject<{
        startTime: z.ZodString;
        endTime: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        startTime: string;
        endTime: string;
    }, {
        startTime: string;
        endTime: string;
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    sun: {
        startTime: string;
        endTime: string;
    }[];
    mon: {
        startTime: string;
        endTime: string;
    }[];
    tue: {
        startTime: string;
        endTime: string;
    }[];
    wed: {
        startTime: string;
        endTime: string;
    }[];
    thu: {
        startTime: string;
        endTime: string;
    }[];
    fri: {
        startTime: string;
        endTime: string;
    }[];
    sat: {
        startTime: string;
        endTime: string;
    }[];
}, {
    sun: {
        startTime: string;
        endTime: string;
    }[];
    mon: {
        startTime: string;
        endTime: string;
    }[];
    tue: {
        startTime: string;
        endTime: string;
    }[];
    wed: {
        startTime: string;
        endTime: string;
    }[];
    thu: {
        startTime: string;
        endTime: string;
    }[];
    fri: {
        startTime: string;
        endTime: string;
    }[];
    sat: {
        startTime: string;
        endTime: string;
    }[];
}>;
export declare const FdtoGrabfoodCampaignCondition: z.ZodObject<{
    startTime: z.ZodString;
    endTime: z.ZodString;
    eaterType: z.ZodString;
    minBasketAmount: z.ZodNumber;
    workingHour: z.ZodObject<{
        sun: z.ZodArray<z.ZodObject<{
            startTime: z.ZodString;
            endTime: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            startTime: string;
            endTime: string;
        }, {
            startTime: string;
            endTime: string;
        }>, "many">;
        mon: z.ZodArray<z.ZodObject<{
            startTime: z.ZodString;
            endTime: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            startTime: string;
            endTime: string;
        }, {
            startTime: string;
            endTime: string;
        }>, "many">;
        tue: z.ZodArray<z.ZodObject<{
            startTime: z.ZodString;
            endTime: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            startTime: string;
            endTime: string;
        }, {
            startTime: string;
            endTime: string;
        }>, "many">;
        wed: z.ZodArray<z.ZodObject<{
            startTime: z.ZodString;
            endTime: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            startTime: string;
            endTime: string;
        }, {
            startTime: string;
            endTime: string;
        }>, "many">;
        thu: z.ZodArray<z.ZodObject<{
            startTime: z.ZodString;
            endTime: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            startTime: string;
            endTime: string;
        }, {
            startTime: string;
            endTime: string;
        }>, "many">;
        fri: z.ZodArray<z.ZodObject<{
            startTime: z.ZodString;
            endTime: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            startTime: string;
            endTime: string;
        }, {
            startTime: string;
            endTime: string;
        }>, "many">;
        sat: z.ZodArray<z.ZodObject<{
            startTime: z.ZodString;
            endTime: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            startTime: string;
            endTime: string;
        }, {
            startTime: string;
            endTime: string;
        }>, "many">;
    }, "strip", z.ZodTypeAny, {
        sun: {
            startTime: string;
            endTime: string;
        }[];
        mon: {
            startTime: string;
            endTime: string;
        }[];
        tue: {
            startTime: string;
            endTime: string;
        }[];
        wed: {
            startTime: string;
            endTime: string;
        }[];
        thu: {
            startTime: string;
            endTime: string;
        }[];
        fri: {
            startTime: string;
            endTime: string;
        }[];
        sat: {
            startTime: string;
            endTime: string;
        }[];
    }, {
        sun: {
            startTime: string;
            endTime: string;
        }[];
        mon: {
            startTime: string;
            endTime: string;
        }[];
        tue: {
            startTime: string;
            endTime: string;
        }[];
        wed: {
            startTime: string;
            endTime: string;
        }[];
        thu: {
            startTime: string;
            endTime: string;
        }[];
        fri: {
            startTime: string;
            endTime: string;
        }[];
        sat: {
            startTime: string;
            endTime: string;
        }[];
    }>;
}, "strip", z.ZodTypeAny, {
    startTime: string;
    endTime: string;
    eaterType: string;
    minBasketAmount: number;
    workingHour: {
        sun: {
            startTime: string;
            endTime: string;
        }[];
        mon: {
            startTime: string;
            endTime: string;
        }[];
        tue: {
            startTime: string;
            endTime: string;
        }[];
        wed: {
            startTime: string;
            endTime: string;
        }[];
        thu: {
            startTime: string;
            endTime: string;
        }[];
        fri: {
            startTime: string;
            endTime: string;
        }[];
        sat: {
            startTime: string;
            endTime: string;
        }[];
    };
}, {
    startTime: string;
    endTime: string;
    eaterType: string;
    minBasketAmount: number;
    workingHour: {
        sun: {
            startTime: string;
            endTime: string;
        }[];
        mon: {
            startTime: string;
            endTime: string;
        }[];
        tue: {
            startTime: string;
            endTime: string;
        }[];
        wed: {
            startTime: string;
            endTime: string;
        }[];
        thu: {
            startTime: string;
            endTime: string;
        }[];
        fri: {
            startTime: string;
            endTime: string;
        }[];
        sat: {
            startTime: string;
            endTime: string;
        }[];
    };
}>;
export declare const FdtoGrabfoodCampaignScope: z.ZodObject<{
    type: z.ZodString;
    objectIDs: z.ZodArray<z.ZodString, "many">;
}, "strip", z.ZodTypeAny, {
    type: string;
    objectIDs: string[];
}, {
    type: string;
    objectIDs: string[];
}>;
export declare const FdtoGrabfoodCampaignDiscount: z.ZodObject<{
    type: z.ZodString;
    cap: z.ZodNumber;
    value: z.ZodNumber;
    scope: z.ZodObject<{
        type: z.ZodString;
        objectIDs: z.ZodArray<z.ZodString, "many">;
    }, "strip", z.ZodTypeAny, {
        type: string;
        objectIDs: string[];
    }, {
        type: string;
        objectIDs: string[];
    }>;
}, "strip", z.ZodTypeAny, {
    type: string;
    value: number;
    scope: {
        type: string;
        objectIDs: string[];
    };
    cap: number;
}, {
    type: string;
    value: number;
    scope: {
        type: string;
        objectIDs: string[];
    };
    cap: number;
}>;
export declare const FdtoGrabfoodCampaign: z.ZodObject<{
    id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    merchantID: z.ZodString;
    name: z.ZodString;
    quotas: z.ZodObject<{
        totalCount: z.ZodNumber;
        totalCountPerUser: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        totalCount: number;
        totalCountPerUser: number;
    }, {
        totalCount: number;
        totalCountPerUser: number;
    }>;
    conditions: z.ZodObject<{
        startTime: z.ZodString;
        endTime: z.ZodString;
        eaterType: z.ZodString;
        minBasketAmount: z.ZodNumber;
        workingHour: z.ZodObject<{
            sun: z.ZodArray<z.ZodObject<{
                startTime: z.ZodString;
                endTime: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                startTime: string;
                endTime: string;
            }, {
                startTime: string;
                endTime: string;
            }>, "many">;
            mon: z.ZodArray<z.ZodObject<{
                startTime: z.ZodString;
                endTime: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                startTime: string;
                endTime: string;
            }, {
                startTime: string;
                endTime: string;
            }>, "many">;
            tue: z.ZodArray<z.ZodObject<{
                startTime: z.ZodString;
                endTime: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                startTime: string;
                endTime: string;
            }, {
                startTime: string;
                endTime: string;
            }>, "many">;
            wed: z.ZodArray<z.ZodObject<{
                startTime: z.ZodString;
                endTime: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                startTime: string;
                endTime: string;
            }, {
                startTime: string;
                endTime: string;
            }>, "many">;
            thu: z.ZodArray<z.ZodObject<{
                startTime: z.ZodString;
                endTime: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                startTime: string;
                endTime: string;
            }, {
                startTime: string;
                endTime: string;
            }>, "many">;
            fri: z.ZodArray<z.ZodObject<{
                startTime: z.ZodString;
                endTime: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                startTime: string;
                endTime: string;
            }, {
                startTime: string;
                endTime: string;
            }>, "many">;
            sat: z.ZodArray<z.ZodObject<{
                startTime: z.ZodString;
                endTime: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                startTime: string;
                endTime: string;
            }, {
                startTime: string;
                endTime: string;
            }>, "many">;
        }, "strip", z.ZodTypeAny, {
            sun: {
                startTime: string;
                endTime: string;
            }[];
            mon: {
                startTime: string;
                endTime: string;
            }[];
            tue: {
                startTime: string;
                endTime: string;
            }[];
            wed: {
                startTime: string;
                endTime: string;
            }[];
            thu: {
                startTime: string;
                endTime: string;
            }[];
            fri: {
                startTime: string;
                endTime: string;
            }[];
            sat: {
                startTime: string;
                endTime: string;
            }[];
        }, {
            sun: {
                startTime: string;
                endTime: string;
            }[];
            mon: {
                startTime: string;
                endTime: string;
            }[];
            tue: {
                startTime: string;
                endTime: string;
            }[];
            wed: {
                startTime: string;
                endTime: string;
            }[];
            thu: {
                startTime: string;
                endTime: string;
            }[];
            fri: {
                startTime: string;
                endTime: string;
            }[];
            sat: {
                startTime: string;
                endTime: string;
            }[];
        }>;
    }, "strip", z.ZodTypeAny, {
        startTime: string;
        endTime: string;
        eaterType: string;
        minBasketAmount: number;
        workingHour: {
            sun: {
                startTime: string;
                endTime: string;
            }[];
            mon: {
                startTime: string;
                endTime: string;
            }[];
            tue: {
                startTime: string;
                endTime: string;
            }[];
            wed: {
                startTime: string;
                endTime: string;
            }[];
            thu: {
                startTime: string;
                endTime: string;
            }[];
            fri: {
                startTime: string;
                endTime: string;
            }[];
            sat: {
                startTime: string;
                endTime: string;
            }[];
        };
    }, {
        startTime: string;
        endTime: string;
        eaterType: string;
        minBasketAmount: number;
        workingHour: {
            sun: {
                startTime: string;
                endTime: string;
            }[];
            mon: {
                startTime: string;
                endTime: string;
            }[];
            tue: {
                startTime: string;
                endTime: string;
            }[];
            wed: {
                startTime: string;
                endTime: string;
            }[];
            thu: {
                startTime: string;
                endTime: string;
            }[];
            fri: {
                startTime: string;
                endTime: string;
            }[];
            sat: {
                startTime: string;
                endTime: string;
            }[];
        };
    }>;
    discount: z.ZodObject<{
        type: z.ZodString;
        cap: z.ZodNumber;
        value: z.ZodNumber;
        scope: z.ZodObject<{
            type: z.ZodString;
            objectIDs: z.ZodArray<z.ZodString, "many">;
        }, "strip", z.ZodTypeAny, {
            type: string;
            objectIDs: string[];
        }, {
            type: string;
            objectIDs: string[];
        }>;
    }, "strip", z.ZodTypeAny, {
        type: string;
        value: number;
        scope: {
            type: string;
            objectIDs: string[];
        };
        cap: number;
    }, {
        type: string;
        value: number;
        scope: {
            type: string;
            objectIDs: string[];
        };
        cap: number;
    }>;
}, "strip", z.ZodTypeAny, {
    id?: string | null | undefined;
    name: string;
    discount: {
        type: string;
        value: number;
        scope: {
            type: string;
            objectIDs: string[];
        };
        cap: number;
    };
    merchantID: string;
    quotas: {
        totalCount: number;
        totalCountPerUser: number;
    };
    conditions: {
        startTime: string;
        endTime: string;
        eaterType: string;
        minBasketAmount: number;
        workingHour: {
            sun: {
                startTime: string;
                endTime: string;
            }[];
            mon: {
                startTime: string;
                endTime: string;
            }[];
            tue: {
                startTime: string;
                endTime: string;
            }[];
            wed: {
                startTime: string;
                endTime: string;
            }[];
            thu: {
                startTime: string;
                endTime: string;
            }[];
            fri: {
                startTime: string;
                endTime: string;
            }[];
            sat: {
                startTime: string;
                endTime: string;
            }[];
        };
    };
}, {
    id?: string | null | undefined;
    name: string;
    discount: {
        type: string;
        value: number;
        scope: {
            type: string;
            objectIDs: string[];
        };
        cap: number;
    };
    merchantID: string;
    quotas: {
        totalCount: number;
        totalCountPerUser: number;
    };
    conditions: {
        startTime: string;
        endTime: string;
        eaterType: string;
        minBasketAmount: number;
        workingHour: {
            sun: {
                startTime: string;
                endTime: string;
            }[];
            mon: {
                startTime: string;
                endTime: string;
            }[];
            tue: {
                startTime: string;
                endTime: string;
            }[];
            wed: {
                startTime: string;
                endTime: string;
            }[];
            thu: {
                startTime: string;
                endTime: string;
            }[];
            fri: {
                startTime: string;
                endTime: string;
            }[];
            sat: {
                startTime: string;
                endTime: string;
            }[];
        };
    };
}>;
export declare const FdtoGrabfoodListDiscountCampaignRes: z.ZodObject<{
    ongoing: z.ZodArray<z.ZodObject<{
        id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        merchantID: z.ZodString;
        name: z.ZodString;
        quotas: z.ZodObject<{
            totalCount: z.ZodNumber;
            totalCountPerUser: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            totalCount: number;
            totalCountPerUser: number;
        }, {
            totalCount: number;
            totalCountPerUser: number;
        }>;
        conditions: z.ZodObject<{
            startTime: z.ZodString;
            endTime: z.ZodString;
            eaterType: z.ZodString;
            minBasketAmount: z.ZodNumber;
            workingHour: z.ZodObject<{
                sun: z.ZodArray<z.ZodObject<{
                    startTime: z.ZodString;
                    endTime: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    startTime: string;
                    endTime: string;
                }, {
                    startTime: string;
                    endTime: string;
                }>, "many">;
                mon: z.ZodArray<z.ZodObject<{
                    startTime: z.ZodString;
                    endTime: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    startTime: string;
                    endTime: string;
                }, {
                    startTime: string;
                    endTime: string;
                }>, "many">;
                tue: z.ZodArray<z.ZodObject<{
                    startTime: z.ZodString;
                    endTime: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    startTime: string;
                    endTime: string;
                }, {
                    startTime: string;
                    endTime: string;
                }>, "many">;
                wed: z.ZodArray<z.ZodObject<{
                    startTime: z.ZodString;
                    endTime: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    startTime: string;
                    endTime: string;
                }, {
                    startTime: string;
                    endTime: string;
                }>, "many">;
                thu: z.ZodArray<z.ZodObject<{
                    startTime: z.ZodString;
                    endTime: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    startTime: string;
                    endTime: string;
                }, {
                    startTime: string;
                    endTime: string;
                }>, "many">;
                fri: z.ZodArray<z.ZodObject<{
                    startTime: z.ZodString;
                    endTime: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    startTime: string;
                    endTime: string;
                }, {
                    startTime: string;
                    endTime: string;
                }>, "many">;
                sat: z.ZodArray<z.ZodObject<{
                    startTime: z.ZodString;
                    endTime: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    startTime: string;
                    endTime: string;
                }, {
                    startTime: string;
                    endTime: string;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                sun: {
                    startTime: string;
                    endTime: string;
                }[];
                mon: {
                    startTime: string;
                    endTime: string;
                }[];
                tue: {
                    startTime: string;
                    endTime: string;
                }[];
                wed: {
                    startTime: string;
                    endTime: string;
                }[];
                thu: {
                    startTime: string;
                    endTime: string;
                }[];
                fri: {
                    startTime: string;
                    endTime: string;
                }[];
                sat: {
                    startTime: string;
                    endTime: string;
                }[];
            }, {
                sun: {
                    startTime: string;
                    endTime: string;
                }[];
                mon: {
                    startTime: string;
                    endTime: string;
                }[];
                tue: {
                    startTime: string;
                    endTime: string;
                }[];
                wed: {
                    startTime: string;
                    endTime: string;
                }[];
                thu: {
                    startTime: string;
                    endTime: string;
                }[];
                fri: {
                    startTime: string;
                    endTime: string;
                }[];
                sat: {
                    startTime: string;
                    endTime: string;
                }[];
            }>;
        }, "strip", z.ZodTypeAny, {
            startTime: string;
            endTime: string;
            eaterType: string;
            minBasketAmount: number;
            workingHour: {
                sun: {
                    startTime: string;
                    endTime: string;
                }[];
                mon: {
                    startTime: string;
                    endTime: string;
                }[];
                tue: {
                    startTime: string;
                    endTime: string;
                }[];
                wed: {
                    startTime: string;
                    endTime: string;
                }[];
                thu: {
                    startTime: string;
                    endTime: string;
                }[];
                fri: {
                    startTime: string;
                    endTime: string;
                }[];
                sat: {
                    startTime: string;
                    endTime: string;
                }[];
            };
        }, {
            startTime: string;
            endTime: string;
            eaterType: string;
            minBasketAmount: number;
            workingHour: {
                sun: {
                    startTime: string;
                    endTime: string;
                }[];
                mon: {
                    startTime: string;
                    endTime: string;
                }[];
                tue: {
                    startTime: string;
                    endTime: string;
                }[];
                wed: {
                    startTime: string;
                    endTime: string;
                }[];
                thu: {
                    startTime: string;
                    endTime: string;
                }[];
                fri: {
                    startTime: string;
                    endTime: string;
                }[];
                sat: {
                    startTime: string;
                    endTime: string;
                }[];
            };
        }>;
        discount: z.ZodObject<{
            type: z.ZodString;
            cap: z.ZodNumber;
            value: z.ZodNumber;
            scope: z.ZodObject<{
                type: z.ZodString;
                objectIDs: z.ZodArray<z.ZodString, "many">;
            }, "strip", z.ZodTypeAny, {
                type: string;
                objectIDs: string[];
            }, {
                type: string;
                objectIDs: string[];
            }>;
        }, "strip", z.ZodTypeAny, {
            type: string;
            value: number;
            scope: {
                type: string;
                objectIDs: string[];
            };
            cap: number;
        }, {
            type: string;
            value: number;
            scope: {
                type: string;
                objectIDs: string[];
            };
            cap: number;
        }>;
    }, "strip", z.ZodTypeAny, {
        id?: string | null | undefined;
        name: string;
        discount: {
            type: string;
            value: number;
            scope: {
                type: string;
                objectIDs: string[];
            };
            cap: number;
        };
        merchantID: string;
        quotas: {
            totalCount: number;
            totalCountPerUser: number;
        };
        conditions: {
            startTime: string;
            endTime: string;
            eaterType: string;
            minBasketAmount: number;
            workingHour: {
                sun: {
                    startTime: string;
                    endTime: string;
                }[];
                mon: {
                    startTime: string;
                    endTime: string;
                }[];
                tue: {
                    startTime: string;
                    endTime: string;
                }[];
                wed: {
                    startTime: string;
                    endTime: string;
                }[];
                thu: {
                    startTime: string;
                    endTime: string;
                }[];
                fri: {
                    startTime: string;
                    endTime: string;
                }[];
                sat: {
                    startTime: string;
                    endTime: string;
                }[];
            };
        };
    }, {
        id?: string | null | undefined;
        name: string;
        discount: {
            type: string;
            value: number;
            scope: {
                type: string;
                objectIDs: string[];
            };
            cap: number;
        };
        merchantID: string;
        quotas: {
            totalCount: number;
            totalCountPerUser: number;
        };
        conditions: {
            startTime: string;
            endTime: string;
            eaterType: string;
            minBasketAmount: number;
            workingHour: {
                sun: {
                    startTime: string;
                    endTime: string;
                }[];
                mon: {
                    startTime: string;
                    endTime: string;
                }[];
                tue: {
                    startTime: string;
                    endTime: string;
                }[];
                wed: {
                    startTime: string;
                    endTime: string;
                }[];
                thu: {
                    startTime: string;
                    endTime: string;
                }[];
                fri: {
                    startTime: string;
                    endTime: string;
                }[];
                sat: {
                    startTime: string;
                    endTime: string;
                }[];
            };
        };
    }>, "many">;
    upcoming: z.ZodArray<z.ZodObject<{
        id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        merchantID: z.ZodString;
        name: z.ZodString;
        quotas: z.ZodObject<{
            totalCount: z.ZodNumber;
            totalCountPerUser: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            totalCount: number;
            totalCountPerUser: number;
        }, {
            totalCount: number;
            totalCountPerUser: number;
        }>;
        conditions: z.ZodObject<{
            startTime: z.ZodString;
            endTime: z.ZodString;
            eaterType: z.ZodString;
            minBasketAmount: z.ZodNumber;
            workingHour: z.ZodObject<{
                sun: z.ZodArray<z.ZodObject<{
                    startTime: z.ZodString;
                    endTime: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    startTime: string;
                    endTime: string;
                }, {
                    startTime: string;
                    endTime: string;
                }>, "many">;
                mon: z.ZodArray<z.ZodObject<{
                    startTime: z.ZodString;
                    endTime: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    startTime: string;
                    endTime: string;
                }, {
                    startTime: string;
                    endTime: string;
                }>, "many">;
                tue: z.ZodArray<z.ZodObject<{
                    startTime: z.ZodString;
                    endTime: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    startTime: string;
                    endTime: string;
                }, {
                    startTime: string;
                    endTime: string;
                }>, "many">;
                wed: z.ZodArray<z.ZodObject<{
                    startTime: z.ZodString;
                    endTime: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    startTime: string;
                    endTime: string;
                }, {
                    startTime: string;
                    endTime: string;
                }>, "many">;
                thu: z.ZodArray<z.ZodObject<{
                    startTime: z.ZodString;
                    endTime: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    startTime: string;
                    endTime: string;
                }, {
                    startTime: string;
                    endTime: string;
                }>, "many">;
                fri: z.ZodArray<z.ZodObject<{
                    startTime: z.ZodString;
                    endTime: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    startTime: string;
                    endTime: string;
                }, {
                    startTime: string;
                    endTime: string;
                }>, "many">;
                sat: z.ZodArray<z.ZodObject<{
                    startTime: z.ZodString;
                    endTime: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    startTime: string;
                    endTime: string;
                }, {
                    startTime: string;
                    endTime: string;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                sun: {
                    startTime: string;
                    endTime: string;
                }[];
                mon: {
                    startTime: string;
                    endTime: string;
                }[];
                tue: {
                    startTime: string;
                    endTime: string;
                }[];
                wed: {
                    startTime: string;
                    endTime: string;
                }[];
                thu: {
                    startTime: string;
                    endTime: string;
                }[];
                fri: {
                    startTime: string;
                    endTime: string;
                }[];
                sat: {
                    startTime: string;
                    endTime: string;
                }[];
            }, {
                sun: {
                    startTime: string;
                    endTime: string;
                }[];
                mon: {
                    startTime: string;
                    endTime: string;
                }[];
                tue: {
                    startTime: string;
                    endTime: string;
                }[];
                wed: {
                    startTime: string;
                    endTime: string;
                }[];
                thu: {
                    startTime: string;
                    endTime: string;
                }[];
                fri: {
                    startTime: string;
                    endTime: string;
                }[];
                sat: {
                    startTime: string;
                    endTime: string;
                }[];
            }>;
        }, "strip", z.ZodTypeAny, {
            startTime: string;
            endTime: string;
            eaterType: string;
            minBasketAmount: number;
            workingHour: {
                sun: {
                    startTime: string;
                    endTime: string;
                }[];
                mon: {
                    startTime: string;
                    endTime: string;
                }[];
                tue: {
                    startTime: string;
                    endTime: string;
                }[];
                wed: {
                    startTime: string;
                    endTime: string;
                }[];
                thu: {
                    startTime: string;
                    endTime: string;
                }[];
                fri: {
                    startTime: string;
                    endTime: string;
                }[];
                sat: {
                    startTime: string;
                    endTime: string;
                }[];
            };
        }, {
            startTime: string;
            endTime: string;
            eaterType: string;
            minBasketAmount: number;
            workingHour: {
                sun: {
                    startTime: string;
                    endTime: string;
                }[];
                mon: {
                    startTime: string;
                    endTime: string;
                }[];
                tue: {
                    startTime: string;
                    endTime: string;
                }[];
                wed: {
                    startTime: string;
                    endTime: string;
                }[];
                thu: {
                    startTime: string;
                    endTime: string;
                }[];
                fri: {
                    startTime: string;
                    endTime: string;
                }[];
                sat: {
                    startTime: string;
                    endTime: string;
                }[];
            };
        }>;
        discount: z.ZodObject<{
            type: z.ZodString;
            cap: z.ZodNumber;
            value: z.ZodNumber;
            scope: z.ZodObject<{
                type: z.ZodString;
                objectIDs: z.ZodArray<z.ZodString, "many">;
            }, "strip", z.ZodTypeAny, {
                type: string;
                objectIDs: string[];
            }, {
                type: string;
                objectIDs: string[];
            }>;
        }, "strip", z.ZodTypeAny, {
            type: string;
            value: number;
            scope: {
                type: string;
                objectIDs: string[];
            };
            cap: number;
        }, {
            type: string;
            value: number;
            scope: {
                type: string;
                objectIDs: string[];
            };
            cap: number;
        }>;
    }, "strip", z.ZodTypeAny, {
        id?: string | null | undefined;
        name: string;
        discount: {
            type: string;
            value: number;
            scope: {
                type: string;
                objectIDs: string[];
            };
            cap: number;
        };
        merchantID: string;
        quotas: {
            totalCount: number;
            totalCountPerUser: number;
        };
        conditions: {
            startTime: string;
            endTime: string;
            eaterType: string;
            minBasketAmount: number;
            workingHour: {
                sun: {
                    startTime: string;
                    endTime: string;
                }[];
                mon: {
                    startTime: string;
                    endTime: string;
                }[];
                tue: {
                    startTime: string;
                    endTime: string;
                }[];
                wed: {
                    startTime: string;
                    endTime: string;
                }[];
                thu: {
                    startTime: string;
                    endTime: string;
                }[];
                fri: {
                    startTime: string;
                    endTime: string;
                }[];
                sat: {
                    startTime: string;
                    endTime: string;
                }[];
            };
        };
    }, {
        id?: string | null | undefined;
        name: string;
        discount: {
            type: string;
            value: number;
            scope: {
                type: string;
                objectIDs: string[];
            };
            cap: number;
        };
        merchantID: string;
        quotas: {
            totalCount: number;
            totalCountPerUser: number;
        };
        conditions: {
            startTime: string;
            endTime: string;
            eaterType: string;
            minBasketAmount: number;
            workingHour: {
                sun: {
                    startTime: string;
                    endTime: string;
                }[];
                mon: {
                    startTime: string;
                    endTime: string;
                }[];
                tue: {
                    startTime: string;
                    endTime: string;
                }[];
                wed: {
                    startTime: string;
                    endTime: string;
                }[];
                thu: {
                    startTime: string;
                    endTime: string;
                }[];
                fri: {
                    startTime: string;
                    endTime: string;
                }[];
                sat: {
                    startTime: string;
                    endTime: string;
                }[];
            };
        };
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    ongoing: {
        id?: string | null | undefined;
        name: string;
        discount: {
            type: string;
            value: number;
            scope: {
                type: string;
                objectIDs: string[];
            };
            cap: number;
        };
        merchantID: string;
        quotas: {
            totalCount: number;
            totalCountPerUser: number;
        };
        conditions: {
            startTime: string;
            endTime: string;
            eaterType: string;
            minBasketAmount: number;
            workingHour: {
                sun: {
                    startTime: string;
                    endTime: string;
                }[];
                mon: {
                    startTime: string;
                    endTime: string;
                }[];
                tue: {
                    startTime: string;
                    endTime: string;
                }[];
                wed: {
                    startTime: string;
                    endTime: string;
                }[];
                thu: {
                    startTime: string;
                    endTime: string;
                }[];
                fri: {
                    startTime: string;
                    endTime: string;
                }[];
                sat: {
                    startTime: string;
                    endTime: string;
                }[];
            };
        };
    }[];
    upcoming: {
        id?: string | null | undefined;
        name: string;
        discount: {
            type: string;
            value: number;
            scope: {
                type: string;
                objectIDs: string[];
            };
            cap: number;
        };
        merchantID: string;
        quotas: {
            totalCount: number;
            totalCountPerUser: number;
        };
        conditions: {
            startTime: string;
            endTime: string;
            eaterType: string;
            minBasketAmount: number;
            workingHour: {
                sun: {
                    startTime: string;
                    endTime: string;
                }[];
                mon: {
                    startTime: string;
                    endTime: string;
                }[];
                tue: {
                    startTime: string;
                    endTime: string;
                }[];
                wed: {
                    startTime: string;
                    endTime: string;
                }[];
                thu: {
                    startTime: string;
                    endTime: string;
                }[];
                fri: {
                    startTime: string;
                    endTime: string;
                }[];
                sat: {
                    startTime: string;
                    endTime: string;
                }[];
            };
        };
    }[];
}, {
    ongoing: {
        id?: string | null | undefined;
        name: string;
        discount: {
            type: string;
            value: number;
            scope: {
                type: string;
                objectIDs: string[];
            };
            cap: number;
        };
        merchantID: string;
        quotas: {
            totalCount: number;
            totalCountPerUser: number;
        };
        conditions: {
            startTime: string;
            endTime: string;
            eaterType: string;
            minBasketAmount: number;
            workingHour: {
                sun: {
                    startTime: string;
                    endTime: string;
                }[];
                mon: {
                    startTime: string;
                    endTime: string;
                }[];
                tue: {
                    startTime: string;
                    endTime: string;
                }[];
                wed: {
                    startTime: string;
                    endTime: string;
                }[];
                thu: {
                    startTime: string;
                    endTime: string;
                }[];
                fri: {
                    startTime: string;
                    endTime: string;
                }[];
                sat: {
                    startTime: string;
                    endTime: string;
                }[];
            };
        };
    }[];
    upcoming: {
        id?: string | null | undefined;
        name: string;
        discount: {
            type: string;
            value: number;
            scope: {
                type: string;
                objectIDs: string[];
            };
            cap: number;
        };
        merchantID: string;
        quotas: {
            totalCount: number;
            totalCountPerUser: number;
        };
        conditions: {
            startTime: string;
            endTime: string;
            eaterType: string;
            minBasketAmount: number;
            workingHour: {
                sun: {
                    startTime: string;
                    endTime: string;
                }[];
                mon: {
                    startTime: string;
                    endTime: string;
                }[];
                tue: {
                    startTime: string;
                    endTime: string;
                }[];
                wed: {
                    startTime: string;
                    endTime: string;
                }[];
                thu: {
                    startTime: string;
                    endTime: string;
                }[];
                fri: {
                    startTime: string;
                    endTime: string;
                }[];
                sat: {
                    startTime: string;
                    endTime: string;
                }[];
            };
        };
    }[];
}>;
export declare const FdtoGrabfoodCreateOrUpdateSettings: z.ZodObject<{
    status: z.ZodOptional<z.ZodNullable<z.ZodOptional<z.ZodString>>>;
    _id: z.ZodOptional<z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>>;
    catalogId: z.ZodOptional<z.ZodNullable<z.ZodOptional<z.ZodString>>>;
    enable: z.ZodOptional<z.ZodBoolean>;
    autoCloseBill: z.ZodOptional<z.ZodBoolean>;
    printReceiptAfterClose: z.ZodOptional<z.ZodNullable<z.ZodOptional<z.ZodBoolean>>>;
    commissionRate: z.ZodOptional<z.ZodNumber>;
    lastSynchronize: z.ZodOptional<z.ZodNullable<z.ZodOptional<z.ZodString>>>;
    showProductAddon: z.ZodOptional<z.ZodNullable<z.ZodOptional<z.ZodBoolean>>>;
    updatedAt: z.ZodOptional<z.ZodNullable<z.ZodOptional<z.ZodString>>>;
    menuSyncError: z.ZodOptional<z.ZodNullable<z.ZodOptional<z.ZodString>>>;
    merchantID: z.ZodOptional<z.ZodString>;
    partnerMerchantID: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    status?: string | null | undefined;
    _id?: string | undefined;
    catalogId?: string | null | undefined;
    enable?: boolean | undefined;
    autoCloseBill?: boolean | undefined;
    printReceiptAfterClose?: boolean | null | undefined;
    commissionRate?: number | undefined;
    lastSynchronize?: string | null | undefined;
    showProductAddon?: boolean | null | undefined;
    updatedAt?: string | null | undefined;
    menuSyncError?: string | null | undefined;
    partnerMerchantID?: string | undefined;
    merchantID?: string | undefined;
}, {
    status?: string | null | undefined;
    _id?: string | undefined;
    catalogId?: string | null | undefined;
    enable?: boolean | undefined;
    autoCloseBill?: boolean | undefined;
    printReceiptAfterClose?: boolean | null | undefined;
    commissionRate?: number | undefined;
    lastSynchronize?: string | null | undefined;
    showProductAddon?: boolean | null | undefined;
    updatedAt?: string | null | undefined;
    menuSyncError?: string | null | undefined;
    partnerMerchantID?: string | undefined;
    merchantID?: string | undefined;
}>;
export declare const FdtoGrabfoodUpdateMenuItem: z.ZodObject<{
    merchantId: z.ZodString;
    field: z.ZodEnum<["ITEM", "MODIFIER"]>;
    id: z.ZodString;
    price: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
    availableStatus: z.ZodEnum<["AVAILABLE", "UNAVAILABLE"]>;
}, "strip", z.ZodTypeAny, {
    price?: number | null | undefined;
    id: string;
    merchantId: string;
    field: "ITEM" | "MODIFIER";
    availableStatus: "AVAILABLE" | "UNAVAILABLE";
}, {
    price?: number | null | undefined;
    id: string;
    merchantId: string;
    field: "ITEM" | "MODIFIER";
    availableStatus: "AVAILABLE" | "UNAVAILABLE";
}>;
declare const GFLoginReq: z.ZodObject<{
    client_id: z.ZodString;
    client_secret: z.ZodString;
    scope: z.ZodString;
}, "strip", z.ZodTypeAny, {
    client_id: string;
    scope: string;
    client_secret: string;
}, {
    client_id: string;
    scope: string;
    client_secret: string;
}>;
declare const GFLoginRes: z.ZodObject<{
    access_token: z.ZodString;
    token_type: z.ZodString;
    expires_in: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    access_token: string;
    expires_in: number;
    token_type: string;
}, {
    access_token: string;
    expires_in: number;
    token_type: string;
}>;
declare const GFConfig: z.ZodObject<{
    client_id: z.ZodString;
    client_secret: z.ZodString;
    grant_type: z.ZodString;
    scope: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    scope?: string | null | undefined;
    client_id: string;
    grant_type: string;
    client_secret: string;
}, {
    scope?: string | null | undefined;
    client_id: string;
    grant_type: string;
    client_secret: string;
}>;
declare const GFUpdateMenuItemDto: z.ZodObject<{
    merchantId: z.ZodString;
    field: z.ZodEnum<["ITEM", "MODIFIER"]>;
    id: z.ZodString;
    price: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
    availableStatus: z.ZodNullable<z.ZodOptional<z.ZodEnum<["AVAILABLE", "UNAVAILABLE"]>>>;
}, "strip", z.ZodTypeAny, {
    price?: number | null | undefined;
    availableStatus?: "AVAILABLE" | "UNAVAILABLE" | null | undefined;
    id: string;
    merchantId: string;
    field: "ITEM" | "MODIFIER";
}, {
    price?: number | null | undefined;
    availableStatus?: "AVAILABLE" | "UNAVAILABLE" | null | undefined;
    id: string;
    merchantId: string;
    field: "ITEM" | "MODIFIER";
}>;
declare const GFUpdateMenuModifierDto: z.ZodObject<{
    merchantId: z.ZodString;
    field: z.ZodEnum<["ITEM", "MODIFIER"]>;
    id: z.ZodString;
    price: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
    name: z.ZodString;
    availableStatus: z.ZodNullable<z.ZodOptional<z.ZodEnum<["AVAILABLE", "UNAVAILABLE"]>>>;
}, "strip", z.ZodTypeAny, {
    price?: number | null | undefined;
    availableStatus?: "AVAILABLE" | "UNAVAILABLE" | null | undefined;
    name: string;
    id: string;
    merchantId: string;
    field: "ITEM" | "MODIFIER";
}, {
    price?: number | null | undefined;
    availableStatus?: "AVAILABLE" | "UNAVAILABLE" | null | undefined;
    name: string;
    id: string;
    merchantId: string;
    field: "ITEM" | "MODIFIER";
}>;
declare const GFBatchUpdateMenuDto: z.ZodObject<{
    merchantId: z.ZodString;
    field: z.ZodEnum<["ITEM", "MODIFIER"]>;
    menuEntities: z.ZodArray<z.ZodUnion<[z.ZodObject<{
        merchantId: z.ZodString;
        field: z.ZodEnum<["ITEM", "MODIFIER"]>;
        id: z.ZodString;
        price: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        availableStatus: z.ZodNullable<z.ZodOptional<z.ZodEnum<["AVAILABLE", "UNAVAILABLE"]>>>;
    }, "strip", z.ZodTypeAny, {
        price?: number | null | undefined;
        availableStatus?: "AVAILABLE" | "UNAVAILABLE" | null | undefined;
        id: string;
        merchantId: string;
        field: "ITEM" | "MODIFIER";
    }, {
        price?: number | null | undefined;
        availableStatus?: "AVAILABLE" | "UNAVAILABLE" | null | undefined;
        id: string;
        merchantId: string;
        field: "ITEM" | "MODIFIER";
    }>, z.ZodObject<{
        merchantId: z.ZodString;
        field: z.ZodEnum<["ITEM", "MODIFIER"]>;
        id: z.ZodString;
        price: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        name: z.ZodString;
        availableStatus: z.ZodNullable<z.ZodOptional<z.ZodEnum<["AVAILABLE", "UNAVAILABLE"]>>>;
    }, "strip", z.ZodTypeAny, {
        price?: number | null | undefined;
        availableStatus?: "AVAILABLE" | "UNAVAILABLE" | null | undefined;
        name: string;
        id: string;
        merchantId: string;
        field: "ITEM" | "MODIFIER";
    }, {
        price?: number | null | undefined;
        availableStatus?: "AVAILABLE" | "UNAVAILABLE" | null | undefined;
        name: string;
        id: string;
        merchantId: string;
        field: "ITEM" | "MODIFIER";
    }>]>, "many">;
}, "strip", z.ZodTypeAny, {
    merchantId: string;
    field: "ITEM" | "MODIFIER";
    menuEntities: ({
        price?: number | null | undefined;
        availableStatus?: "AVAILABLE" | "UNAVAILABLE" | null | undefined;
        id: string;
        merchantId: string;
        field: "ITEM" | "MODIFIER";
    } | {
        price?: number | null | undefined;
        availableStatus?: "AVAILABLE" | "UNAVAILABLE" | null | undefined;
        name: string;
        id: string;
        merchantId: string;
        field: "ITEM" | "MODIFIER";
    })[];
}, {
    merchantId: string;
    field: "ITEM" | "MODIFIER";
    menuEntities: ({
        price?: number | null | undefined;
        availableStatus?: "AVAILABLE" | "UNAVAILABLE" | null | undefined;
        id: string;
        merchantId: string;
        field: "ITEM" | "MODIFIER";
    } | {
        price?: number | null | undefined;
        availableStatus?: "AVAILABLE" | "UNAVAILABLE" | null | undefined;
        name: string;
        id: string;
        merchantId: string;
        field: "ITEM" | "MODIFIER";
    })[];
}>;
declare const GFAcceptOrRejectGFOrderDto: z.ZodObject<{
    orderID: z.ZodString;
    toState: z.ZodEnum<["Accepted", "Rejected"]>;
}, "strip", z.ZodTypeAny, {
    orderID: string;
    toState: "Accepted" | "Rejected";
}, {
    orderID: string;
    toState: "Accepted" | "Rejected";
}>;
declare const GFReportDeliveryDto: z.ZodObject<{
    orderID: z.ZodString;
    fromState: z.ZodEnum<["FindDriver", "Collected", "Delivered"]>;
    toState: z.ZodEnum<["Accepted", "FindDriver", "Collected"]>;
}, "strip", z.ZodTypeAny, {
    orderID: string;
    toState: "FindDriver" | "Collected" | "Accepted";
    fromState: "FindDriver" | "Collected" | "Delivered";
}, {
    orderID: string;
    toState: "FindDriver" | "Collected" | "Accepted";
    fromState: "FindDriver" | "Collected" | "Delivered";
}>;
declare const GFListOrdersDto: z.ZodObject<{
    merchantID: z.ZodString;
    date: z.ZodString;
    page: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    date: string;
    merchantID: string;
    page: number;
}, {
    date: string;
    merchantID: string;
    page: number;
}>;
export declare const GFListOrdersRes: z.ZodObject<{
    more: z.ZodBoolean;
    orders: z.ZodArray<z.ZodObject<{
        paymentType: z.ZodEnum<["CASH", "CASHLESS"]>;
        orderID: z.ZodString;
        shortOrderNumber: z.ZodString;
        merchantID: z.ZodString;
        partnerMerchantID: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        cutlery: z.ZodBoolean;
        orderTime: z.ZodString;
        submitTime: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        completeTime: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        scheduledTime: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        currency: z.ZodObject<{
            code: z.ZodEnum<["SGD", "MYR", "IDR", "VND", "THB", "PHP", "KHR", "MMK"]>;
            symbol: z.ZodEnum<["RM", "Rp", "S$", "₫", "฿", "₱", "៛", "K"]>;
            exponent: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            symbol: "RM" | "Rp" | "S$" | "₫" | "฿" | "₱" | "៛" | "K";
            code: "MYR" | "IDR" | "KHR" | "MMK" | "PHP" | "SGD" | "THB" | "VND";
            exponent: number;
        }, {
            symbol: "RM" | "Rp" | "S$" | "₫" | "฿" | "₱" | "៛" | "K";
            code: "MYR" | "IDR" | "KHR" | "MMK" | "PHP" | "SGD" | "THB" | "VND";
            exponent: number;
        }>;
        featureFlags: z.ZodObject<{
            orderAcceptedType: z.ZodEnum<["AUTO", "MANUAL"]>;
            orderType: z.ZodEnum<["TakeAway", "DeliveredByGrab", "DeliveredByRestaurant"]>;
            isMexEditOrder: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        }, "strip", z.ZodTypeAny, {
            isMexEditOrder?: boolean | null | undefined;
            orderType: "TakeAway" | "DeliveredByGrab" | "DeliveredByRestaurant";
            orderAcceptedType: "MANUAL" | "AUTO";
        }, {
            isMexEditOrder?: boolean | null | undefined;
            orderType: "TakeAway" | "DeliveredByGrab" | "DeliveredByRestaurant";
            orderAcceptedType: "MANUAL" | "AUTO";
        }>;
        items: z.ZodArray<z.ZodObject<{
            id: z.ZodString;
            quantity: z.ZodNumber;
            price: z.ZodNumber;
            specifications: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            modifiers: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                id: z.ZodString;
                quantity: z.ZodNumber;
                price: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                id: string;
                quantity: number;
                price: number;
            }, {
                id: string;
                quantity: number;
                price: number;
            }>, "many">>>;
            campaigns: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                type: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                deductedPart: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                name: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                level: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                usageCount: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                mexFundedRatio: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                deductedAmount: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                appliedItemIDs: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
                freeItem: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    id: z.ZodString;
                    name: z.ZodString;
                    quantity: z.ZodNumber;
                    price: z.ZodNumber;
                }, "strip", z.ZodTypeAny, {
                    name: string;
                    id: string;
                    quantity: number;
                    price: number;
                }, {
                    name: string;
                    id: string;
                    quantity: number;
                    price: number;
                }>>>;
            }, "strip", z.ZodTypeAny, {
                name?: string | null | undefined;
                id?: string | null | undefined;
                type?: string | null | undefined;
                level?: string | null | undefined;
                freeItem?: {
                    name: string;
                    id: string;
                    quantity: number;
                    price: number;
                } | null | undefined;
                deductedPart?: string | null | undefined;
                usageCount?: number | null | undefined;
                mexFundedRatio?: number | null | undefined;
                deductedAmount?: number | null | undefined;
                appliedItemIDs?: string[] | null | undefined;
            }, {
                name?: string | null | undefined;
                id?: string | null | undefined;
                type?: string | null | undefined;
                level?: string | null | undefined;
                freeItem?: {
                    name: string;
                    id: string;
                    quantity: number;
                    price: number;
                } | null | undefined;
                deductedPart?: string | null | undefined;
                usageCount?: number | null | undefined;
                mexFundedRatio?: number | null | undefined;
                deductedAmount?: number | null | undefined;
                appliedItemIDs?: string[] | null | undefined;
            }>, "many">>>;
        }, "strip", z.ZodTypeAny, {
            specifications?: string | null | undefined;
            modifiers?: {
                id: string;
                quantity: number;
                price: number;
            }[] | null | undefined;
            campaigns?: {
                name?: string | null | undefined;
                id?: string | null | undefined;
                type?: string | null | undefined;
                level?: string | null | undefined;
                freeItem?: {
                    name: string;
                    id: string;
                    quantity: number;
                    price: number;
                } | null | undefined;
                deductedPart?: string | null | undefined;
                usageCount?: number | null | undefined;
                mexFundedRatio?: number | null | undefined;
                deductedAmount?: number | null | undefined;
                appliedItemIDs?: string[] | null | undefined;
            }[] | null | undefined;
            id: string;
            quantity: number;
            price: number;
        }, {
            specifications?: string | null | undefined;
            modifiers?: {
                id: string;
                quantity: number;
                price: number;
            }[] | null | undefined;
            campaigns?: {
                name?: string | null | undefined;
                id?: string | null | undefined;
                type?: string | null | undefined;
                level?: string | null | undefined;
                freeItem?: {
                    name: string;
                    id: string;
                    quantity: number;
                    price: number;
                } | null | undefined;
                deductedPart?: string | null | undefined;
                usageCount?: number | null | undefined;
                mexFundedRatio?: number | null | undefined;
                deductedAmount?: number | null | undefined;
                appliedItemIDs?: string[] | null | undefined;
            }[] | null | undefined;
            id: string;
            quantity: number;
            price: number;
        }>, "many">;
        campaigns: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
            type: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            deductedPart: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            name: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            level: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            usageCount: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
            mexFundedRatio: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
            deductedAmount: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
            appliedItemIDs: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
            freeItem: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                id: z.ZodString;
                name: z.ZodString;
                quantity: z.ZodNumber;
                price: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                name: string;
                id: string;
                quantity: number;
                price: number;
            }, {
                name: string;
                id: string;
                quantity: number;
                price: number;
            }>>>;
        }, "strip", z.ZodTypeAny, {
            name?: string | null | undefined;
            id?: string | null | undefined;
            type?: string | null | undefined;
            level?: string | null | undefined;
            freeItem?: {
                name: string;
                id: string;
                quantity: number;
                price: number;
            } | null | undefined;
            deductedPart?: string | null | undefined;
            usageCount?: number | null | undefined;
            mexFundedRatio?: number | null | undefined;
            deductedAmount?: number | null | undefined;
            appliedItemIDs?: string[] | null | undefined;
        }, {
            name?: string | null | undefined;
            id?: string | null | undefined;
            type?: string | null | undefined;
            level?: string | null | undefined;
            freeItem?: {
                name: string;
                id: string;
                quantity: number;
                price: number;
            } | null | undefined;
            deductedPart?: string | null | undefined;
            usageCount?: number | null | undefined;
            mexFundedRatio?: number | null | undefined;
            deductedAmount?: number | null | undefined;
            appliedItemIDs?: string[] | null | undefined;
        }>, "many">>>;
        price: z.ZodObject<{
            tax: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
            deliveryFee: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
            grabFundPromo: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
            merchantFundPromo: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
            merchantChargeFee: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
            subtotal: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            deliveryFee?: number | null | undefined;
            tax?: number | null | undefined;
            grabFundPromo?: number | null | undefined;
            merchantFundPromo?: number | null | undefined;
            merchantChargeFee?: number | null | undefined;
            subtotal: number;
        }, {
            deliveryFee?: number | null | undefined;
            tax?: number | null | undefined;
            grabFundPromo?: number | null | undefined;
            merchantFundPromo?: number | null | undefined;
            merchantChargeFee?: number | null | undefined;
            subtotal: number;
        }>;
        dineIn: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            tableID: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            eaterCount: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        }, "strip", z.ZodTypeAny, {
            tableID?: string | null | undefined;
            eaterCount?: number | null | undefined;
        }, {
            tableID?: string | null | undefined;
            eaterCount?: number | null | undefined;
        }>>>;
        receiver: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            name: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            phones: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            address: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                poiSource: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                unitNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                deliveryInstruction: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                poiID: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                address: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                coordinates: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    latitude: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                    longitude: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                }, "strip", z.ZodTypeAny, {
                    latitude?: number | null | undefined;
                    longitude?: number | null | undefined;
                }, {
                    latitude?: number | null | undefined;
                    longitude?: number | null | undefined;
                }>>>;
                postcode: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            }, "strip", z.ZodTypeAny, {
                address?: string | null | undefined;
                coordinates?: {
                    latitude?: number | null | undefined;
                    longitude?: number | null | undefined;
                } | null | undefined;
                postcode?: string | null | undefined;
                poiSource?: string | null | undefined;
                unitNumber?: string | null | undefined;
                deliveryInstruction?: string | null | undefined;
                poiID?: string | null | undefined;
            }, {
                address?: string | null | undefined;
                coordinates?: {
                    latitude?: number | null | undefined;
                    longitude?: number | null | undefined;
                } | null | undefined;
                postcode?: string | null | undefined;
                poiSource?: string | null | undefined;
                unitNumber?: string | null | undefined;
                deliveryInstruction?: string | null | undefined;
                poiID?: string | null | undefined;
            }>>>;
        }, "strip", z.ZodTypeAny, {
            name?: string | null | undefined;
            address?: {
                address?: string | null | undefined;
                coordinates?: {
                    latitude?: number | null | undefined;
                    longitude?: number | null | undefined;
                } | null | undefined;
                postcode?: string | null | undefined;
                poiSource?: string | null | undefined;
                unitNumber?: string | null | undefined;
                deliveryInstruction?: string | null | undefined;
                poiID?: string | null | undefined;
            } | null | undefined;
            phones?: string | null | undefined;
        }, {
            name?: string | null | undefined;
            address?: {
                address?: string | null | undefined;
                coordinates?: {
                    latitude?: number | null | undefined;
                    longitude?: number | null | undefined;
                } | null | undefined;
                postcode?: string | null | undefined;
                poiSource?: string | null | undefined;
                unitNumber?: string | null | undefined;
                deliveryInstruction?: string | null | undefined;
                poiID?: string | null | undefined;
            } | null | undefined;
            phones?: string | null | undefined;
        }>>>;
        orderReadyEstimation: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            allowChange: z.ZodBoolean;
            estimatedOrderReadyTime: z.ZodString;
            maxOrderReadyTime: z.ZodString;
            newOrderReadyTime: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        }, "strip", z.ZodTypeAny, {
            newOrderReadyTime?: string | null | undefined;
            allowChange: boolean;
            estimatedOrderReadyTime: string;
            maxOrderReadyTime: string;
        }, {
            newOrderReadyTime?: string | null | undefined;
            allowChange: boolean;
            estimatedOrderReadyTime: string;
            maxOrderReadyTime: string;
        }>>>;
        orderState: z.ZodNullable<z.ZodOptional<z.ZodEnum<["ACCEPTED", "DRIVER_ALLOCATED", "DRIVER_ARRIVED", "COLLECTED", "DELIVERED", "FAILED", "CANCELLED"]>>>;
    }, "strip", z.ZodTypeAny, {
        receiver?: {
            name?: string | null | undefined;
            address?: {
                address?: string | null | undefined;
                coordinates?: {
                    latitude?: number | null | undefined;
                    longitude?: number | null | undefined;
                } | null | undefined;
                postcode?: string | null | undefined;
                poiSource?: string | null | undefined;
                unitNumber?: string | null | undefined;
                deliveryInstruction?: string | null | undefined;
                poiID?: string | null | undefined;
            } | null | undefined;
            phones?: string | null | undefined;
        } | null | undefined;
        dineIn?: {
            tableID?: string | null | undefined;
            eaterCount?: number | null | undefined;
        } | null | undefined;
        partnerMerchantID?: string | null | undefined;
        campaigns?: {
            name?: string | null | undefined;
            id?: string | null | undefined;
            type?: string | null | undefined;
            level?: string | null | undefined;
            freeItem?: {
                name: string;
                id: string;
                quantity: number;
                price: number;
            } | null | undefined;
            deductedPart?: string | null | undefined;
            usageCount?: number | null | undefined;
            mexFundedRatio?: number | null | undefined;
            deductedAmount?: number | null | undefined;
            appliedItemIDs?: string[] | null | undefined;
        }[] | null | undefined;
        submitTime?: string | null | undefined;
        completeTime?: string | null | undefined;
        scheduledTime?: string | null | undefined;
        orderReadyEstimation?: {
            newOrderReadyTime?: string | null | undefined;
            allowChange: boolean;
            estimatedOrderReadyTime: string;
            maxOrderReadyTime: string;
        } | null | undefined;
        orderState?: "FAILED" | "DELIVERED" | "CANCELLED" | "ACCEPTED" | "COLLECTED" | "DRIVER_ALLOCATED" | "DRIVER_ARRIVED" | null | undefined;
        price: {
            deliveryFee?: number | null | undefined;
            tax?: number | null | undefined;
            grabFundPromo?: number | null | undefined;
            merchantFundPromo?: number | null | undefined;
            merchantChargeFee?: number | null | undefined;
            subtotal: number;
        };
        currency: {
            symbol: "RM" | "Rp" | "S$" | "₫" | "฿" | "₱" | "៛" | "K";
            code: "MYR" | "IDR" | "KHR" | "MMK" | "PHP" | "SGD" | "THB" | "VND";
            exponent: number;
        };
        items: {
            specifications?: string | null | undefined;
            modifiers?: {
                id: string;
                quantity: number;
                price: number;
            }[] | null | undefined;
            campaigns?: {
                name?: string | null | undefined;
                id?: string | null | undefined;
                type?: string | null | undefined;
                level?: string | null | undefined;
                freeItem?: {
                    name: string;
                    id: string;
                    quantity: number;
                    price: number;
                } | null | undefined;
                deductedPart?: string | null | undefined;
                usageCount?: number | null | undefined;
                mexFundedRatio?: number | null | undefined;
                deductedAmount?: number | null | undefined;
                appliedItemIDs?: string[] | null | undefined;
            }[] | null | undefined;
            id: string;
            quantity: number;
            price: number;
        }[];
        paymentType: "CASH" | "CASHLESS";
        orderTime: string;
        merchantID: string;
        orderID: string;
        shortOrderNumber: string;
        cutlery: boolean;
        featureFlags: {
            isMexEditOrder?: boolean | null | undefined;
            orderType: "TakeAway" | "DeliveredByGrab" | "DeliveredByRestaurant";
            orderAcceptedType: "MANUAL" | "AUTO";
        };
    }, {
        receiver?: {
            name?: string | null | undefined;
            address?: {
                address?: string | null | undefined;
                coordinates?: {
                    latitude?: number | null | undefined;
                    longitude?: number | null | undefined;
                } | null | undefined;
                postcode?: string | null | undefined;
                poiSource?: string | null | undefined;
                unitNumber?: string | null | undefined;
                deliveryInstruction?: string | null | undefined;
                poiID?: string | null | undefined;
            } | null | undefined;
            phones?: string | null | undefined;
        } | null | undefined;
        dineIn?: {
            tableID?: string | null | undefined;
            eaterCount?: number | null | undefined;
        } | null | undefined;
        partnerMerchantID?: string | null | undefined;
        campaigns?: {
            name?: string | null | undefined;
            id?: string | null | undefined;
            type?: string | null | undefined;
            level?: string | null | undefined;
            freeItem?: {
                name: string;
                id: string;
                quantity: number;
                price: number;
            } | null | undefined;
            deductedPart?: string | null | undefined;
            usageCount?: number | null | undefined;
            mexFundedRatio?: number | null | undefined;
            deductedAmount?: number | null | undefined;
            appliedItemIDs?: string[] | null | undefined;
        }[] | null | undefined;
        submitTime?: string | null | undefined;
        completeTime?: string | null | undefined;
        scheduledTime?: string | null | undefined;
        orderReadyEstimation?: {
            newOrderReadyTime?: string | null | undefined;
            allowChange: boolean;
            estimatedOrderReadyTime: string;
            maxOrderReadyTime: string;
        } | null | undefined;
        orderState?: "FAILED" | "DELIVERED" | "CANCELLED" | "ACCEPTED" | "COLLECTED" | "DRIVER_ALLOCATED" | "DRIVER_ARRIVED" | null | undefined;
        price: {
            deliveryFee?: number | null | undefined;
            tax?: number | null | undefined;
            grabFundPromo?: number | null | undefined;
            merchantFundPromo?: number | null | undefined;
            merchantChargeFee?: number | null | undefined;
            subtotal: number;
        };
        currency: {
            symbol: "RM" | "Rp" | "S$" | "₫" | "฿" | "₱" | "៛" | "K";
            code: "MYR" | "IDR" | "KHR" | "MMK" | "PHP" | "SGD" | "THB" | "VND";
            exponent: number;
        };
        items: {
            specifications?: string | null | undefined;
            modifiers?: {
                id: string;
                quantity: number;
                price: number;
            }[] | null | undefined;
            campaigns?: {
                name?: string | null | undefined;
                id?: string | null | undefined;
                type?: string | null | undefined;
                level?: string | null | undefined;
                freeItem?: {
                    name: string;
                    id: string;
                    quantity: number;
                    price: number;
                } | null | undefined;
                deductedPart?: string | null | undefined;
                usageCount?: number | null | undefined;
                mexFundedRatio?: number | null | undefined;
                deductedAmount?: number | null | undefined;
                appliedItemIDs?: string[] | null | undefined;
            }[] | null | undefined;
            id: string;
            quantity: number;
            price: number;
        }[];
        paymentType: "CASH" | "CASHLESS";
        orderTime: string;
        merchantID: string;
        orderID: string;
        shortOrderNumber: string;
        cutlery: boolean;
        featureFlags: {
            isMexEditOrder?: boolean | null | undefined;
            orderType: "TakeAway" | "DeliveredByGrab" | "DeliveredByRestaurant";
            orderAcceptedType: "MANUAL" | "AUTO";
        };
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    orders: {
        receiver?: {
            name?: string | null | undefined;
            address?: {
                address?: string | null | undefined;
                coordinates?: {
                    latitude?: number | null | undefined;
                    longitude?: number | null | undefined;
                } | null | undefined;
                postcode?: string | null | undefined;
                poiSource?: string | null | undefined;
                unitNumber?: string | null | undefined;
                deliveryInstruction?: string | null | undefined;
                poiID?: string | null | undefined;
            } | null | undefined;
            phones?: string | null | undefined;
        } | null | undefined;
        dineIn?: {
            tableID?: string | null | undefined;
            eaterCount?: number | null | undefined;
        } | null | undefined;
        partnerMerchantID?: string | null | undefined;
        campaigns?: {
            name?: string | null | undefined;
            id?: string | null | undefined;
            type?: string | null | undefined;
            level?: string | null | undefined;
            freeItem?: {
                name: string;
                id: string;
                quantity: number;
                price: number;
            } | null | undefined;
            deductedPart?: string | null | undefined;
            usageCount?: number | null | undefined;
            mexFundedRatio?: number | null | undefined;
            deductedAmount?: number | null | undefined;
            appliedItemIDs?: string[] | null | undefined;
        }[] | null | undefined;
        submitTime?: string | null | undefined;
        completeTime?: string | null | undefined;
        scheduledTime?: string | null | undefined;
        orderReadyEstimation?: {
            newOrderReadyTime?: string | null | undefined;
            allowChange: boolean;
            estimatedOrderReadyTime: string;
            maxOrderReadyTime: string;
        } | null | undefined;
        orderState?: "FAILED" | "DELIVERED" | "CANCELLED" | "ACCEPTED" | "COLLECTED" | "DRIVER_ALLOCATED" | "DRIVER_ARRIVED" | null | undefined;
        price: {
            deliveryFee?: number | null | undefined;
            tax?: number | null | undefined;
            grabFundPromo?: number | null | undefined;
            merchantFundPromo?: number | null | undefined;
            merchantChargeFee?: number | null | undefined;
            subtotal: number;
        };
        currency: {
            symbol: "RM" | "Rp" | "S$" | "₫" | "฿" | "₱" | "៛" | "K";
            code: "MYR" | "IDR" | "KHR" | "MMK" | "PHP" | "SGD" | "THB" | "VND";
            exponent: number;
        };
        items: {
            specifications?: string | null | undefined;
            modifiers?: {
                id: string;
                quantity: number;
                price: number;
            }[] | null | undefined;
            campaigns?: {
                name?: string | null | undefined;
                id?: string | null | undefined;
                type?: string | null | undefined;
                level?: string | null | undefined;
                freeItem?: {
                    name: string;
                    id: string;
                    quantity: number;
                    price: number;
                } | null | undefined;
                deductedPart?: string | null | undefined;
                usageCount?: number | null | undefined;
                mexFundedRatio?: number | null | undefined;
                deductedAmount?: number | null | undefined;
                appliedItemIDs?: string[] | null | undefined;
            }[] | null | undefined;
            id: string;
            quantity: number;
            price: number;
        }[];
        paymentType: "CASH" | "CASHLESS";
        orderTime: string;
        merchantID: string;
        orderID: string;
        shortOrderNumber: string;
        cutlery: boolean;
        featureFlags: {
            isMexEditOrder?: boolean | null | undefined;
            orderType: "TakeAway" | "DeliveredByGrab" | "DeliveredByRestaurant";
            orderAcceptedType: "MANUAL" | "AUTO";
        };
    }[];
    more: boolean;
}, {
    orders: {
        receiver?: {
            name?: string | null | undefined;
            address?: {
                address?: string | null | undefined;
                coordinates?: {
                    latitude?: number | null | undefined;
                    longitude?: number | null | undefined;
                } | null | undefined;
                postcode?: string | null | undefined;
                poiSource?: string | null | undefined;
                unitNumber?: string | null | undefined;
                deliveryInstruction?: string | null | undefined;
                poiID?: string | null | undefined;
            } | null | undefined;
            phones?: string | null | undefined;
        } | null | undefined;
        dineIn?: {
            tableID?: string | null | undefined;
            eaterCount?: number | null | undefined;
        } | null | undefined;
        partnerMerchantID?: string | null | undefined;
        campaigns?: {
            name?: string | null | undefined;
            id?: string | null | undefined;
            type?: string | null | undefined;
            level?: string | null | undefined;
            freeItem?: {
                name: string;
                id: string;
                quantity: number;
                price: number;
            } | null | undefined;
            deductedPart?: string | null | undefined;
            usageCount?: number | null | undefined;
            mexFundedRatio?: number | null | undefined;
            deductedAmount?: number | null | undefined;
            appliedItemIDs?: string[] | null | undefined;
        }[] | null | undefined;
        submitTime?: string | null | undefined;
        completeTime?: string | null | undefined;
        scheduledTime?: string | null | undefined;
        orderReadyEstimation?: {
            newOrderReadyTime?: string | null | undefined;
            allowChange: boolean;
            estimatedOrderReadyTime: string;
            maxOrderReadyTime: string;
        } | null | undefined;
        orderState?: "FAILED" | "DELIVERED" | "CANCELLED" | "ACCEPTED" | "COLLECTED" | "DRIVER_ALLOCATED" | "DRIVER_ARRIVED" | null | undefined;
        price: {
            deliveryFee?: number | null | undefined;
            tax?: number | null | undefined;
            grabFundPromo?: number | null | undefined;
            merchantFundPromo?: number | null | undefined;
            merchantChargeFee?: number | null | undefined;
            subtotal: number;
        };
        currency: {
            symbol: "RM" | "Rp" | "S$" | "₫" | "฿" | "₱" | "៛" | "K";
            code: "MYR" | "IDR" | "KHR" | "MMK" | "PHP" | "SGD" | "THB" | "VND";
            exponent: number;
        };
        items: {
            specifications?: string | null | undefined;
            modifiers?: {
                id: string;
                quantity: number;
                price: number;
            }[] | null | undefined;
            campaigns?: {
                name?: string | null | undefined;
                id?: string | null | undefined;
                type?: string | null | undefined;
                level?: string | null | undefined;
                freeItem?: {
                    name: string;
                    id: string;
                    quantity: number;
                    price: number;
                } | null | undefined;
                deductedPart?: string | null | undefined;
                usageCount?: number | null | undefined;
                mexFundedRatio?: number | null | undefined;
                deductedAmount?: number | null | undefined;
                appliedItemIDs?: string[] | null | undefined;
            }[] | null | undefined;
            id: string;
            quantity: number;
            price: number;
        }[];
        paymentType: "CASH" | "CASHLESS";
        orderTime: string;
        merchantID: string;
        orderID: string;
        shortOrderNumber: string;
        cutlery: boolean;
        featureFlags: {
            isMexEditOrder?: boolean | null | undefined;
            orderType: "TakeAway" | "DeliveredByGrab" | "DeliveredByRestaurant";
            orderAcceptedType: "MANUAL" | "AUTO";
        };
    }[];
    more: boolean;
}>;
declare const GFTempPauseStoreDto: z.ZodObject<{
    merchantID: z.ZodString;
    isPause: z.ZodBoolean;
    duration: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    duration?: string | null | undefined;
    merchantID: string;
    isPause: boolean;
}, {
    duration?: string | null | undefined;
    merchantID: string;
    isPause: boolean;
}>;
declare const GFMarkOrderDto: z.ZodObject<{
    orderID: z.ZodString;
    markStatus: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    orderID: string;
    markStatus: number;
}, {
    orderID: string;
    markStatus: number;
}>;
declare const GFMarkOrderRes: z.ZodObject<{
    target: z.ZodString;
    reason: z.ZodString;
    message: z.ZodString;
}, "strip", z.ZodTypeAny, {
    message: string;
    reason: string;
    target: string;
}, {
    message: string;
    reason: string;
    target: string;
}>;
export declare const GFPushOrderStateDto: z.ZodObject<{
    merchantID: z.ZodString;
    orderID: z.ZodString;
    state: z.ZodEnum<["ACCEPTED", "DRIVER_ALLOCATED", "DRIVER_ARRIVED", "COLLECTED", "DELIVERED", "FAILED", "CANCELLED"]>;
    driverETA: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
    code: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    message: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    code?: string | null | undefined;
    message?: string | null | undefined;
    driverETA?: number | null | undefined;
    state: "FAILED" | "DELIVERED" | "CANCELLED" | "ACCEPTED" | "COLLECTED" | "DRIVER_ALLOCATED" | "DRIVER_ARRIVED";
    merchantID: string;
    orderID: string;
}, {
    code?: string | null | undefined;
    message?: string | null | undefined;
    driverETA?: number | null | undefined;
    state: "FAILED" | "DELIVERED" | "CANCELLED" | "ACCEPTED" | "COLLECTED" | "DRIVER_ALLOCATED" | "DRIVER_ARRIVED";
    merchantID: string;
    orderID: string;
}>;
export declare const GFCampaignQuota: z.ZodObject<{
    totalCount: z.ZodNumber;
    totalCountPerUser: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    totalCount: number;
    totalCountPerUser: number;
}, {
    totalCount: number;
    totalCountPerUser: number;
}>;
export declare const GFCampaignWorkingPeriod: z.ZodObject<{
    startTime: z.ZodString;
    endTime: z.ZodString;
}, "strip", z.ZodTypeAny, {
    startTime: string;
    endTime: string;
}, {
    startTime: string;
    endTime: string;
}>;
export declare const GFCampaignWorkingHour: z.ZodObject<{
    sun: z.ZodArray<z.ZodObject<{
        startTime: z.ZodString;
        endTime: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        startTime: string;
        endTime: string;
    }, {
        startTime: string;
        endTime: string;
    }>, "many">;
    mon: z.ZodArray<z.ZodObject<{
        startTime: z.ZodString;
        endTime: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        startTime: string;
        endTime: string;
    }, {
        startTime: string;
        endTime: string;
    }>, "many">;
    tue: z.ZodArray<z.ZodObject<{
        startTime: z.ZodString;
        endTime: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        startTime: string;
        endTime: string;
    }, {
        startTime: string;
        endTime: string;
    }>, "many">;
    wed: z.ZodArray<z.ZodObject<{
        startTime: z.ZodString;
        endTime: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        startTime: string;
        endTime: string;
    }, {
        startTime: string;
        endTime: string;
    }>, "many">;
    thu: z.ZodArray<z.ZodObject<{
        startTime: z.ZodString;
        endTime: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        startTime: string;
        endTime: string;
    }, {
        startTime: string;
        endTime: string;
    }>, "many">;
    fri: z.ZodArray<z.ZodObject<{
        startTime: z.ZodString;
        endTime: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        startTime: string;
        endTime: string;
    }, {
        startTime: string;
        endTime: string;
    }>, "many">;
    sat: z.ZodArray<z.ZodObject<{
        startTime: z.ZodString;
        endTime: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        startTime: string;
        endTime: string;
    }, {
        startTime: string;
        endTime: string;
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    sun: {
        startTime: string;
        endTime: string;
    }[];
    mon: {
        startTime: string;
        endTime: string;
    }[];
    tue: {
        startTime: string;
        endTime: string;
    }[];
    wed: {
        startTime: string;
        endTime: string;
    }[];
    thu: {
        startTime: string;
        endTime: string;
    }[];
    fri: {
        startTime: string;
        endTime: string;
    }[];
    sat: {
        startTime: string;
        endTime: string;
    }[];
}, {
    sun: {
        startTime: string;
        endTime: string;
    }[];
    mon: {
        startTime: string;
        endTime: string;
    }[];
    tue: {
        startTime: string;
        endTime: string;
    }[];
    wed: {
        startTime: string;
        endTime: string;
    }[];
    thu: {
        startTime: string;
        endTime: string;
    }[];
    fri: {
        startTime: string;
        endTime: string;
    }[];
    sat: {
        startTime: string;
        endTime: string;
    }[];
}>;
export declare const GFCampaignCondition: z.ZodObject<{
    startTime: z.ZodString;
    endTime: z.ZodString;
    eaterType: z.ZodString;
    minBasketAmount: z.ZodNumber;
    workingHour: z.ZodObject<{
        sun: z.ZodArray<z.ZodObject<{
            startTime: z.ZodString;
            endTime: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            startTime: string;
            endTime: string;
        }, {
            startTime: string;
            endTime: string;
        }>, "many">;
        mon: z.ZodArray<z.ZodObject<{
            startTime: z.ZodString;
            endTime: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            startTime: string;
            endTime: string;
        }, {
            startTime: string;
            endTime: string;
        }>, "many">;
        tue: z.ZodArray<z.ZodObject<{
            startTime: z.ZodString;
            endTime: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            startTime: string;
            endTime: string;
        }, {
            startTime: string;
            endTime: string;
        }>, "many">;
        wed: z.ZodArray<z.ZodObject<{
            startTime: z.ZodString;
            endTime: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            startTime: string;
            endTime: string;
        }, {
            startTime: string;
            endTime: string;
        }>, "many">;
        thu: z.ZodArray<z.ZodObject<{
            startTime: z.ZodString;
            endTime: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            startTime: string;
            endTime: string;
        }, {
            startTime: string;
            endTime: string;
        }>, "many">;
        fri: z.ZodArray<z.ZodObject<{
            startTime: z.ZodString;
            endTime: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            startTime: string;
            endTime: string;
        }, {
            startTime: string;
            endTime: string;
        }>, "many">;
        sat: z.ZodArray<z.ZodObject<{
            startTime: z.ZodString;
            endTime: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            startTime: string;
            endTime: string;
        }, {
            startTime: string;
            endTime: string;
        }>, "many">;
    }, "strip", z.ZodTypeAny, {
        sun: {
            startTime: string;
            endTime: string;
        }[];
        mon: {
            startTime: string;
            endTime: string;
        }[];
        tue: {
            startTime: string;
            endTime: string;
        }[];
        wed: {
            startTime: string;
            endTime: string;
        }[];
        thu: {
            startTime: string;
            endTime: string;
        }[];
        fri: {
            startTime: string;
            endTime: string;
        }[];
        sat: {
            startTime: string;
            endTime: string;
        }[];
    }, {
        sun: {
            startTime: string;
            endTime: string;
        }[];
        mon: {
            startTime: string;
            endTime: string;
        }[];
        tue: {
            startTime: string;
            endTime: string;
        }[];
        wed: {
            startTime: string;
            endTime: string;
        }[];
        thu: {
            startTime: string;
            endTime: string;
        }[];
        fri: {
            startTime: string;
            endTime: string;
        }[];
        sat: {
            startTime: string;
            endTime: string;
        }[];
    }>;
}, "strip", z.ZodTypeAny, {
    startTime: string;
    endTime: string;
    eaterType: string;
    minBasketAmount: number;
    workingHour: {
        sun: {
            startTime: string;
            endTime: string;
        }[];
        mon: {
            startTime: string;
            endTime: string;
        }[];
        tue: {
            startTime: string;
            endTime: string;
        }[];
        wed: {
            startTime: string;
            endTime: string;
        }[];
        thu: {
            startTime: string;
            endTime: string;
        }[];
        fri: {
            startTime: string;
            endTime: string;
        }[];
        sat: {
            startTime: string;
            endTime: string;
        }[];
    };
}, {
    startTime: string;
    endTime: string;
    eaterType: string;
    minBasketAmount: number;
    workingHour: {
        sun: {
            startTime: string;
            endTime: string;
        }[];
        mon: {
            startTime: string;
            endTime: string;
        }[];
        tue: {
            startTime: string;
            endTime: string;
        }[];
        wed: {
            startTime: string;
            endTime: string;
        }[];
        thu: {
            startTime: string;
            endTime: string;
        }[];
        fri: {
            startTime: string;
            endTime: string;
        }[];
        sat: {
            startTime: string;
            endTime: string;
        }[];
    };
}>;
export declare const GFCampaignScope: z.ZodObject<{
    type: z.ZodString;
    objectIDs: z.ZodArray<z.ZodString, "many">;
}, "strip", z.ZodTypeAny, {
    type: string;
    objectIDs: string[];
}, {
    type: string;
    objectIDs: string[];
}>;
export declare const GFCampaignDiscount: z.ZodObject<{
    type: z.ZodString;
    cap: z.ZodNumber;
    value: z.ZodNumber;
    scope: z.ZodObject<{
        type: z.ZodString;
        objectIDs: z.ZodArray<z.ZodString, "many">;
    }, "strip", z.ZodTypeAny, {
        type: string;
        objectIDs: string[];
    }, {
        type: string;
        objectIDs: string[];
    }>;
}, "strip", z.ZodTypeAny, {
    type: string;
    value: number;
    scope: {
        type: string;
        objectIDs: string[];
    };
    cap: number;
}, {
    type: string;
    value: number;
    scope: {
        type: string;
        objectIDs: string[];
    };
    cap: number;
}>;
export declare const GFCampaign: z.ZodObject<{
    id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    merchantID: z.ZodString;
    name: z.ZodString;
    quotas: z.ZodObject<{
        totalCount: z.ZodNumber;
        totalCountPerUser: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        totalCount: number;
        totalCountPerUser: number;
    }, {
        totalCount: number;
        totalCountPerUser: number;
    }>;
    conditions: z.ZodObject<{
        startTime: z.ZodString;
        endTime: z.ZodString;
        eaterType: z.ZodString;
        minBasketAmount: z.ZodNumber;
        workingHour: z.ZodObject<{
            sun: z.ZodArray<z.ZodObject<{
                startTime: z.ZodString;
                endTime: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                startTime: string;
                endTime: string;
            }, {
                startTime: string;
                endTime: string;
            }>, "many">;
            mon: z.ZodArray<z.ZodObject<{
                startTime: z.ZodString;
                endTime: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                startTime: string;
                endTime: string;
            }, {
                startTime: string;
                endTime: string;
            }>, "many">;
            tue: z.ZodArray<z.ZodObject<{
                startTime: z.ZodString;
                endTime: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                startTime: string;
                endTime: string;
            }, {
                startTime: string;
                endTime: string;
            }>, "many">;
            wed: z.ZodArray<z.ZodObject<{
                startTime: z.ZodString;
                endTime: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                startTime: string;
                endTime: string;
            }, {
                startTime: string;
                endTime: string;
            }>, "many">;
            thu: z.ZodArray<z.ZodObject<{
                startTime: z.ZodString;
                endTime: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                startTime: string;
                endTime: string;
            }, {
                startTime: string;
                endTime: string;
            }>, "many">;
            fri: z.ZodArray<z.ZodObject<{
                startTime: z.ZodString;
                endTime: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                startTime: string;
                endTime: string;
            }, {
                startTime: string;
                endTime: string;
            }>, "many">;
            sat: z.ZodArray<z.ZodObject<{
                startTime: z.ZodString;
                endTime: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                startTime: string;
                endTime: string;
            }, {
                startTime: string;
                endTime: string;
            }>, "many">;
        }, "strip", z.ZodTypeAny, {
            sun: {
                startTime: string;
                endTime: string;
            }[];
            mon: {
                startTime: string;
                endTime: string;
            }[];
            tue: {
                startTime: string;
                endTime: string;
            }[];
            wed: {
                startTime: string;
                endTime: string;
            }[];
            thu: {
                startTime: string;
                endTime: string;
            }[];
            fri: {
                startTime: string;
                endTime: string;
            }[];
            sat: {
                startTime: string;
                endTime: string;
            }[];
        }, {
            sun: {
                startTime: string;
                endTime: string;
            }[];
            mon: {
                startTime: string;
                endTime: string;
            }[];
            tue: {
                startTime: string;
                endTime: string;
            }[];
            wed: {
                startTime: string;
                endTime: string;
            }[];
            thu: {
                startTime: string;
                endTime: string;
            }[];
            fri: {
                startTime: string;
                endTime: string;
            }[];
            sat: {
                startTime: string;
                endTime: string;
            }[];
        }>;
    }, "strip", z.ZodTypeAny, {
        startTime: string;
        endTime: string;
        eaterType: string;
        minBasketAmount: number;
        workingHour: {
            sun: {
                startTime: string;
                endTime: string;
            }[];
            mon: {
                startTime: string;
                endTime: string;
            }[];
            tue: {
                startTime: string;
                endTime: string;
            }[];
            wed: {
                startTime: string;
                endTime: string;
            }[];
            thu: {
                startTime: string;
                endTime: string;
            }[];
            fri: {
                startTime: string;
                endTime: string;
            }[];
            sat: {
                startTime: string;
                endTime: string;
            }[];
        };
    }, {
        startTime: string;
        endTime: string;
        eaterType: string;
        minBasketAmount: number;
        workingHour: {
            sun: {
                startTime: string;
                endTime: string;
            }[];
            mon: {
                startTime: string;
                endTime: string;
            }[];
            tue: {
                startTime: string;
                endTime: string;
            }[];
            wed: {
                startTime: string;
                endTime: string;
            }[];
            thu: {
                startTime: string;
                endTime: string;
            }[];
            fri: {
                startTime: string;
                endTime: string;
            }[];
            sat: {
                startTime: string;
                endTime: string;
            }[];
        };
    }>;
    discount: z.ZodObject<{
        type: z.ZodString;
        cap: z.ZodNumber;
        value: z.ZodNumber;
        scope: z.ZodObject<{
            type: z.ZodString;
            objectIDs: z.ZodArray<z.ZodString, "many">;
        }, "strip", z.ZodTypeAny, {
            type: string;
            objectIDs: string[];
        }, {
            type: string;
            objectIDs: string[];
        }>;
    }, "strip", z.ZodTypeAny, {
        type: string;
        value: number;
        scope: {
            type: string;
            objectIDs: string[];
        };
        cap: number;
    }, {
        type: string;
        value: number;
        scope: {
            type: string;
            objectIDs: string[];
        };
        cap: number;
    }>;
}, "strip", z.ZodTypeAny, {
    id?: string | null | undefined;
    name: string;
    discount: {
        type: string;
        value: number;
        scope: {
            type: string;
            objectIDs: string[];
        };
        cap: number;
    };
    merchantID: string;
    quotas: {
        totalCount: number;
        totalCountPerUser: number;
    };
    conditions: {
        startTime: string;
        endTime: string;
        eaterType: string;
        minBasketAmount: number;
        workingHour: {
            sun: {
                startTime: string;
                endTime: string;
            }[];
            mon: {
                startTime: string;
                endTime: string;
            }[];
            tue: {
                startTime: string;
                endTime: string;
            }[];
            wed: {
                startTime: string;
                endTime: string;
            }[];
            thu: {
                startTime: string;
                endTime: string;
            }[];
            fri: {
                startTime: string;
                endTime: string;
            }[];
            sat: {
                startTime: string;
                endTime: string;
            }[];
        };
    };
}, {
    id?: string | null | undefined;
    name: string;
    discount: {
        type: string;
        value: number;
        scope: {
            type: string;
            objectIDs: string[];
        };
        cap: number;
    };
    merchantID: string;
    quotas: {
        totalCount: number;
        totalCountPerUser: number;
    };
    conditions: {
        startTime: string;
        endTime: string;
        eaterType: string;
        minBasketAmount: number;
        workingHour: {
            sun: {
                startTime: string;
                endTime: string;
            }[];
            mon: {
                startTime: string;
                endTime: string;
            }[];
            tue: {
                startTime: string;
                endTime: string;
            }[];
            wed: {
                startTime: string;
                endTime: string;
            }[];
            thu: {
                startTime: string;
                endTime: string;
            }[];
            fri: {
                startTime: string;
                endTime: string;
            }[];
            sat: {
                startTime: string;
                endTime: string;
            }[];
        };
    };
}>;
declare const GFListDiscountCampaignRes: z.ZodObject<{
    ongoing: z.ZodArray<z.ZodObject<{
        id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        merchantID: z.ZodString;
        name: z.ZodString;
        quotas: z.ZodObject<{
            totalCount: z.ZodNumber;
            totalCountPerUser: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            totalCount: number;
            totalCountPerUser: number;
        }, {
            totalCount: number;
            totalCountPerUser: number;
        }>;
        conditions: z.ZodObject<{
            startTime: z.ZodString;
            endTime: z.ZodString;
            eaterType: z.ZodString;
            minBasketAmount: z.ZodNumber;
            workingHour: z.ZodObject<{
                sun: z.ZodArray<z.ZodObject<{
                    startTime: z.ZodString;
                    endTime: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    startTime: string;
                    endTime: string;
                }, {
                    startTime: string;
                    endTime: string;
                }>, "many">;
                mon: z.ZodArray<z.ZodObject<{
                    startTime: z.ZodString;
                    endTime: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    startTime: string;
                    endTime: string;
                }, {
                    startTime: string;
                    endTime: string;
                }>, "many">;
                tue: z.ZodArray<z.ZodObject<{
                    startTime: z.ZodString;
                    endTime: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    startTime: string;
                    endTime: string;
                }, {
                    startTime: string;
                    endTime: string;
                }>, "many">;
                wed: z.ZodArray<z.ZodObject<{
                    startTime: z.ZodString;
                    endTime: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    startTime: string;
                    endTime: string;
                }, {
                    startTime: string;
                    endTime: string;
                }>, "many">;
                thu: z.ZodArray<z.ZodObject<{
                    startTime: z.ZodString;
                    endTime: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    startTime: string;
                    endTime: string;
                }, {
                    startTime: string;
                    endTime: string;
                }>, "many">;
                fri: z.ZodArray<z.ZodObject<{
                    startTime: z.ZodString;
                    endTime: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    startTime: string;
                    endTime: string;
                }, {
                    startTime: string;
                    endTime: string;
                }>, "many">;
                sat: z.ZodArray<z.ZodObject<{
                    startTime: z.ZodString;
                    endTime: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    startTime: string;
                    endTime: string;
                }, {
                    startTime: string;
                    endTime: string;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                sun: {
                    startTime: string;
                    endTime: string;
                }[];
                mon: {
                    startTime: string;
                    endTime: string;
                }[];
                tue: {
                    startTime: string;
                    endTime: string;
                }[];
                wed: {
                    startTime: string;
                    endTime: string;
                }[];
                thu: {
                    startTime: string;
                    endTime: string;
                }[];
                fri: {
                    startTime: string;
                    endTime: string;
                }[];
                sat: {
                    startTime: string;
                    endTime: string;
                }[];
            }, {
                sun: {
                    startTime: string;
                    endTime: string;
                }[];
                mon: {
                    startTime: string;
                    endTime: string;
                }[];
                tue: {
                    startTime: string;
                    endTime: string;
                }[];
                wed: {
                    startTime: string;
                    endTime: string;
                }[];
                thu: {
                    startTime: string;
                    endTime: string;
                }[];
                fri: {
                    startTime: string;
                    endTime: string;
                }[];
                sat: {
                    startTime: string;
                    endTime: string;
                }[];
            }>;
        }, "strip", z.ZodTypeAny, {
            startTime: string;
            endTime: string;
            eaterType: string;
            minBasketAmount: number;
            workingHour: {
                sun: {
                    startTime: string;
                    endTime: string;
                }[];
                mon: {
                    startTime: string;
                    endTime: string;
                }[];
                tue: {
                    startTime: string;
                    endTime: string;
                }[];
                wed: {
                    startTime: string;
                    endTime: string;
                }[];
                thu: {
                    startTime: string;
                    endTime: string;
                }[];
                fri: {
                    startTime: string;
                    endTime: string;
                }[];
                sat: {
                    startTime: string;
                    endTime: string;
                }[];
            };
        }, {
            startTime: string;
            endTime: string;
            eaterType: string;
            minBasketAmount: number;
            workingHour: {
                sun: {
                    startTime: string;
                    endTime: string;
                }[];
                mon: {
                    startTime: string;
                    endTime: string;
                }[];
                tue: {
                    startTime: string;
                    endTime: string;
                }[];
                wed: {
                    startTime: string;
                    endTime: string;
                }[];
                thu: {
                    startTime: string;
                    endTime: string;
                }[];
                fri: {
                    startTime: string;
                    endTime: string;
                }[];
                sat: {
                    startTime: string;
                    endTime: string;
                }[];
            };
        }>;
        discount: z.ZodObject<{
            type: z.ZodString;
            cap: z.ZodNumber;
            value: z.ZodNumber;
            scope: z.ZodObject<{
                type: z.ZodString;
                objectIDs: z.ZodArray<z.ZodString, "many">;
            }, "strip", z.ZodTypeAny, {
                type: string;
                objectIDs: string[];
            }, {
                type: string;
                objectIDs: string[];
            }>;
        }, "strip", z.ZodTypeAny, {
            type: string;
            value: number;
            scope: {
                type: string;
                objectIDs: string[];
            };
            cap: number;
        }, {
            type: string;
            value: number;
            scope: {
                type: string;
                objectIDs: string[];
            };
            cap: number;
        }>;
    }, "strip", z.ZodTypeAny, {
        id?: string | null | undefined;
        name: string;
        discount: {
            type: string;
            value: number;
            scope: {
                type: string;
                objectIDs: string[];
            };
            cap: number;
        };
        merchantID: string;
        quotas: {
            totalCount: number;
            totalCountPerUser: number;
        };
        conditions: {
            startTime: string;
            endTime: string;
            eaterType: string;
            minBasketAmount: number;
            workingHour: {
                sun: {
                    startTime: string;
                    endTime: string;
                }[];
                mon: {
                    startTime: string;
                    endTime: string;
                }[];
                tue: {
                    startTime: string;
                    endTime: string;
                }[];
                wed: {
                    startTime: string;
                    endTime: string;
                }[];
                thu: {
                    startTime: string;
                    endTime: string;
                }[];
                fri: {
                    startTime: string;
                    endTime: string;
                }[];
                sat: {
                    startTime: string;
                    endTime: string;
                }[];
            };
        };
    }, {
        id?: string | null | undefined;
        name: string;
        discount: {
            type: string;
            value: number;
            scope: {
                type: string;
                objectIDs: string[];
            };
            cap: number;
        };
        merchantID: string;
        quotas: {
            totalCount: number;
            totalCountPerUser: number;
        };
        conditions: {
            startTime: string;
            endTime: string;
            eaterType: string;
            minBasketAmount: number;
            workingHour: {
                sun: {
                    startTime: string;
                    endTime: string;
                }[];
                mon: {
                    startTime: string;
                    endTime: string;
                }[];
                tue: {
                    startTime: string;
                    endTime: string;
                }[];
                wed: {
                    startTime: string;
                    endTime: string;
                }[];
                thu: {
                    startTime: string;
                    endTime: string;
                }[];
                fri: {
                    startTime: string;
                    endTime: string;
                }[];
                sat: {
                    startTime: string;
                    endTime: string;
                }[];
            };
        };
    }>, "many">;
    upcoming: z.ZodArray<z.ZodObject<{
        id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        merchantID: z.ZodString;
        name: z.ZodString;
        quotas: z.ZodObject<{
            totalCount: z.ZodNumber;
            totalCountPerUser: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            totalCount: number;
            totalCountPerUser: number;
        }, {
            totalCount: number;
            totalCountPerUser: number;
        }>;
        conditions: z.ZodObject<{
            startTime: z.ZodString;
            endTime: z.ZodString;
            eaterType: z.ZodString;
            minBasketAmount: z.ZodNumber;
            workingHour: z.ZodObject<{
                sun: z.ZodArray<z.ZodObject<{
                    startTime: z.ZodString;
                    endTime: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    startTime: string;
                    endTime: string;
                }, {
                    startTime: string;
                    endTime: string;
                }>, "many">;
                mon: z.ZodArray<z.ZodObject<{
                    startTime: z.ZodString;
                    endTime: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    startTime: string;
                    endTime: string;
                }, {
                    startTime: string;
                    endTime: string;
                }>, "many">;
                tue: z.ZodArray<z.ZodObject<{
                    startTime: z.ZodString;
                    endTime: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    startTime: string;
                    endTime: string;
                }, {
                    startTime: string;
                    endTime: string;
                }>, "many">;
                wed: z.ZodArray<z.ZodObject<{
                    startTime: z.ZodString;
                    endTime: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    startTime: string;
                    endTime: string;
                }, {
                    startTime: string;
                    endTime: string;
                }>, "many">;
                thu: z.ZodArray<z.ZodObject<{
                    startTime: z.ZodString;
                    endTime: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    startTime: string;
                    endTime: string;
                }, {
                    startTime: string;
                    endTime: string;
                }>, "many">;
                fri: z.ZodArray<z.ZodObject<{
                    startTime: z.ZodString;
                    endTime: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    startTime: string;
                    endTime: string;
                }, {
                    startTime: string;
                    endTime: string;
                }>, "many">;
                sat: z.ZodArray<z.ZodObject<{
                    startTime: z.ZodString;
                    endTime: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    startTime: string;
                    endTime: string;
                }, {
                    startTime: string;
                    endTime: string;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                sun: {
                    startTime: string;
                    endTime: string;
                }[];
                mon: {
                    startTime: string;
                    endTime: string;
                }[];
                tue: {
                    startTime: string;
                    endTime: string;
                }[];
                wed: {
                    startTime: string;
                    endTime: string;
                }[];
                thu: {
                    startTime: string;
                    endTime: string;
                }[];
                fri: {
                    startTime: string;
                    endTime: string;
                }[];
                sat: {
                    startTime: string;
                    endTime: string;
                }[];
            }, {
                sun: {
                    startTime: string;
                    endTime: string;
                }[];
                mon: {
                    startTime: string;
                    endTime: string;
                }[];
                tue: {
                    startTime: string;
                    endTime: string;
                }[];
                wed: {
                    startTime: string;
                    endTime: string;
                }[];
                thu: {
                    startTime: string;
                    endTime: string;
                }[];
                fri: {
                    startTime: string;
                    endTime: string;
                }[];
                sat: {
                    startTime: string;
                    endTime: string;
                }[];
            }>;
        }, "strip", z.ZodTypeAny, {
            startTime: string;
            endTime: string;
            eaterType: string;
            minBasketAmount: number;
            workingHour: {
                sun: {
                    startTime: string;
                    endTime: string;
                }[];
                mon: {
                    startTime: string;
                    endTime: string;
                }[];
                tue: {
                    startTime: string;
                    endTime: string;
                }[];
                wed: {
                    startTime: string;
                    endTime: string;
                }[];
                thu: {
                    startTime: string;
                    endTime: string;
                }[];
                fri: {
                    startTime: string;
                    endTime: string;
                }[];
                sat: {
                    startTime: string;
                    endTime: string;
                }[];
            };
        }, {
            startTime: string;
            endTime: string;
            eaterType: string;
            minBasketAmount: number;
            workingHour: {
                sun: {
                    startTime: string;
                    endTime: string;
                }[];
                mon: {
                    startTime: string;
                    endTime: string;
                }[];
                tue: {
                    startTime: string;
                    endTime: string;
                }[];
                wed: {
                    startTime: string;
                    endTime: string;
                }[];
                thu: {
                    startTime: string;
                    endTime: string;
                }[];
                fri: {
                    startTime: string;
                    endTime: string;
                }[];
                sat: {
                    startTime: string;
                    endTime: string;
                }[];
            };
        }>;
        discount: z.ZodObject<{
            type: z.ZodString;
            cap: z.ZodNumber;
            value: z.ZodNumber;
            scope: z.ZodObject<{
                type: z.ZodString;
                objectIDs: z.ZodArray<z.ZodString, "many">;
            }, "strip", z.ZodTypeAny, {
                type: string;
                objectIDs: string[];
            }, {
                type: string;
                objectIDs: string[];
            }>;
        }, "strip", z.ZodTypeAny, {
            type: string;
            value: number;
            scope: {
                type: string;
                objectIDs: string[];
            };
            cap: number;
        }, {
            type: string;
            value: number;
            scope: {
                type: string;
                objectIDs: string[];
            };
            cap: number;
        }>;
    }, "strip", z.ZodTypeAny, {
        id?: string | null | undefined;
        name: string;
        discount: {
            type: string;
            value: number;
            scope: {
                type: string;
                objectIDs: string[];
            };
            cap: number;
        };
        merchantID: string;
        quotas: {
            totalCount: number;
            totalCountPerUser: number;
        };
        conditions: {
            startTime: string;
            endTime: string;
            eaterType: string;
            minBasketAmount: number;
            workingHour: {
                sun: {
                    startTime: string;
                    endTime: string;
                }[];
                mon: {
                    startTime: string;
                    endTime: string;
                }[];
                tue: {
                    startTime: string;
                    endTime: string;
                }[];
                wed: {
                    startTime: string;
                    endTime: string;
                }[];
                thu: {
                    startTime: string;
                    endTime: string;
                }[];
                fri: {
                    startTime: string;
                    endTime: string;
                }[];
                sat: {
                    startTime: string;
                    endTime: string;
                }[];
            };
        };
    }, {
        id?: string | null | undefined;
        name: string;
        discount: {
            type: string;
            value: number;
            scope: {
                type: string;
                objectIDs: string[];
            };
            cap: number;
        };
        merchantID: string;
        quotas: {
            totalCount: number;
            totalCountPerUser: number;
        };
        conditions: {
            startTime: string;
            endTime: string;
            eaterType: string;
            minBasketAmount: number;
            workingHour: {
                sun: {
                    startTime: string;
                    endTime: string;
                }[];
                mon: {
                    startTime: string;
                    endTime: string;
                }[];
                tue: {
                    startTime: string;
                    endTime: string;
                }[];
                wed: {
                    startTime: string;
                    endTime: string;
                }[];
                thu: {
                    startTime: string;
                    endTime: string;
                }[];
                fri: {
                    startTime: string;
                    endTime: string;
                }[];
                sat: {
                    startTime: string;
                    endTime: string;
                }[];
            };
        };
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    ongoing: {
        id?: string | null | undefined;
        name: string;
        discount: {
            type: string;
            value: number;
            scope: {
                type: string;
                objectIDs: string[];
            };
            cap: number;
        };
        merchantID: string;
        quotas: {
            totalCount: number;
            totalCountPerUser: number;
        };
        conditions: {
            startTime: string;
            endTime: string;
            eaterType: string;
            minBasketAmount: number;
            workingHour: {
                sun: {
                    startTime: string;
                    endTime: string;
                }[];
                mon: {
                    startTime: string;
                    endTime: string;
                }[];
                tue: {
                    startTime: string;
                    endTime: string;
                }[];
                wed: {
                    startTime: string;
                    endTime: string;
                }[];
                thu: {
                    startTime: string;
                    endTime: string;
                }[];
                fri: {
                    startTime: string;
                    endTime: string;
                }[];
                sat: {
                    startTime: string;
                    endTime: string;
                }[];
            };
        };
    }[];
    upcoming: {
        id?: string | null | undefined;
        name: string;
        discount: {
            type: string;
            value: number;
            scope: {
                type: string;
                objectIDs: string[];
            };
            cap: number;
        };
        merchantID: string;
        quotas: {
            totalCount: number;
            totalCountPerUser: number;
        };
        conditions: {
            startTime: string;
            endTime: string;
            eaterType: string;
            minBasketAmount: number;
            workingHour: {
                sun: {
                    startTime: string;
                    endTime: string;
                }[];
                mon: {
                    startTime: string;
                    endTime: string;
                }[];
                tue: {
                    startTime: string;
                    endTime: string;
                }[];
                wed: {
                    startTime: string;
                    endTime: string;
                }[];
                thu: {
                    startTime: string;
                    endTime: string;
                }[];
                fri: {
                    startTime: string;
                    endTime: string;
                }[];
                sat: {
                    startTime: string;
                    endTime: string;
                }[];
            };
        };
    }[];
}, {
    ongoing: {
        id?: string | null | undefined;
        name: string;
        discount: {
            type: string;
            value: number;
            scope: {
                type: string;
                objectIDs: string[];
            };
            cap: number;
        };
        merchantID: string;
        quotas: {
            totalCount: number;
            totalCountPerUser: number;
        };
        conditions: {
            startTime: string;
            endTime: string;
            eaterType: string;
            minBasketAmount: number;
            workingHour: {
                sun: {
                    startTime: string;
                    endTime: string;
                }[];
                mon: {
                    startTime: string;
                    endTime: string;
                }[];
                tue: {
                    startTime: string;
                    endTime: string;
                }[];
                wed: {
                    startTime: string;
                    endTime: string;
                }[];
                thu: {
                    startTime: string;
                    endTime: string;
                }[];
                fri: {
                    startTime: string;
                    endTime: string;
                }[];
                sat: {
                    startTime: string;
                    endTime: string;
                }[];
            };
        };
    }[];
    upcoming: {
        id?: string | null | undefined;
        name: string;
        discount: {
            type: string;
            value: number;
            scope: {
                type: string;
                objectIDs: string[];
            };
            cap: number;
        };
        merchantID: string;
        quotas: {
            totalCount: number;
            totalCountPerUser: number;
        };
        conditions: {
            startTime: string;
            endTime: string;
            eaterType: string;
            minBasketAmount: number;
            workingHour: {
                sun: {
                    startTime: string;
                    endTime: string;
                }[];
                mon: {
                    startTime: string;
                    endTime: string;
                }[];
                tue: {
                    startTime: string;
                    endTime: string;
                }[];
                wed: {
                    startTime: string;
                    endTime: string;
                }[];
                thu: {
                    startTime: string;
                    endTime: string;
                }[];
                fri: {
                    startTime: string;
                    endTime: string;
                }[];
                sat: {
                    startTime: string;
                    endTime: string;
                }[];
            };
        };
    }[];
}>;
export type GFListDiscountCampaignRes = z.infer<typeof GFListDiscountCampaignRes>;
export declare const FdtoGrabfoodSyncDataDto: z.ZodObject<{
    requestID: z.ZodString;
    merchantID: z.ZodString;
    partnerMerchantID: z.ZodString;
    jobID: z.ZodString;
    updatedAt: z.ZodString;
    status: z.ZodString;
    errors: z.ZodNullable<z.ZodArray<z.ZodNullable<z.ZodString>, "many">>;
}, "strip", z.ZodTypeAny, {
    status: string;
    updatedAt: string;
    partnerMerchantID: string;
    merchantID: string;
    requestID: string;
    jobID: string;
    errors: (string | null)[] | null;
}, {
    status: string;
    updatedAt: string;
    partnerMerchantID: string;
    merchantID: string;
    requestID: string;
    jobID: string;
    errors: (string | null)[] | null;
}>;
export declare const FdtoGrabfoodGetIntegrationUrl: z.ZodObject<{
    partner: z.ZodObject<{
        merchantID: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        merchantID: string;
    }, {
        merchantID: string;
    }>;
}, "strip", z.ZodTypeAny, {
    partner: {
        merchantID: string;
    };
}, {
    partner: {
        merchantID: string;
    };
}>;
export declare const FdtoGrabfoodIntegrationUrlResp: z.ZodObject<{
    activationUrl: z.ZodString;
}, "strip", z.ZodTypeAny, {
    activationUrl: string;
}, {
    activationUrl: string;
}>;
export declare const FdtoGrabfoodIntegrationStatusDto: z.ZodObject<{
    partnerMerchantID: z.ZodString;
    grabMerchantID: z.ZodString;
    integrationStatus: z.ZodEnum<["INACTIVE", "ACTIVE", "SYNCING", "FAILED"]>;
}, "strip", z.ZodTypeAny, {
    partnerMerchantID: string;
    grabMerchantID: string;
    integrationStatus: "FAILED" | "ACTIVE" | "INACTIVE" | "SYNCING";
}, {
    partnerMerchantID: string;
    grabMerchantID: string;
    integrationStatus: "FAILED" | "ACTIVE" | "INACTIVE" | "SYNCING";
}>;
export type FdtoGrabfoodIntegrationStatusDto = z.infer<typeof FdtoGrabfoodIntegrationStatusDto>;
export type FdtoGrabfoodIntegrationUrlResp = z.infer<typeof FdtoGrabfoodIntegrationUrlResp>;
export type FdtoGrabfoodGetIntegrationUrl = z.infer<typeof FdtoGrabfoodGetIntegrationUrl>;
export type GFCampaignQuota = z.infer<typeof GFCampaignQuota>;
export type GFCampaignWorkingPeriod = z.infer<typeof GFCampaignWorkingPeriod>;
export type GFCampaignWorkingHour = z.infer<typeof GFCampaignWorkingHour>;
export type GFCampaignCondition = z.infer<typeof GFCampaignCondition>;
export type GFCampaignScope = z.infer<typeof GFCampaignScope>;
export type GFCampaignDiscount = z.infer<typeof GFCampaignDiscount>;
export type GFCampaign = z.infer<typeof GFCampaign>;
export type GFPushOrderStateDto = z.infer<typeof GFPushOrderStateDto>;
export type GFMarkOrderDto = z.infer<typeof GFMarkOrderDto>;
export type GFMarkOrderRes = z.infer<typeof GFMarkOrderRes>;
export type GFListOrdersRes = z.infer<typeof GFListOrdersRes>;
export type GFTempPauseStoreDto = z.infer<typeof GFTempPauseStoreDto>;
export type GFAcceptOrRejectGFOrderDto = z.infer<typeof GFAcceptOrRejectGFOrderDto>;
export type GFUpdateMenuModifierDto = z.infer<typeof GFUpdateMenuModifierDto>;
export type GFReportDeliveryDto = z.infer<typeof GFReportDeliveryDto>;
export type GFListOrdersDto = z.infer<typeof GFListOrdersDto>;
export type GFUpdateMenuItemDto = z.infer<typeof GFUpdateMenuItemDto>;
export type GFConfig = z.infer<typeof GFConfig>;
export type GFLoginRes = z.infer<typeof GFLoginRes>;
export type GFLoginReq = z.infer<typeof GFLoginReq>;
export type GFBatchUpdateMenuDto = z.infer<typeof GFBatchUpdateMenuDto>;
export type FdtoGrabfoodCampaignWorkingPeriod = z.infer<typeof FdtoGrabfoodCampaignWorkingPeriod>;
export type FdtoGrabfoodCampaignWorkingHour = z.infer<typeof FdtoGrabfoodCampaignWorkingHour>;
export type FdtoGrabfoodCampaignCondition = z.infer<typeof FdtoGrabfoodCampaignCondition>;
export type FdtoGrabfoodCampaignScope = z.infer<typeof FdtoGrabfoodCampaignScope>;
export type FdtoGrabfoodCampaignDiscount = z.infer<typeof FdtoGrabfoodCampaignDiscount>;
export type FdtoGrabfoodCampaign = z.infer<typeof FdtoGrabfoodCampaign>;
export type FdtoGrabfoodListDiscountCampaignRes = z.infer<typeof FdtoGrabfoodListDiscountCampaignRes>;
export type FdtoGrabfoodCreateOrUpdateSettings = z.infer<typeof FdtoGrabfoodCreateOrUpdateSettings>;
export type FdtoGrabfoodUpdateMenuItem = z.infer<typeof FdtoGrabfoodUpdateMenuItem>;
export type FdtoGrabfoodSyncDataDto = z.infer<typeof FdtoGrabfoodSyncDataDto>;
export {};
