import { z } from "zod";
export declare const ColorSchemeSettingsDto: z.ZodObject<{
    primary: z.ZodString;
    base: z.ZodString;
    dark: z.ZodString;
    backgroundColor: z.ZodString;
    baseColor: z.ZodString;
    bannerColor: z.ZodString;
    typoPrimary: z.ZodString;
    typoSecondary: z.ZodString;
    typoTertiary: z.ZodString;
    typoDisabled: z.ZodString;
    typoError: z.ZodString;
    systemError: z.ZodString;
    systemSuccess: z.ZodString;
    dividerColor: z.ZodString;
    buttonPrimary: z.ZodString;
    typoButtonPrimary: z.ZodString;
    buttonSecondary: z.ZodString;
    typoButtonSecondary: z.ZodString;
    buttonTertiary: z.ZodString;
    typoButtonTertiary: z.ZodString;
    buttonPrimaryChip: z.ZodString;
}, "strip", z.ZodTypeAny, {
    base: string;
    primary: string;
    dark: string;
    backgroundColor: string;
    baseColor: string;
    bannerColor: string;
    typoPrimary: string;
    typoSecondary: string;
    typoTertiary: string;
    typoDisabled: string;
    typoError: string;
    systemError: string;
    systemSuccess: string;
    dividerColor: string;
    buttonPrimary: string;
    typoButtonPrimary: string;
    buttonSecondary: string;
    typoButtonSecondary: string;
    buttonTertiary: string;
    typoButtonTertiary: string;
    buttonPrimaryChip: string;
}, {
    base: string;
    primary: string;
    dark: string;
    backgroundColor: string;
    baseColor: string;
    bannerColor: string;
    typoPrimary: string;
    typoSecondary: string;
    typoTertiary: string;
    typoDisabled: string;
    typoError: string;
    systemError: string;
    systemSuccess: string;
    dividerColor: string;
    buttonPrimary: string;
    typoButtonPrimary: string;
    buttonSecondary: string;
    typoButtonSecondary: string;
    buttonTertiary: string;
    typoButtonTertiary: string;
    buttonPrimaryChip: string;
}>;
export type ColorSchemeSettingsDto = z.infer<typeof ColorSchemeSettingsDto>;
