import { z } from "zod";
declare const FdoOrderQueueSettingCode: z.ZodObject<{
    initial: z.ZodNumber;
    prefix: z.ZodString;
    current: z.ZodNumber;
    suffix: z.ZodString;
    limit: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
}, "strip", z.ZodTypeAny, {
    limit?: number | null | undefined;
    prefix: string;
    initial: number;
    current: number;
    suffix: string;
}, {
    limit?: number | null | undefined;
    prefix: string;
    initial: number;
    current: number;
    suffix: string;
}>;
declare const FdoOrderQueueSettingTime: z.ZodObject<{
    custom: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        0: z.ZodObject<{
            enable: z.ZodBoolean;
            hours: z.ZodArray<z.ZodObject<{
                start: z.ZodString;
                end: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                end: string;
                start: string;
            }, {
                end: string;
                start: string;
            }>, "many">;
        }, "strip", z.ZodTypeAny, {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        }, {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        }>;
        1: z.ZodObject<{
            enable: z.ZodBoolean;
            hours: z.ZodArray<z.ZodObject<{
                start: z.ZodString;
                end: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                end: string;
                start: string;
            }, {
                end: string;
                start: string;
            }>, "many">;
        }, "strip", z.ZodTypeAny, {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        }, {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        }>;
        2: z.ZodObject<{
            enable: z.ZodBoolean;
            hours: z.ZodArray<z.ZodObject<{
                start: z.ZodString;
                end: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                end: string;
                start: string;
            }, {
                end: string;
                start: string;
            }>, "many">;
        }, "strip", z.ZodTypeAny, {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        }, {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        }>;
        3: z.ZodObject<{
            enable: z.ZodBoolean;
            hours: z.ZodArray<z.ZodObject<{
                start: z.ZodString;
                end: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                end: string;
                start: string;
            }, {
                end: string;
                start: string;
            }>, "many">;
        }, "strip", z.ZodTypeAny, {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        }, {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        }>;
        4: z.ZodObject<{
            enable: z.ZodBoolean;
            hours: z.ZodArray<z.ZodObject<{
                start: z.ZodString;
                end: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                end: string;
                start: string;
            }, {
                end: string;
                start: string;
            }>, "many">;
        }, "strip", z.ZodTypeAny, {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        }, {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        }>;
        5: z.ZodObject<{
            enable: z.ZodBoolean;
            hours: z.ZodArray<z.ZodObject<{
                start: z.ZodString;
                end: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                end: string;
                start: string;
            }, {
                end: string;
                start: string;
            }>, "many">;
        }, "strip", z.ZodTypeAny, {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        }, {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        }>;
        6: z.ZodObject<{
            enable: z.ZodBoolean;
            hours: z.ZodArray<z.ZodObject<{
                start: z.ZodString;
                end: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                end: string;
                start: string;
            }, {
                end: string;
                start: string;
            }>, "many">;
        }, "strip", z.ZodTypeAny, {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        }, {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        }>;
    }, "strip", z.ZodTypeAny, {
        0: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
        2: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
        1: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
        3: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
        4: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
        5: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
        6: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
    }, {
        0: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
        2: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
        1: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
        3: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
        4: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
        5: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
        6: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
    }>>>;
}, "strip", z.ZodTypeAny, {
    custom?: {
        0: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
        2: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
        1: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
        3: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
        4: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
        5: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
        6: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
    } | null | undefined;
}, {
    custom?: {
        0: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
        2: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
        1: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
        3: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
        4: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
        5: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
        6: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
    } | null | undefined;
}>;
declare const FdoOrderQueueSettingAutoCall: z.ZodObject<{
    is: z.ZodBoolean;
    limit: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    limit: number;
    is: boolean;
}, {
    limit: number;
    is: boolean;
}>;
declare const FdoOrderQueueSettingAutoCancel: z.ZodObject<{
    is: z.ZodBoolean;
    duration: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    is: boolean;
    duration: number;
}, {
    is: boolean;
    duration: number;
}>;
declare const FdoOrderQueueSettingOrder: z.ZodObject<{
    is: z.ZodBoolean;
}, "strip", z.ZodTypeAny, {
    is: boolean;
}, {
    is: boolean;
}>;
export declare const FdoOrderQueueSettings: z.ZodObject<{
    enable: z.ZodBoolean;
    code: z.ZodObject<{
        initial: z.ZodNumber;
        prefix: z.ZodString;
        current: z.ZodNumber;
        suffix: z.ZodString;
        limit: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
    }, "strip", z.ZodTypeAny, {
        limit?: number | null | undefined;
        prefix: string;
        initial: number;
        current: number;
        suffix: string;
    }, {
        limit?: number | null | undefined;
        prefix: string;
        initial: number;
        current: number;
        suffix: string;
    }>;
    time: z.ZodObject<{
        custom: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            0: z.ZodObject<{
                enable: z.ZodBoolean;
                hours: z.ZodArray<z.ZodObject<{
                    start: z.ZodString;
                    end: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    end: string;
                    start: string;
                }, {
                    end: string;
                    start: string;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }>;
            1: z.ZodObject<{
                enable: z.ZodBoolean;
                hours: z.ZodArray<z.ZodObject<{
                    start: z.ZodString;
                    end: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    end: string;
                    start: string;
                }, {
                    end: string;
                    start: string;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }>;
            2: z.ZodObject<{
                enable: z.ZodBoolean;
                hours: z.ZodArray<z.ZodObject<{
                    start: z.ZodString;
                    end: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    end: string;
                    start: string;
                }, {
                    end: string;
                    start: string;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }>;
            3: z.ZodObject<{
                enable: z.ZodBoolean;
                hours: z.ZodArray<z.ZodObject<{
                    start: z.ZodString;
                    end: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    end: string;
                    start: string;
                }, {
                    end: string;
                    start: string;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }>;
            4: z.ZodObject<{
                enable: z.ZodBoolean;
                hours: z.ZodArray<z.ZodObject<{
                    start: z.ZodString;
                    end: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    end: string;
                    start: string;
                }, {
                    end: string;
                    start: string;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }>;
            5: z.ZodObject<{
                enable: z.ZodBoolean;
                hours: z.ZodArray<z.ZodObject<{
                    start: z.ZodString;
                    end: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    end: string;
                    start: string;
                }, {
                    end: string;
                    start: string;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }>;
            6: z.ZodObject<{
                enable: z.ZodBoolean;
                hours: z.ZodArray<z.ZodObject<{
                    start: z.ZodString;
                    end: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    end: string;
                    start: string;
                }, {
                    end: string;
                    start: string;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }>;
        }, "strip", z.ZodTypeAny, {
            0: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            2: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            1: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            3: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            4: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            5: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            6: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
        }, {
            0: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            2: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            1: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            3: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            4: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            5: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            6: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
        }>>>;
    }, "strip", z.ZodTypeAny, {
        custom?: {
            0: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            2: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            1: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            3: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            4: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            5: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            6: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
        } | null | undefined;
    }, {
        custom?: {
            0: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            2: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            1: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            3: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            4: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            5: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            6: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
        } | null | undefined;
    }>;
    canOrder: z.ZodObject<{
        is: z.ZodBoolean;
    }, "strip", z.ZodTypeAny, {
        is: boolean;
    }, {
        is: boolean;
    }>;
    canAutoCall: z.ZodObject<{
        is: z.ZodBoolean;
        limit: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        limit: number;
        is: boolean;
    }, {
        limit: number;
        is: boolean;
    }>;
    canAutoCancel: z.ZodObject<{
        is: z.ZodBoolean;
        duration: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        is: boolean;
        duration: number;
    }, {
        is: boolean;
        duration: number;
    }>;
}, "strip", z.ZodTypeAny, {
    code: {
        limit?: number | null | undefined;
        prefix: string;
        initial: number;
        current: number;
        suffix: string;
    };
    time: {
        custom?: {
            0: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            2: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            1: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            3: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            4: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            5: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            6: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
        } | null | undefined;
    };
    enable: boolean;
    canOrder: {
        is: boolean;
    };
    canAutoCall: {
        limit: number;
        is: boolean;
    };
    canAutoCancel: {
        is: boolean;
        duration: number;
    };
}, {
    code: {
        limit?: number | null | undefined;
        prefix: string;
        initial: number;
        current: number;
        suffix: string;
    };
    time: {
        custom?: {
            0: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            2: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            1: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            3: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            4: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            5: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            6: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
        } | null | undefined;
    };
    enable: boolean;
    canOrder: {
        is: boolean;
    };
    canAutoCall: {
        limit: number;
        is: boolean;
    };
    canAutoCancel: {
        is: boolean;
        duration: number;
    };
}>;
export declare const FdoOrderQueueUpdateSetting: z.ZodObject<z.extendShape<{
    enable: z.ZodBoolean;
    code: z.ZodObject<{
        initial: z.ZodNumber;
        prefix: z.ZodString;
        current: z.ZodNumber;
        suffix: z.ZodString;
        limit: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
    }, "strip", z.ZodTypeAny, {
        limit?: number | null | undefined;
        prefix: string;
        initial: number;
        current: number;
        suffix: string;
    }, {
        limit?: number | null | undefined;
        prefix: string;
        initial: number;
        current: number;
        suffix: string;
    }>;
    time: z.ZodObject<{
        custom: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            0: z.ZodObject<{
                enable: z.ZodBoolean;
                hours: z.ZodArray<z.ZodObject<{
                    start: z.ZodString;
                    end: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    end: string;
                    start: string;
                }, {
                    end: string;
                    start: string;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }>;
            1: z.ZodObject<{
                enable: z.ZodBoolean;
                hours: z.ZodArray<z.ZodObject<{
                    start: z.ZodString;
                    end: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    end: string;
                    start: string;
                }, {
                    end: string;
                    start: string;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }>;
            2: z.ZodObject<{
                enable: z.ZodBoolean;
                hours: z.ZodArray<z.ZodObject<{
                    start: z.ZodString;
                    end: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    end: string;
                    start: string;
                }, {
                    end: string;
                    start: string;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }>;
            3: z.ZodObject<{
                enable: z.ZodBoolean;
                hours: z.ZodArray<z.ZodObject<{
                    start: z.ZodString;
                    end: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    end: string;
                    start: string;
                }, {
                    end: string;
                    start: string;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }>;
            4: z.ZodObject<{
                enable: z.ZodBoolean;
                hours: z.ZodArray<z.ZodObject<{
                    start: z.ZodString;
                    end: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    end: string;
                    start: string;
                }, {
                    end: string;
                    start: string;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }>;
            5: z.ZodObject<{
                enable: z.ZodBoolean;
                hours: z.ZodArray<z.ZodObject<{
                    start: z.ZodString;
                    end: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    end: string;
                    start: string;
                }, {
                    end: string;
                    start: string;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }>;
            6: z.ZodObject<{
                enable: z.ZodBoolean;
                hours: z.ZodArray<z.ZodObject<{
                    start: z.ZodString;
                    end: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    end: string;
                    start: string;
                }, {
                    end: string;
                    start: string;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }>;
        }, "strip", z.ZodTypeAny, {
            0: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            2: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            1: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            3: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            4: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            5: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            6: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
        }, {
            0: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            2: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            1: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            3: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            4: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            5: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            6: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
        }>>>;
    }, "strip", z.ZodTypeAny, {
        custom?: {
            0: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            2: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            1: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            3: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            4: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            5: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            6: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
        } | null | undefined;
    }, {
        custom?: {
            0: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            2: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            1: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            3: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            4: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            5: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            6: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
        } | null | undefined;
    }>;
    canOrder: z.ZodObject<{
        is: z.ZodBoolean;
    }, "strip", z.ZodTypeAny, {
        is: boolean;
    }, {
        is: boolean;
    }>;
    canAutoCall: z.ZodObject<{
        is: z.ZodBoolean;
        limit: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        limit: number;
        is: boolean;
    }, {
        limit: number;
        is: boolean;
    }>;
    canAutoCancel: z.ZodObject<{
        is: z.ZodBoolean;
        duration: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        is: boolean;
        duration: number;
    }, {
        is: boolean;
        duration: number;
    }>;
}, {
    code: z.ZodObject<Pick<{
        limit: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        prefix: z.ZodString;
        initial: z.ZodNumber;
        current: z.ZodOptional<z.ZodNumber>;
        suffix: z.ZodString;
    }, "limit" | "prefix" | "initial" | "current" | "suffix">, "strip", z.ZodTypeAny, {
        limit?: number | null | undefined;
        current?: number | undefined;
        prefix: string;
        initial: number;
        suffix: string;
    }, {
        limit?: number | null | undefined;
        current?: number | undefined;
        prefix: string;
        initial: number;
        suffix: string;
    }>;
}>, "strip", z.ZodTypeAny, {
    code: {
        limit?: number | null | undefined;
        current?: number | undefined;
        prefix: string;
        initial: number;
        suffix: string;
    };
    time: {
        custom?: {
            0: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            2: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            1: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            3: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            4: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            5: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            6: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
        } | null | undefined;
    };
    enable: boolean;
    canOrder: {
        is: boolean;
    };
    canAutoCall: {
        limit: number;
        is: boolean;
    };
    canAutoCancel: {
        is: boolean;
        duration: number;
    };
}, {
    code: {
        limit?: number | null | undefined;
        current?: number | undefined;
        prefix: string;
        initial: number;
        suffix: string;
    };
    time: {
        custom?: {
            0: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            2: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            1: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            3: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            4: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            5: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            6: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
        } | null | undefined;
    };
    enable: boolean;
    canOrder: {
        is: boolean;
    };
    canAutoCall: {
        limit: number;
        is: boolean;
    };
    canAutoCancel: {
        is: boolean;
        duration: number;
    };
}>;
export declare const FdoRestaurantQueueSetting: z.ZodObject<{
    enableOrder: z.ZodBoolean;
    initialNumber: z.ZodNumber;
    endNumber: z.ZodNumber;
    currentNumber: z.ZodNumber;
    autoCalledLimit: z.ZodNumber;
    duration: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    duration: number;
    enableOrder: boolean;
    initialNumber: number;
    endNumber: number;
    currentNumber: number;
    autoCalledLimit: number;
}, {
    duration: number;
    enableOrder: boolean;
    initialNumber: number;
    endNumber: number;
    currentNumber: number;
    autoCalledLimit: number;
}>;
export type FdoOrderQueueSettingCode = z.infer<typeof FdoOrderQueueSettingCode>;
export type FdoOrderQueueSettingTime = z.infer<typeof FdoOrderQueueSettingTime>;
export type FdoOrderQueueSettingAutoCall = z.infer<typeof FdoOrderQueueSettingAutoCall>;
export type FdoOrderQueueSettingAutoCancel = z.infer<typeof FdoOrderQueueSettingAutoCancel>;
export type FdoOrderQueueSettingOrder = z.infer<typeof FdoOrderQueueSettingOrder>;
export type FdoOrderQueueSettings = z.infer<typeof FdoOrderQueueSettings>;
export type FdoOrderQueueUpdateSetting = z.infer<typeof FdoOrderQueueUpdateSetting>;
export type FdoRestaurantQueueSetting = z.infer<typeof FdoRestaurantQueueSetting>;
export {};
