import { z } from 'zod';
export declare const F_SMS_ACTION: z.ZodEnum<["ACCEPT", "SERVE"]>;
export declare const F_SMS_KEY: z.ZodEnum<["Bill Receipt Number", "Bill Receipt Total Amount (Net)", "Order Type", "Order Slot", "Order Datetime", "Order Delivery Type", "Restaurant Name", "Restaurant Email", "Restaurant Address", "Restaurant Contact Number"]>;
export type F_SMS_KEY = z.infer<typeof F_SMS_KEY>;
export type F_SMS_ACTION = z.infer<typeof F_SMS_ACTION>;
