import { z } from 'zod';
export declare const OrderDineInSubOptionDto: z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["QR", "QUEUE", "RESERVATION", "TAKEAWAY"]>;
}, {
    type: z.ZodLiteral<"QR">;
    session: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    slot: z.ZodString;
}>, "strip", z.ZodTypeAny, {
    session?: string | null | undefined;
    slot: string;
    type: "QR";
}, {
    session?: string | null | undefined;
    slot: string;
    type: "QR";
}> | z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["QR", "QUEUE", "RESERVATION", "TAKEAWAY"]>;
}, {
    type: z.ZodLiteral<"QUEUE">;
    queueId: z.ZodString;
    slot: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}>, "strip", z.ZodTypeAny, {
    slot?: string | null | undefined;
    type: "QUEUE";
    queueId: string;
}, {
    slot?: string | null | undefined;
    type: "QUEUE";
    queueId: string;
}> | z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["QR", "QUEUE", "RESERVATION", "TAKEAWAY"]>;
}, {
    type: z.ZodLiteral<"RESERVATION">;
    reservationId: z.ZodString;
    slot: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}>, "strip", z.ZodTypeAny, {
    slot?: string | null | undefined;
    type: "RESERVATION";
    reservationId: string;
}, {
    slot?: string | null | undefined;
    type: "RESERVATION";
    reservationId: string;
}> | z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["QR", "QUEUE", "RESERVATION", "TAKEAWAY"]>;
}, {
    type: z.ZodLiteral<"TAKEAWAY">;
    slot: z.ZodString;
    seqNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}>, "strip", z.ZodTypeAny, {
    seqNumber?: string | null | undefined;
    slot: string;
    type: "TAKEAWAY";
}, {
    seqNumber?: string | null | undefined;
    slot: string;
    type: "TAKEAWAY";
}>>;
export type OrderDineInSubOptionDto = z.infer<typeof OrderDineInSubOptionDto>;
