import { authInstance } from "..";

async function getCustomToken(token: string) {
    const reponse = await authInstance({
        customIdToken: token,
    }).post(`/token`, { token });
    return reponse.data;
}

async function getIdToken(customToken: string) {
    const reponse = await authInstance({
        customIdToken: customToken,
    }).post(`/token/idtoken`, { customToken: customToken });
    return reponse.data;
}

export const AuthApi = {
    getCustomToken,
    getIdToken,
}