import type { FdoPublicSetting } from '@feedmepos/core/entity';
import { baseClientInstance, getData } from '..';

export const publicSettingApi = {
  async read(): Promise<FdoPublicSetting> {
    return getData(await baseClientInstance().get('/public-setting'));
  },
  async update(dto: FdoPublicSetting): Promise<FdoPublicSetting> {
    return getData(await baseClientInstance().put('/public-setting', dto));
  },
};