import enUS from "./locales/en-US.json"
import zhCN from "./locales/zh-CN.json"
import thTh from "./locales/th-TH.json"

export type AppMessagesSchema = typeof enUS

export const i18nMessages = {
    "en-US": enUS,
    "zh-CN": zhCN,
    "th-TH": thTh,
}

export { default as FmApp } from './App.vue'
export { routes as routers } from '../src/router/routes'