import { defineStore } from "pinia";
import { computed } from "vue";

interface State {
    isIframe: boolean;
}

export const useIframeStore = defineStore('iframe', () => {
    const _state: State = {
        isIframe: false
    }

    const state = computed(() => _state);

    function init(isIframe: boolean){
        _state.isIframe = isIframe;
    }

    return {
        state: state.value,
        init
    }
});