function applyPadDigits(value: number, padDigit : number): string{
    let strValue: string = value.toString();

    // Calculate how many digits to pad
    let padLength: number = padDigit - strValue.length;

    // Pad with padDigit character
    if (padLength > 0) {
        strValue = Array(padLength + 1).join('0') + strValue;
    }
    return strValue;
}

export const NumberUtil = {
    applyPadDigits,
}